2012-01-06  Simon Josefsson  <simon@josefsson.org>

	inetutils 1.9.1

	* configure.ac: Replace all '_' into '.'.

	* NEWS: Updated.

	* bootstrap: Updated from gnulib.

2012-01-04  Mats Erik Andersson <gnu@gisladisker.se>

	Regression: Erase port for active data transmission.

	* ftpd/ftpcmd.y (host_port): Use AI_NUMERICHOST and AI_NUMERICSERV
	in `HINTS.ai_flags'.  Do not use AI_ADDRCONFIG.
	* ftpd/ftpd.c (getdatasock): Erase port number stored in DATA_SOURCE.
	* tests/ftp-localhost.sh: Detect transfered data and duplicate tests
	also for an active connection, not only a passive attempt.

2012-01-03  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Removed git-merge-changelog.

2012-01-03  Mats Erik Andersson <gnu@gisladisker.se>

	Internal address structure rewrite for `ftpd'.

	* ftpd/extern.h (data_dest, his_addr): Change to `struct sockaddr_storage'.
	(server_mode): New prototype: second argument `struct sockaddr *'.
	* ftpd/ftpcmd.y (cmd): Use casts to `struct sockaddr_in' to evaluate
	sub case `host_port'.
	(yylex) [HAVE_SETPROCTITLE]: Compare to numeric naught, not NULL.
	* ftpd/ftpd.c (data_dest, his_addr, ctrl_addr, data_source, pasv_addr):
	Change to `struct sockaddr_storage'.
	(main): Apply updated server_mode().
	(main, getdatasock, dataconn): Set IP_TOS only for AF_INET.
	(dataconn, passive): Copy addresses using memcpy().
	(statfilecmd): Change SIN to `struct sockaddr_storage'.
	(statcmd): Casts as `struct sockaddr_in' needed for A and P.
	(passive): Clear port number depending on address family.
	Reply with 229 for EPSV/IPv6 and 227 for PASV.
	* ftpd/server_mode.c (check_host): Activate AF_INET6 case.
	(server_mode): Second argument is 'struct sockaddr *', must be
	initiated before call, and returns actual address length.
	New variable SAVED_ADDRLEN.  Changed call due to these two.

2012-01-02  Mats Erik Andersson <gnu@gisladisker.se>

	Initial address family abstraction for `ftpd'.

	* ftpd/extern.h: Include <netinet/in.h>.
	(data_dest_len, his_addr_len): New socklen_t variables.
	(server_mode): Use a socklen_t argument.
	* ftpd/ftpcmd.y: Include <netdb.h>.
	(cmd) [unix || __unix__]: SYS_TYPE must recognize __unix__.
	(host_port): Use getaddrinfo to initiate DATA_DEST.
	* ftpd/ftpd.c (data_set_len, his_addrlen, addrstr, portstr,
	ctrl_addrlen, data_source_len, pasv_addrlen): New variables.
	[HAVE_LIBWRAP] (check_host): Prototype extended with socklen_t.
	(dolog): Likewise.
	(main): Use HIS_ADDRLEN, CTRL_ADDRLEN instead of local ADDRLEN.
	Changed calls to server_mode and dolog due to new prototypes.
	(getdatasock): Address family determined by CTRL_ADDR.  Inherit
	fields in DATA_SOURCE from CTRL_ADDR, and DATA_SOURCE_LEN from
	CTRL_ADDRLEN.  Dynamic address length to bind().
	(dataconn): Use FROM as `struct sockaddr_storage.  Change socket
	descriptor S to be `int'.  Assign DATA_DEST and DATA_DEST_LEN
	in a block.  Use getnameinfo for error message.  Dynamic socket
	length in connect().
	(statcmd): Lookup using getnameinfo().
	(dolog): New prototype, extended by `socklen_t'.  Likewise.
	(passive): Removed variable LEN, now using length and family stored
	in address variables, which are global.
	* ftpd/server_mode.c (check_host): New prototype: adding `socklen_t'.
	Removed SIN, HP. New variables ERR, NAME.  Lookup uses getnameinfo().
	(server_mode): New prototype: adding `socklen_t'.  Delete SERVER_ADDR.
	New varables ERR, PORTSTR, HINTS, RES, AI.  Lookup uses getaddrinfo
	and a loop to get listener.  Server loop removes ADDRLEN, now setting
	address length by use of PHIS_ADDRLEN.

2011-12-31  Alfred M. Szmidt  <ams@gnu.org>

	inetutils 1.9

	* Makefile.am (EXTRA_DIST): Removed README-alpha from list.

	* NEWS: Updated.

2011-12-31  Alfred M. Szmidt  <ams@gnu.org>

	Fix prohibit_always_true_header_tests syntax-checks.

	* ifconfig/printif.c: Don't protect inclusion of <alloca.h> with
	HAVE_ALLOCA_H.

	* configure.ac: Don't protect inclusion of <sys/types.h> with
	HAVE_SYS_TYPES_H.
	* libinetutils/daemon.c: Likewise.
	* telnet/commands.c: Likewise.
	* src/syslogd.c: Likewise.

2011-12-30  Mats Erik Andersson <gnu@gisladisker.se>

	* configure.ac: Check for ruserok.  If iruserok exists, then define
	WITH_IRUSEROK, else if ruserok exists, then define WITH_RUSEROK.
	Disable rlogind and rshd otherwise.  Check for __check_rhosts_file.
	* src/rlogind.c [HAVE___CHECK_RHOSTS_FILE] (__check_rhosts_file):
	Protect declaration as extern variable.
	[__GLIBC__ && WITH_IRUSEROK] (iruserok): Protect declaration
	as extern.
	(options) [HAVE___CHECK_RHOSTS_FILE]: Conditionally include the
	option `-l/--no-rhosts'.
	(parse_opt) [HAVE___CHECK_RHOSTS_FILE]: Likewise.
	(exec_login) [SOLARIS]: Contemporary arguments for execle.
	(do_rlogin) [WITH_IRUSEROK]: Protect usage of iruserok.
	[!WITH_IRUSEROK && WITH_RUSEROK]: Do authorization with ruserok
	composed with inet_ntoa.
	* src/rshd.c (options) [HAVE___CHECK_RHOSTS_FILE]: Conditionally
	include the option `-l/--no-rhosts'.
	[HAVE___CHECK_RHOSTS_FILE] (__check_rhosts_file): Protect declaration
	as extern variable.
	[__GLIBC__ && WITH_IRUSEROK] (iruserok): Protect declaration
	as extern.
	(parse_opt) [HAVE___CHECK_RHOSTS_FILE]: Conditional detection of
	`-l/--no-rhosts'.
	(doit) [WITH_IRUSEROK]: Protect call to iruserok.
	[!WITH_IRUSEROK && WITH_RUSEROK]: Do authorization with ruserok
	composed with inet_ntoa.

2011-12-30  Alfred M. Szmidt  <ams@gnu.org>

	Fix prohibit_dirent_without_use, sc_unsigned_short,
	sc_unsigned_long sc_unsigned_char checks.

	* ftpd/ftpd.c, libicmp/icmp.h, libicmp/icmp_address.c,
	libicmp/icmp_cksum.c, libicmp/icmp_echo.c,
	libicmp/icmp_timestamp.c, libinetutils/des_rw.c,
	libinetutils/kcmd.c, libinetutils/krcmd.c, libinetutils/ttymsg.c,
	libls/fts.c, libls/fts.h, libls/ls.c, libls/ls.h, libls/print.c,
	libtelnet/kerberos.c, ping/libping.c, ping/ping.c, ping/ping.h,
	ping/ping6.c, ping/ping_common.c, ping/ping_common.h,
	ping/ping_echo.c, ping/ping_impl.h, src/inetd.c, src/rcp.c,
	src/rexecd.c, src/rlogin.c, src/rlogind.c, src/rshd.c,
	src/syslogd.c, src/tftp.c, src/tftpd.c, src/traceroute.c,
	talk/ctl.c, talk/talk_ctl.h, telnet/krb4-proto.h, telnet/ring.c,
	telnet/ring.h: Silence Fix prohibit_dirent_without_use,
	sc_unsigned_short, sc_unsigned_long sc_unsigned_char checks.

2011-12-30  Alfred M. Szmidt  <ams@gnu.org>

	Fix sc_prohibit_test_minus_ao check.

	* tests/tftp.sh: Fix sc_prohibit_test_minus_ao check.
	* tests/syslogd.sh: Likewise.
	* tests/ftp-localhost.sh: Likewise.

2011-12-30  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (sc_unsigned_short): New target.

2011-12-30  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap: Updated from gnulib.
	* lib/Makefile.am: File removed.

2011-12-30  Mats Erik Andersson <gnu@gisladisker.se>

	* ftp/cmds.c (restart): Use `%lld' as format for long long int.
	* ftpd/ftpcmd.y (rcmd, sizecmd): Likewise; also `%llu'.
	* ftpd/ftpd.c (off_to_str): Likewise.
	* src/rcp.c (source): Likewise.

2011-12-25  Alfred M. Szmidt  <ams@gnu.org>

	* libtelnet/encrypt.c: Fix indentation, and Use ANSI style
	declarations for prototypes.
	(EncryptDisable, EncryptType, EncryptStart, encrypt_support)
	(encrypt_is, encrypt_reply, encrypt_keyid, encrypt_start_output)
	(encrypt_send_request_start, encrypt_wait, encrypt_printsub):
	Don't declare any variables as `register'.

2011-12-25  Alfred M. Szmidt  <ams@gnu.org>

	* libtelnet/encrypt.c (encrypt_keyid): Make sure that LEN never is
	greater than MAXKEYLEN.

2011-12-22  Mats Erik Andersson <gnu@gisladisker.se>

	* libinetutils/setsig.c (setsig) [HAVE_SIGACTION]: Initialize
	`osa.sa_mask' just to be sure.
	[HAVE_SIGVEC]: Likewise with `osv.sv_mask'.
	* src/rlogin.c: Many rewritten comments.
	(main): New variable OSMASK, used for old, saved signal mask.
	(setsignal): New variable OSIGS, likewise.
	(done): Use waitpid() instead of wait().
	(catch_child): Detect errno equal to EINTR.
	(doit, lostpeer): Let exit messages explain better.  Add host name
	to them, and append CR for correct printout.

2011-12-22  Mats Erik Andersson <gnu@gisladisker.se>

	* libinetutils/setsig.c (setsig) [HAVE_SIGACTION]: New variable
	OSA.  Superpose SA_RESTART on SA_FLAGS, no replacement!  Use OSA
	for old signal mask in calling sigaction.  Return SIG_ERR on
	error, or fetch old signal handler from OSA upon success.
	[HAVE_SIGVEC]: Likewise: New variable OSV.  Use OSV in call to
	sigvec.  Return SIG_ERR on error, or old handler brought in from
	OSV.

2011-12-20  Mats Erik Andersson <gnu@gisladisker.se>

	* src/rlogind.c (rlogind_auth) [IP_OPTIONS]: Abort connection as
	soon either of IPOPT_SSRR or IPOPT_LSRR is found.  Other options
	are recorded, and reported, but immediately erased.
	* src/rshd.c (doit) [IP_OPTIONS]: Likewise.
	[HAVE_NETINET_IN_SYSTM_H]: Include <netinet/in_systm.h>.
	[HAVE_NETINET_IP_H]: Include <netinet/ip.h>.
	* NEWS: Mention security issue inherent in source routing.
	* AUTHORS: Mention myself as contributing author.

2011-12-19  Mats Erik Andersson <gnu@gisladisker.se>

	* src/rcp.c (main) [!KERBEROS]: Exit at non-zero geteuid().
	(toremote): After setting IPTOS_THROUGHPUT, print warning only for
	ERRNO not equal to ENOPROTOOPT.
	(tolocal): Likewise.
	* src/rshd.c (doit): Remove misplaced syslog message.  Improve
	comments on port usage.

2011-12-13  Alfred M. Szmidt  <ams@gnu.org>

	Require automake 1.11.1.

	* bootstrap: Updated from gnulib.

	* bootstrap.conf (buildreq): Require automake 1.11.1.
	* configure.ac: Likewise.

2011-12-13  Mats Erik Andersson <gnu@gisladisker.se>

	* am/libcurses.m4 (IU_LIB_TERMCAP): Check libtermcap before
	libcurses.  New macros HAVE_TGETENT, HAVE_TERMCAP_TGETENT,
	HAVE_CURSES_TGETENT, and HAVE_TERMINFO_TGETENT.
	* am/readline.m4 (gl_FUNC_READLINE): In case libreadline is
	absent, check whether libedit is present and suffices.
	* telnet/telnet.c [HAVE_TERMCAP_TGETENT]: Include <termcap.h>.
	[HAVE_CURSES_TGETENT]: Include <curses.h> and <term.h>.
	(init_term) [HAVE_TGETENT]: Replace HAVE_READLINE by HAVE_TGETENT.
	* telnetd/utility.c [HAVE_TERMCAP_TGETENT]: Likewise.
	[HAVE_CURSES_TGETENT]: Likewise.
	(terminaltypeok) [HAVE_TGETENT]: Likewise.

2011-12-13  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/ftp-localhost.sh: Check presence of directory `~ftp'.

2011-12-13  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/tftp.sh: Subtests for differing data transfer size.
	Portability fix for Solaris.

2011-12-11  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/ftp-localhost.sh: Use strict IPv4 options for portability.
	* configure.ac: Check for iruserok.  Disable building of rshd and
	rlogind if it is missing.
	* NEWS, TODO: Updated.

2011-12-11  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/ftp-localhost.sh: Replace `echo' with portable construct.

2011-12-10  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/ftp-localhost.sh: Expand trapping to kill inetd process.
	* tests/syslogd.sh: Likewise.
	* tests/tftp.sh: Use a random testing directory and implement
	cleanup in a trapping function.

2011-12-09  Mats Erik Andersson <gnu@gisladisker.se>

	* telnet/Makefile.am (INCLUDES): Add $(NCURSES_INCLUDE) to list.
	* telnetd/Makefile.am: Likewise.
	* telnetd/utility.c (readstream) [HAVE_STREAMSPTY &&
	HAVE_TERMIO_H]: Make use of `struct termio' conditioned on
	HAVE_TERMIO_H.

2011-12-03  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/syslogd.sh: Random test directory.  Identity from id(1).
	Trap exit conditions for clean up.

2011-12-02  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/syslogd.sh: Match exact port number in regex pattern.
	* tests/tftp.sh: Likewise.

2011-12-02  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/ftp-localhost.sh: Portable invokation of mktemp(1).

2011-12-02  Mats Erik Andersson <gnu@gisladisker.se>

	* configure.ac: Check for external declarations of `telcmds' and
	`telopts'.  Define UTMPX for NetBSD.
	* telnet/commands.c (send_tncmd) [!HAVE_DECL_TELOPTS]: Make the
	external declaration conditional.
	[HAVE_DECL_TELOPTS]: Enforce a cast `char **' on system's TELOPTS.

2011-12-01  Mats Erik Andersson <gnu@gisladisker.se>

	* ifconfig/ifconfig.c: Include <netinet/in.h>.
	* ifconfig/printif.h: Likewise.
	* ping/libping.c: Likewise.
	* src/hostname.c: Include <arpa/inet.h> after <netinet/in.h>.
	* tests/syslogd.sh: Extra long socket name only for known cases.
	Delay verbose version printing.  Clean up when port was busy.

2011-11-30  Mats Erik Andersson <gnu@gisladisker.se>

	OpenBSD 4.9 has changed <syslog.h>.  Relax configuration.

	* configure.ac (syslog internal macros): Remove check of
	LOG_MAKEPRI.
	* src/syslogd.c (LOG_MAKEPRI) [!LOG_MAKEPRI]: New macro.

2011-11-29  Alfred M. Szmidt  <ams@gnu.org>

	Basic test case for `hostname'.

	* tests/Makefile.am (dist_check_SCRIPTS) [ENABLE_hostname]: Added
	hostname.sh.
	* tests/hostname.sh: New file.

2011-11-29  Alfred M. Szmidt  <ams@gnu.org>

	* tests/syslogd.sh: Output verbose output if VERBOSE is true.

2011-11-29  Alfred M. Szmidt  <ams@gnu.org>

	Be more robust in checking for IPV6_HOPLIMIT, and
	IPV6_RECVHOPLIMIT.

	* configure.ac: Rewrite check for IPV6_HOPLIMIT,
	IPV6_RECVHOPLIMIT, and IPV6_2292HOPLIMIT.  Don't add X prefix to
	checks related to working_icmp6, have_beyondscope and ipv6.

2011-11-29  Giuseppe Scrivano  <gscrivano@gnu.org>

	* tests/syslogd.sh: Use 127.0.0.1 and [::1] instead of localhost
	as arguments to logger.

2011-11-29  Mats Erik Andersson <gnu@gisladisker.se>

	* whois/make_ip_del.pl: Compute netmasks correctly also with
	64-bit arithmetic.

2011-11-26  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/tftp.sh: Return skip code if INET port is already in use.
	* tests/syslogd.sh: Likewise.  Implement the corresponding test.
	(PORT, PROTO): New variables.

2011-11-26  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/tftp.sh (INETD_PID): New variable; allows better
	robustness.  Improve patterns to fit also BSD.

2011-11-26  Mats Erik Andersson <gnu@gisladisker.se>

	* configure.ac: Check presence of <protocols/talkd.h>.  Disable
	building of `talk' and `talkd' if it is missing.
	* ftpd/Makefile.am (ftpd_SOURCES): Exclude unused `logwtmp.c'.
	* libinetutils/logwtmpko.c [HAVE_UTMPX_H && SOLARIS]: Include
	<utmpx.h>.
	[HAVE_UPDWTMP && SOLARIS]: Implement missing `logwtmp()'.

2011-11-21  Mats Erik Andersson <gnu@gisladisker.se>

	* configure.ac: Do not check for <malloc.h>.
	* libinetutils/localhost.c [HAVE_MALLOC_H]: Do not include
	<malloc.h> and delete the conditional.
	* telnet/commands.c [HAVE_MALLOC_H]: Likewise.

2011-11-21  Mats Erik Andersson <gnu@gisladisker.se>

	* telnetd/telnetd.c (login_invocation) [SOLARIS]: Changes for
	terminal and user name.
	* TODO: Updated.

2011-11-21  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/syslogd.sh: Implement post-run cleanup.

2011-11-21  Mats Erik Andersson <gnu@gisladisker.se>

	* libtelnet/getent.c [HAVE_CGETENT]: Include <stdlib.h>.
	* telnet/sys_bsd.c [SIGINFO] (sendayt): Missing declaration.
	* doc/inetutils.texi (telnet invocation): Minor fixes.
	* TODO: Updated.

2011-11-19  Mats Erik Andersson <gnu@gisladisker.se>

	* TODO: Updated.

2011-11-19  Simon Josefsson  <simon@josefsson.org>

	* TODO: Updated.

2011-11-19  Simon Josefsson  <simon@josefsson.org>

	* README (Notes): Doc fix.

2011-11-19  Simon Josefsson  <simon@josefsson.org>

	* bootstrap.conf (gnulib_modules): Remove readline.
	* configure.ac: Search for readline.
	* ftp/cmds.c: Unconditionally include readline headers.
	* ftp/main.c: Likewise.
	* am/readline.m4: New file.

2011-11-19  Alfred M. Szmidt  <ams@gnu.org>

	* .gitignore (/m4): Added to list.
	* bootstrap.conf (gnulib_modules): Don't try to create m4/ for
	./bootstrap.

	* configure.ac: Add check for IPV6_2292HOPLIMIT.

2011-11-19  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (sc_unsigned_char, sc_unsigned_long): New targets.

2011-11-19  Mats Erik Andersson <gnu@gisladisker.se>

	* telnet/telnet.c [HAVE_READLINE]: Replace previous use of
	HAVE_LIBREADLINE for header inclusion and code protection.
	* telnetd/utility.c [HAVE_READLINE]: Likewise.

2011-11-19  Simon Josefsson  <simon@josefsson.org>

	* tests/Makefile.am (dist_check_SCRIPTS): Add ftp-localhost.sh.
	* tests/ftp-localhost.sh: New file.

2011-11-19  Simon Josefsson  <simon@josefsson.org>

	* ftp/cmds.c [HAVE_READLINE_HISTORY_H]: Include
	<readline/history.h>.
	* ftp/main.c: Likewise.

2011-11-18  Simon Josefsson  <simon@josefsson.org>

	* ftp/cmds.c: Replace complex readline #includes with simple
	include of gnulib's readline.h.
	(another): Assume libreadline has add_history.
	* ftp/main.c: Likewise.
	* configure.ac: Remove obsolete readline checks (we now use
	gnulib's readline module).

2011-11-17  Mats Erik Andersson <gnu@gisladisker.se>

	* telnet/telnet.c [HAVE_LIBREADLINE]: Include <curses.h>.
	* telnetd/utility.c [HAVE_LIBREADLINE]: Likewise.
	[HAVE_STREAMSPTY && HAVE_GETMSG && HAVE_STROPTS_H]: Include
	<stropts.h>.
	* telnetd/state.c [HAVE_STREAMSPTY && TIOCSIGNAL &&
	HAVE_STROPTS_H]: Likewise.
	(NTELOPTS) [!NTELOPTS]: New macro.

2011-11-14  Simon Josefsson  <simon@josefsson.org>

	* README (Notes): Doc fix.

2011-11-14  Bruno Haible <bruno@clisp.org>  (tiny change)

	* telnet/Makefile.am (LDADD): Add LIBREADLINE, for tgetent on
	Solaris.
	* telnetd/Makefile.am (LDADD): Likewise.

2011-11-14  Simon Josefsson  <simon@josefsson.org>

	* src/Makefile.am (logger_SOURCES): Add logprio.h.

2011-11-14  Simon Josefsson  <simon@josefsson.org>

	* ping/ping.c: New variable.
	(argp_options): Add parameter -W aka --linger.
	(parse_opt): Parse -W parameter.
	(ping_run): Use linger parameter.
	* doc/inetutils.texi (ping invocation): Doc fix.
	* NEWS: Likewise.

2011-11-12  Simon Josefsson  <simon@josefsson.org>

	* .gitignore, doc/.gitignore: Update from gnulib-tool.
	* NEWS: Add.

2011-11-11  Mats Erik Andersson <gnu@gisladisker.se>

	* doc/inetutils.texi (Introduction): White space.
	(Common options): Mention `--usage'.  Replace brackets.
	(Exit status): Spacing around `---'.
	(telnetd invocation): Several corrections.
	* telnetd/telnetd.c (argp_options): Remove duplicate space.

2011-11-09  Mats Erik Andersson <gnu@gisladisker.se>

	* src/syslogd.c (create_unix_socket): Avoid buffer overrun for
	very long UNIX socket names.  Return proper error codes also when
	bind() or chmod() fail.
	* tests/syslogd.sh: Implement tests for the boundary cases of very
	long UNIX socket names.

2011-10-31  Simon Josefsson  <simon@josefsson.org>

	* doc/inetutils.texi (Top): Remove 'Concept Index'.  Doc fix.
	(Introduction): Doc fix.
	(Concept Index): Removed chapter, not used properly.
	(Index): Remove incorrect description text.

2011-10-31  Simon Josefsson  <simon@josefsson.org>

	* tests/.gitignore: Add addrpeek.

2011-10-31  Simon Josefsson  <simon@josefsson.org>

	* cfg.mk (local-checks-to-skip): Add sc_bindtextdomain.
	(exclude_file_name_regexp--sc_prohibit_have_config_h): New
	variable, to silence syntax-check warning.

2011-10-29  Mats Erik Andersson <gnu@gisladisker.se>

	* src/tftp.c (peeraddr): Change to `struct sockaddr_storage'.
	(peerlen): New variable.
	(port): Changed to use host byte order.
	(get_port, set_port): New functions.
	(main): Remove SIN.  Do not initiate F as a socket.
	(resolve_name): New signature `int r_n (char *)'.  Remove unused
	return state RESOLVE_NOT_RESOLVED.  Replace use of gethostbyname()
	by code based on getaddrinfo().
	(setpeer): Simplifications brought in by resolve_name() and PORT.
	(put): Handle square bracket escaping of host address.  Use new
	function set_port().
	(get): Likewise.
	(send_file): Change FROM to be `struct sockaddr_storage'.  Use
	PEERLEN in sendto().  Use set_port() and get_port().
	(recvfile): Likewise.
	(nak): Use PEERLEN in sendto().
	* doc/inetutils.texi (tftp): Mention escaping of IPv6 addresses.

2011-10-29  Mats Erik Andersson <gnu@gisladisker.se>

	* src/tftp.c (main): New variable SP.  Set default value for PORT.

2011-10-28  Simon Josefsson  <simon@josefsson.org>

	* cfg.mk (_build-aux): Add variable, gnulib now needs this for
	syntax-check.

2011-10-27  Mats Erik Andersson <gnu@gisladisker.se>

	* src/tftpd.c (main) [HAVE_STRUCT_SOCKADDR_SA_LEN]: Assign value
	to `sin.ss_len'.
	(main): Do not use connect() on the socket.
	(send_file, recvfile, nak): Replace send() by sendto().

2011-10-27  Mats Erik Andersson <gnu@gisladisker.se>

	* configure.ac (HAVE_STRUCT_TFTPHDR_TH_U): Detect whether `struct
	tftphdr' contains a member `th_u'.
	* src/tftp.c (makerequest, tpacket) [HAVE_STRUCT_TFTPHDR_TH_U]:
	Use pointer variable `tp->th_stuff', or generate a correct
	pointer.
	* src/tftpd.c (tftp) [HAVE_STRUCT_TFTPHDR_TH_U]: Likewise.

2011-10-27  Alfred M. Szmidt  <ams@gnu.org>

	* telnetd/Makefile.am (INCLUDES): Add -I$(top_srcdir) to list.

2011-10-26  Giuseppe Scrivano  <gscrivano@gnu.org>

	* bootstrap.conf (gnulib_modules): Add ioctl to list.

	* ftpd/Makefile.am (LDADD): Put iu_LIBRARIES as last element of
	LDADD.

	* libicmp/icmp_timestamp.c: Include <stddef.h>; reverts parts of
	2011-10-15.
	* libicmp/icmp_address.c: Do not include <stddef.h>.  Revert
	change of 2011-10-25.

2011-10-25  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Pass regexp to git-version-gen to get version tag.
	Use AC_CONFIG_HEADER instead of AM_CONFIG_HEADER.

2011-10-25  Alfred M. Szmidt  <ams@gnu.org>

	New variables (iu_LIBRARIES and iu_INCLUDES ) for specifying core
	inetutils libraries and header files in Makefile.am.

	* configure.ac (iu_INCLUDES, iu_LIBRARIES): New variables.

	* whois/Makefile.am (INCLUDES, LDADD): Use $(iu_INCLUDES) and
	$(iu_LIBRARIES), respectivley.
	* tests/Makefile.am (AM_CPPFLAGS, LDADD): Likewise.
	* ifconfig/Makefile.am (INCLUDES, LDADD): Likewise.
	* ftp/Makefile.am (INCLUDES, LDADD): Likewise.
	* ftpd/Makefile.am (INCLUDES, LDADD): Likewise.
	* talkd/Makefile.am (INCLUDES, LDADD): Likewise.
	* talk/Makefile.am (INCLUDES, LDADD): Likewise.

	* telnetd/Makefile.am (INCLUDES): Use $(iu_INCLUDES).
	(LDADD): Use $(iu_LIBRARIES) and explicitly use static version of
	libtelnet.
	* telnet/Makefile.am (INCLUDES, LDADD): Likewise.
	* src/Makefile.am (INCLUDES): Use $(iu_INCLUDES).
	(LDADD): Use $(iu_LIBRARIES) and explicitly use static version of
	libicmp.
	* ping/Makefile.am (ping_LDADD): Use $(iu_LIBRARIES) and
	explicitly use static version of libicmp.
	(INCLUDES, ping6_LDADD): Use $(iu_INCLUDES) and $(iu_LIBRARIES),
	respectivley.

	* libtelnet/Makefile.am (INCLUDES): Use $(iu_INCLUDES).
	* libls/Makefile.am (INCLUDES): Likewise.
	* libinetutils/Makefile.am (libinetutils_a_LIBADD): Variable
	removed.
	(INCLUDES): Use $(iu_INCLUDES).

2011-10-25  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Don't try to define ARG_UNUSED macro.

2011-10-25  Alfred M. Szmidt  <ams@gnu.org>

	* libicmp/icmp_address.c: Include <stddef.h>; reverts parts of
	2011-10-15.

2011-10-24  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (buildreq): Lowered build requirement of autoconf
	to 2.59.

2011-10-23  Alfred M. Szmidt  <ams@gnu.org>

	* README-alpha: Don't mention gettext and libtool as build
	requirements.

2011-10-23  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (buildreq): New variable.
	(bootstrap_sync): Likewise.

2011-10-23  Alfred M. Szmidt  <ams@gnu.org>

	* README-prereq: New file.
	* README-alpha: Mention that help2man is required for building.

2011-10-23  Alfred M. Szmidt  <ams@gnu.org>

	Updated ./bootstrap.

	* bootstrap: Updated from gnulib (2011-10-23).
	* bootstrap.conf (ACLOCAL_FLAGS): New variable.
	* Makefile.am (AUTOMAKE_OPTIONS): Removed variable.
	(ACLOCAL_AMFLAGS): Removed variable.

2011-10-21  Alfred M. Szmidt  <ams@gnu.org>

	* libinetutils/tftpsubs.c (PKTSIZE) [PKTSIZE]: Only define PKTSIZE
	if needed.
	* src/tftp.c, src/tftpd.c: Likewise.

2011-10-19  Alfred M. Szmidt  <ams@gnu.org>

	* telnetd/telnetd.h [HAVE_STROPTS_H && !HAVE_IOCTL]: Only include
	<stropts.h> if HAVE_IOCTL wasn't defined.

2011-10-15  Alfred M. Szmidt  <ams@gnu.org>

	* .gitignore (gnulib, gnulib/, .sc-start-sc_bindtextdomain)
	(.sc-start-sc_prohibit_have_config_h, lib/, !lib/Makefile.am):
	Added to list.

2011-10-15  Alfred M. Szmidt  <ams@gnu.org>

	Clean up (some) `make syntax-check' errors.

	* src/syslogd.c (init): Removed redundant if statment before free
	call (was reintroduced 2011-06-20).
	* libicmp/icmp_timestamp.c: Don't include <stddef.h>.
	* src/syslogd.c (cfline): Removed redundant parentehsis around
	macros.

2011-10-15  Alfred M. Szmidt  <ams@gnu.org>

	* src/inetd.c (argp_options) <pidfile>: Updated doc. string.

2011-10-11  Giuseppe Scrivano  <gscrivano@gnu.org>

	* ping/ping.c (parse_opt): Make `pattern' static.
	* ping/ping6.c (parse_opt): Likewise.

2011-09-01  Mats Erik Andersson <gnu@gisladisker.se>

	* src/syslogd.c (BindAddress): New variable.
	(finet): Replace by two-element vector of same name.
	(argp_options): New options: "ipv4", "ipv6", "ipany", "bind".
	(parse_opt): Likewise.
	(main): Adaptions to the vector `finet[2]'.
	(create_inet_socket): New prototype `void c_i_s (int, int [2])'.
	Separate address families.  Use BINDADDRESS at resolve time.
	(fprintlog): Temporary socket by family; use descriptor pointer.
	(die): Close both internet sockets.
	* doc/inetutils.texi (syslogd): Update capabilities and options
	for the server `syslogd'.
	* tests/syslogd.sh: Adapt server options for IPv6.

2011-08-20  Mats Erik Andersson <gnu@gisladisker.se>

	* src/logger.c (send_to_syslog, parse_opt) [LOG_PERROR]: Enclose
	every reference to LOG_PERROR in a compiler conditional.
	* src/logprio.h: New file.
	* src/logger.c [!HAVE_SYSLOG_INTERNAL]: Include "logprio.h"
	instead of the irregularly present <syslog-int.h>.
	* src/syslogd.c: Likewise.

2011-08-20  Mats Erik Andersson <gnu@gisladisker.se>

	* ftp/ftp.c (hookup): Remove length in format string.
	* ifconfig/printif.c [HAVE_ALLOCA_H]: Include <alloca.h>.
	* src/rexec.c: Include "minmax.h".
	* libls/fts.c (fts_load): Replace `rindex' with `strrchr'.
	* ping/ping_echo.c (ping_echo): Write non-empty error text.
	* ping/ping6.c (parse_opt, ping_init): Likewise.
	* ping/ping6.c [__sun__]: Define _XPG4_2 for access to
	`msg_control'.

2011-08-18  Mats Erik Andersson <gnu@gisladisker.se>

	* libinetutils/utmp_logout.c (utmp_logout) [UTMPX]: Insert missing
	variable TV in right-hand side.

2011-08-17  Giuseppe Scrivano  <gscrivano@gnu.org>

	* bootstrap.conf (gnulib_modules): Use snippet/unused-parameter
	instead of unused-parameter.  It tracks a gnulib change.

2011-07-28  Mats Erik Andersson <gnu@gisladisker.se>

	* ftpd/ftpd.c (getdatasock): Misnamed variable DATA_SOURCE.

2011-07-25  Mats Erik Andersson <gnu@gisladisker.se>

	* ftpd/ftpd.c (getdatasock) [HAVE_STRUCT_SOCKADDR_IN_SIN_LEN]:
	Assign value to structure member `sin_len'.
	* ftpd/server_mode.c (server_mode) [HAVE...SIN_LEN]: Likewise.
	* ftpd/ftpcmd.y (host_port) [HAVE...SIN_LEN]: Likewise.

2011-07-17  Mats Erik Andersson <gnu@gisladisker.se>

	* src/syslogd.c (LogPort): Remove variable.
	(main): Initialize INET socket based only on ACCEPTREMOTE.
	(fprintlog): Implement forwarding independently of any INET
	listener.  A socket using TEMP_FINET is initialized as needed.
	(init): Remove call to `getservbyname()' and variable SP.  They
	are no longer needed and accidential config loss is now avoided.

2011-07-13  Mats Erik Andersson <gnu@gisladisker.se>

	* src/syslogd.c (cfline): Prevent incrementing beyond string end.
	Discard config line with empty action.
	* tests/syslogd.sh: Three new degenerate config lines.

2011-06-20  Mats Erik Andersson <gnu@gisladisker.se>

	* src/syslogd.c: Replace all `struct sockaddr_in' with `struct
	sockaddr_storage'; provide `socklen_t' where needed.  Replace
	`gethostbyname', `struct hostent' with `getaddrinfo' and `struct
	addrinfo'.
	(struct filed): In `struct f_forw', use `struct sockaddr_storage'
	and `socklen_t'.
	(addrstr, addrname, usefamily, LogPortText): New variables.
	(main): Call `create_inet_socket' with parameter USEFAMILY.
	(create_inet_socket): New parameter list `int' with address
	family.  Enforce `IPV6_ONLY' for family `AF_INET6'.
	(cvthname): New parameter list `struct sockaddr *, socklen_t'.
	Replace `inet_ntoa' and `gethostbyaddr' by two applications of
	`getnameinfo'.
	(init): Use LOGPORTTEXT to determine listening port.  Sanity check
	on `f->f_prevhost' before freeing memory.
	* tests/syslogd.sh [REMOTE_LOGHOST]: Include a loghost setting.

2011-06-18  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Added mkstemp to list.

2011-06-18  Alfred M. Szmidt  <ams@gnu.org>

	* tests/syslogd.sh: Changed permission on file to be executable.

2011-06-18  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Added unused-parameter to list.

	* libtelnet/Makefile.am (INCLUDES): Added "-I$(top_srcdir)/lib
	-I../lib" to list.
	* src/Makefile.am (INCLUDES): Added -I$(top_builddir)/lib to list.

	* talkd/talkd.c: Include "unused-parameter.h".  Replaced all usage
	of ARG_UNUSED with _GL_UNUSED_PARAMETER.
	* talkd/table.c: Likewise.
	* talk/init_disp.c: Likewise.
	* src/syslogd.c: Likewise.
	* src/rlogind.c: Likewise.
	* src/rlogin.c: Likewise.
	* src/inetd.c: Likewise.
	* libtelnet/auth.c: Likewise.
	* ftpd/server_mode.c: Likewise.
	* ftpd/ftpd.c: Likewise.
	* ftp/main.c: Likewise.
	* ftp/ftp.c: Likewise.
	* ftp/cmds.c: Likewise.

2011-06-18  Alfred M. Szmidt  <ams@gnu.org>

	* whois/whois.h: Replace RETSIGTYPE with void; this is old K&Rism.
	* whois/whois.c: Likewise.
	* telnet/sys_bsd.c: Likewise.
	* talk/invite.c: Likewise.
	* talk/init_disp.c: Likewise.
	* src/syslogd.c: Likewise.
	* src/rsh.c: Likewise.
	* src/rlogind.c: Likewise.
	* src/rlogin.c: Likewise.
	* src/rcp.c: Likewise.
	* src/inetd.c: Likewise.
	* ping/ping6.c: Likewise.
	* ping/ping.c: Likewise.
	* libtelnet/auth.c: Likewise.
	* libinetutils/daemon.c: Likewise.

2011-06-18  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Use malloc-gnu and realloc-gnu
	instead of the old malloc and realloc modules.

2011-06-17  Alfred M. Szmidt  <ams@gnu.org>

	* libinetutils/libinetutils.h: Don't include <config.h>; instead
	produce an error if we haven't included it.

2011-06-17  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Added signal to list.

2011-06-16  Simon Josefsson  <simon@josefsson.org>

	* configure.ac: Don't check for sig_t.
	* libinetutils/setsig.c (setsig): Use sighandler_t instead of
	sig_t.  Reported by Mats Erik Andersson <gnu@gisladisker.se>.
	* ftp/cmds.c (mput, mget, mdelete, mls, shell, doproxy): Likewise.
	* ftp/ftp.c (command, getreply, sendrequest, recvrequest)
	(pswitch, proxtrans): Likewise.
	* src/rlogin.c (setsignal): Likewise.
	* src/rcp.c (susystem): Likewise.

2011-06-15  Mats Erik Andersson <gnu@gisladisker.se>

	* src/syslogd.c (fprintlog): Sanity check on `f->f_prevhost' to
	avoid deferencing NULL.
	(cfline): A permanently failed DNS lookup must produce F_UNUSED.
	* tests/syslogd.sh: New file.
	* tests/Makefile.am (dist_check_SCRIPTS) [ENABLE_logger &&
	ENABLE_syslogd]: Add `syslogd.sh'.

2011-06-08  Alfred M. Szmidt  <ams@gnu.org>

	* tests/tftp.sh: Skip test if we cannot execute netstat.  Enable
	verbose execution of test as early as possible.

2011-06-05  Alfred M. Szmidt  <ams@gnu.org>

	Clean up `make syntax-check' errors.

	* tests/addrpeek.c: Include <config.h> instead of "config.h".
	(main): Call set_program_name.

	* src/syslogd.c (init): Removed redundant if statment before free
	call.

	* libls/stat_flags.c: Don't include <stddef.h>.

	* ifconfig/changeif.c (set_address): Fix typo.
	* src/logger.c (parse_opt): Likewise.
	* src/rlogin.c: Likewise.
	* talk/invite.c (answers): Likewise.

	* ftp/ftp.c: Removed redundant parentehsis in #if guard.

2011-06-05  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Don't check for <osockaddr.h>.
	* talkd/intalkd.h [HAVE_OSOCKADDR_H]: Don't include <osockaddr.h>.
	* talk/look_up.c: Likewise.
	* talk/invite.c: Likewise.
	* talk/get_names.c: Likewise.
	* talk/get_addrs.c: Likewise.
	* talk/ctl_transact.c: Likewise.
	* talk/ctl.c: Likewise.

2011-05-09  Simon Josefsson  <simon@josefsson.org>

	* bootstrap.conf (gnulib_modules): Removed 'exit' from list.
	(gnulib_modules): Remove 'strcase' from list (not needed anymore,
	according to gnulib documentation).

2011-05-06  Mats Erik Andersson <gnu@gisladisker.se>

	* doc/inetutils.texi (ftp invocation): Document new capabilities
	related to the recent IPv6 code.  A single old misprint.

2011-05-06  Mats Erik Andersson <gnu@gisladisker.se>

	* ftp/extern.h (setipany, setipv4, setipv6): New prototypes.
	* ftp/cmdtab.c (ipanyhelp, ipv4help, ipv6help): New help texts.
	(cmdtab): Register commands `ipany', `ipv4', and `ipv6'.
	* ftp/cmds.c (status): Report address family.
	(setipany, setipv4, setipv6): New functions.

2011-05-06  Mats Erik Andersson <gnu@gisladisker.se>

	* src/syslogd.c (fprintlog): Deallocate pointers F_HNAME or
	F_FNAME when F_TYPE is invalidated as F_UNUSED.
	(cfline): Likewise.
	(init): Deallocate F_FNAME, F_HNAME, F_UNAMES, and F_PREVHOST
	before reclaiming the pointer F.

2011-04-17  Mats Erik Andersson <gnu@gisladisker.se>

	* ftp/ftp_var.h (usefamily): New variable.
	* ftp/main.c (argp_options): New options `ipv4` and `ipv6`.
	(parse_opt): Parse cases '4' and '6', set USEFAMILY accordingly.
	(main): Initialize USEFAMILY to `AF_UNSPEC`.
	* ftp/ftp.c (hookup): Resolve addresses according to USEFAMILY.
	Use macro AI_ADDRCONFIG only with family `AF_UNSPEC`.
	(initconn): New IPv6 protocol methods `EPSV` and `LPSV`.  New
	variable DATA_ADDR_SA6.
	(initconn) [noport]: New IPv6 methods `EPRT` and `LPRT`.

2011-04-08  Mats Erik Andersson <gnu@gisladisker.se>

	* ftp/cmds.c (setepsv4): New function.
	(setpeer): Use the variable PORT in host byte order.
	(status): New status message, based on DOEPSV4.
	* ftp/cmdtab.c (epsv4help): New string variable.
	(cmdtab): New command `epsv4` inserted.
	* ftp/extern.h (setepsv4): New declaration.
	* ftp/ftp_var.h (doepsv4): New variable.
	* ftp/main.c (main): Initiate DOEPSV4 to `off`.
	* ftp/ftp.c: Explicitly condition IP_TOS on address family
	AF_INET.  Replace `struct sockaddr_in` by `struct
	sockaddr_storage`.  Always use CTLADDRLEN when referencing address
	lengths.
	(ctladdrlen, ia, portstr): New variables.
	(FTP_CONNECT_TIMEOUT): New macro.
	(hookup): Replace resolver `gethostbyname` by `getaddrinfo`.  A
	timed alarm interrupts any slow connection attempt.
	(getreply): New server return codes for `LPSV` and `EPSV`.
	(initconn): New protocol methods `EPSV` and `LPSV`.
	(initconn) [noport]: Trivial switch statement on `AF_INET`.  New
	protocol methods `EPRT` and `LPRT`.

2011-03-27  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Use AC_CANONICAL_HOST instead of
	AC_CANONICAL_SYSTEM.

2011-03-27  Mike Frysinger  <vapier@gentoo.org>

	* ftpd/server_mode.c: Include <libinetutils.h>.
	(server_mode): Changed prototype to ` int server_mode (const char
	*pidfile, struct sockaddr_in *phis_addr, char *argv[])'.  Handle
	systems that do not have fork().
	* ftpd/extern.h (server_mode): Updated prototype.
	* ftpd/ftpd.c (main): Handle systems that do not have fork().

2011-03-27  Mike Frysinger  <vapier@gentoo.org>

	* libinetutils/libinetutils.h: Include <config.h>.
	(fork_exit, fork): New macros.
	* configure.ac: Check for presence of fork().

2011-01-26  Mats Erik Andersson <gnu@gisladisker.se>

	* src/traceroute.c (main): Remove test on geteuid().

2011-01-25  Mats Erik Andersson <gnu@gisladisker.se>

	* src/logger.c (host_family) [HAVE_DECL_GETADDRINFO]: New
	variable.
	(struct logger_sockaddr) [HAVE_IPV6]: New component SINET6.
	(open_socket) [HAVE_DECL_GETADDRINFO]: Implement new code based on
	getaddrinfo.  Reorganize old handler of port specification.
	(argp_options): New options `--ipv4' and `--ipv6`.
	(parse_opt): Implement parsing of new options.
	* doc/inetutils.texi (logger): Describe implications of
	IPv6-support and fallback.  Small corrections to example usage.

2010-12-21  Mats Erik Andersson <gnu@gisladisker.se>

	* src/inetd.c (pidfile_option): New variable.
	(pid_file): New variable.
	(argp_options): Add an option for replacing file name of PID file.
	(parse_opt): Handle option `p'.
	(main): Condition PID file use on PIDFILE_OPTION.  Replace the
	macro PATH_INETDPID by variable PID_FILE.

2010-12-21  Mats Erik Andersson <gnu@gisladisker.se>

	* src/inetd.c (inetd_getaddrinfo): If IPV6, then add a flag
	AI_NUMERICHOST if the node is a numeric address string.  New
	variable NUMERIC_ADDRESS.  Debug symbolic addresses.
	(getconfigent): Replace `strchr' with `strrchr'.

2010-12-21  Mats Erik Andersson <gnu@gisladisker.se>

	* src/inetd.c (print_service): If `ISMUX(SEP)' then present the
	node name as `tcpmux' or as `tcpmuxplus'.  Make 'builtin=' show
	actual service name, or `no' for non-builtins.
	(fix_tcpmux): Let SERV.se_file report `fix_tcpmux' as origin.
	Correct some spelling mistakes in error message.

2010-12-21  Mats Erik Andersson <gnu@gisladisker.se>

	* tests/addrpeek.c: New file.
	* tests/Makefile.am: Register `addrpeek' using `check_PROGRAMS',
	but conditioned on `ENABLE_inetd'.

2010-12-21  Mats Erik Andersson <gnu@gisladisker.se>

	* src/inetd.c (prepenv): New prototype: `prepenv(int, struct
	sockaddr *, socklen_t)'.
	(prepenv): Change type of IP to `char []' of fixed length.  Delete
	HOST.  New integer variable RET.  Make type of SA_SERVER depend on
	macro IPV6, either `struct sockaddr_storage' or `struct
	sockaddr_in'.
	(prepenv): Eliminate use of `inet_ntoa' and `gethostbyaddr' by new
	calls to `getnameinfo', with and without restiction to numeric
	results.  Debugging output for three select environment variables.
	(main): Make type of SA_CLIENT depend on macro IPV6, either
	`struct sockaddr_storage' or `struct sockaddr_in'.  Adaptions to
	the new prototype for `prepenv'.

2010-12-04  Mike Frysinger <vapier@gentoo.org>  (tiny change)

	* man/Makefile.am (dist_man1_MANS): Renamed to dist_man_MANS.

2010-11-22  Mats Erik Andersson <gnu@gisladisker.se>

	* src/traceroute.c: Include "xalloc.h".
	* src/traceroute.c (host): Deleted variable.
	(hostname, addrstr): New variables;
	(parse_opt) [ARGP_KEY_ARG]: Abolish gethostbyname.  Only use
	xstrdup to copy argument.
	(main): Use getaddrinfo and getnameinfo for name resolving.  New
	variables HINTS and *RES of type `struct addrinfo'.

2010-11-22  Mats Erik Andersson <gnu@gisladisker.se>

	Resolve a double free issue.  Leads to segmentation faults.

	* src/inetd.c (nextconfig): Do not use `freeconfig'
	unconditionally.  Condition on SERV_NODE, which needs partial
	memory deallocation.

2010-11-22  Mats Erik Andersson <gnu@gisladisker.se>

	Partially revert changes introduced in fd64a202.

	* src/inetd.c (nextconfig): Call `enter' for TCPMUX services, but
	`expand_enter' for every other service.

2010-11-22  Mats Erik Andersson <gnu@gisladisker.se>

	* src/inetd.c (inetd_getaddrinfo): Do not use AI_V4MAPPED with
	address family AF_INET.  FreeBSD fails otherwise.

2010-11-22  Mats Erik Andersson <gnu@gisladisker.se>

	* ifconfig/flags.c (flag_char_tab): Protect the uses of
	IFF_NOTRAILERS by `#ifdef'.

2010-11-22  Mats Erik Andersson <gnu@gisladisker.se>

	Regression caused by fe539ae9...797d881c

	* src/traceroute.c: Revert change from 2010-10-31.  Change element
	`ttl' in `struct trace' to be plain `int'.
	(trace_init): Change type of TTLP to be `const int *'.  Use
	`sizeof (*ttlp)' in both calls to setsockopt.
	(trace_inc_ttl): Likewise.

2010-11-21  Mike Frysinger <vapier@gentoo.org>

	* configure.ac: Check for __rcmd_errstr.
	* src/rshd.c (doit): Protect declaration and use of __rcmd_errstr
	variable with HAVE___RCMD_ERRSTR check.

2010-11-19  Mike Frysinger <vapier@gentoo.org>

	* ftp/extern.h: Rename function ruserpass to remote_userpass.
	* ftp/ftp.c (login): Call remote_userpass instead of ruserpass.
	* ftp/ruserpass.c (remote_userpass): Renamed from ruserpass.

2010-10-31  Mats Erik Andersson <gnu@gisladisker.se>

	* ifconfig/if_index.c (if_nametoindex, if_freenameindex)
	(if_nameindex): Provide functions only if HAVE_STRUCT_IF_NAMEINDEX
	isn't defined.

2010-10-31  Mats Erik Andersson  <gnu@gisladisker.se>

	libinetutils: UTMP fixes for OpenBSD.

	* libinetutils/utmp_init.c [HAVE_UTIL_H]: Include <util.h>.
	(utmp_init): Only use UTX.ut_host if HAVE_STRUCT_UTMP_UT_NAME ||
	HAVE_STRUCT_UTMPX_UT_NAME are defined.
	[HAVE_STRUCT_UTMP_UT_HOST]: Initialise USER using UTX.ut_host.
	Call pututline()/endutent() only if HAVE_DECL_GETUTENT is defined,
	otherwise use login().
	* libinetutils/cleansess.c [HAVE_UTIL_H]: Include <util.h>.
	* libinetutils/utmp_logout.c [HAVE_UTIL_H]: Include <util.h>.
	Call getutline() only if HAVE_DECL_GETUTENT is defined, otherwise
	use logout().

2010-10-31  Alfred M. Szmidt  <ams@gnu.org>

	Use git-version-gen to extract version number.

	* .gitignore (.tarball-version, .version): Added to list.
	* configure.ac: Use git-version-gen to extract version number.
	* bootstrap.conf (gnulib_modules): Added git-version-gen to list.

	* Makefile.am (BUILT_SOURCES): New variable.
	($(top_srcdir)/.version, dist-hook): New targets.

	* bootstrap.conf (gnulib_modules): Removed unlocked-io from list.

2010-10-31  Mats Erik Andersson  <gnu@gisladisker.se>

	traceroute: Pass integer values to IP_TTL option.

	* src/traceroute.c (trace_init): Renamed TTLP to TTL, and changed
	type to `int'.
	(trace_inc_ttl): Likewise.

2010-10-31  Mats Erik Andersson  <gnu@gisladisker.se>

	Calculate socket length using sockaddr.

	* src/inetd.c: New element `se_addrlen' in `struct servtab'.
	(expand_enter): Record in SE_ADDRLEN the actual length of each
	established control address.
	(setup): Use the exact address length in call to bind(3).

2010-10-31  Mats Erik Andersson  <gnu@gisladisker.se>

	Improve the test suite.

	* tests/tftp.sh: Make it robust and portable to GNU/Linux and BSD.
	* tests/ping-localhost.sh: Test `ping' and `ping6'.
	* tests/traceroute-localhost.sh: Test UDP and ICMP.

2010-10-31  Ludovic Courtès  <ludo@gnu.org>

	tftp: Resolve the "tftp" service only when no port is specified.

	* src/tftp.c: Include <error.h>.
	(port): Change from `short' to `int'.
	(sp): Remove variable.
	(main): Don't call `getservbyname'.
	(setpeer): Call `getservbyname' when ARGC != 3.
	(put, get): Refer to PORT instead of SP->s_port.

2010-10-27  Mats Erik Andersson <gnu@gisladisker.se>
	    Simon Josefsson  <simon@josefsson.org>

	* telnetd/telnetd.c (telnetd_setup): Pass correct length of saddr
	to getnameinfo calls.

2010-10-26  Mats Erik Andersson <gnu@gisladisker.se>

	* telnetd/telnetd.c (telnetd_setup): Really use LEN as size of
	address.

2010-10-19  Alfred M. Szmidt  <ams@gnu.org>

	Added gendocs module for generation of web manual.

	* doc/.gitignore: Ignore gendocs_template.
	* cfg.mk (manual_title): New variable.
	* bootstrap.conf (gnulib_modules): Added gendocs to list.

2010-10-19  Ludovic Courtès  <ludo@gnu.org>

	Add `tftpd' and `tftp' test.

	* tests/Makefile.am (dist_check_SCRIPTS) [ENABLE_inetd &&
	ENABLE_tftpd && ENABLE_tftp]: Add `tftp.sh'.
	* tests/tftp.sh: New file.

2010-10-19  Alfred M. Szmidt  <ams@gnu.org>

	Silence sc_program_name errors.

	* cfg.mk (local-checks-to-skip): Removed sc_program_name from
	list.
	* tests/localhost.c: Include <progname.h>.
	(main): Set type to `int main (int argc, char **argv)'.  Call
	set_program_name.
	* talkd/talkd.c: Include <progname.h>.
	(main): Call set_program_name.
	* libinetutils/argcv.c: Include <progname.h>.
	(main): Set type to `int main (int argc, char **argv)'.  Call
	set_program_name.
	* ifconfig/options.c (parse_cmdline): Removed call to
	set_program_name.
	* ifconfig/ifconfig.c: Include <progname.h>
	(main): Call set_program_name.

	* bootstrap.conf (gnulib_modules): Added git-merge-changelog to
	list.

2010-10-18  Alfred M. Szmidt  <ams@gnu.org>

	Always use <termios.h> interface.

	* telnetd/term.c: Always use <termios.h> interface.
	* telnetd/telnetd.h [!HAVE_TERMIO_H]: Don't include <termio.h>
	[!HAVE_TERMIO_H && !HAVE_TERMIO_H]: Don't include <sgtty.h>.
	* telnet/externs.h (USE_TERMIO): Uncondtionally define macro.
	(SYSV_TERMIO) [!HAVE_TERMIOS_H && HAVE_TERMIO_H]: Undefine macro.

	* talk/init_disp.c [!HAVE_TERMIOS_H]: Don't include <sys/ioctl.h>.
	[!HAVE_TERMIOS_H && HAVE_SYS_IOCTL_COMPAT_H]: Don't include
	<sys/ioctl_compat.h>.

	* libls/ls.c: Unconditionally include <termios.h>

	* src/uucpd.c: Likewise.

	* configure.ac: Removed checks for termios.h and termio.h specifc
	functions, variables and headers.

	* bootstrap.conf (gnulib_modules): Added termios module.

2010-10-18  Mats Erik Andersson <gnu@gisladisker.se>

	* libinetutils/tftpsubs.c (synchnet): Changed type of FROM to be
	"struct sockaddr_storage".

	* src/tftpd.c: Changed all uses of "struct sockaddr_in" to be
	"struct sockaddr_storage".
	(fromlen): Meticulously tracks length of address structure FROM in
	every function.
	(verifyhost): Expanded declaration signature to be "(struct
	sockaddr_storage *, socklen_t)".  Use getnameinfo(3) as resolver.
	(tftp) <logging>: Now displays address family "IPv4", "IPv6", or
	"?".

2010-10-18  Mats Erik Andersson <gnu@gisladisker.se>

	* ifconfig/printif.c (put_flags): Declare F as `unsigned short
	int'.
	(put_int): Parse H, h, and # modifiers.
	* ifconfig/options.c (formats) <unix>: Fix formating.
	* ifconfig/flags.c (flag_char_tab) [IFF_SIMPLEX]: New member
	IFF_SIMPLEX

2010-10-18  Guillem Jover  <guillem@hadrons.org>

	* configure.ac: Remove opie AC_CHECK_LIB check.

2010-10-18  Guillem Jover  <guillem@hadrons.org>

	* src/inetd.c (nextconfig): Call expand_enter instead of enter for
	tcpmux services.
	(fix_tcpmux): Likewise.

2010-10-18  Guillem Jover  <guillem@hadrons.org>

	* src/inetd.c (getconfigent): If se_argc == 1 inject the
	normalized se_server name into se_argv[0].

2010-10-18  Guillem Jover  <guillem@hadrons.org>

	* src/inetd.c (getconfigent) [IPV6]: Change default family to IPv4
	for "tcp" and "udp".  Change "tcp6" and "udp6" to support IPv4
	mapped addresses.  Add "tcp6only" and "udp6only" protocols for
	IPv6 only addresses.
	(fix_tcpmux) [IPV6]: Set se_proto to "tcp6".
	[!IPV6]: Set se_proto to "tcp".

2010-10-01  Mats Erik Andersson <gnu@gisladisker.se>

	* src/inetd.c (setup, expand_enter, getconfigent, prepenv): Fix
	comments.

2010-09-18  Mats Erik Andersson <gnu@gisladisker.se>

	* ping/ping6.c: Include <sys/uio.h> for knowing "struct iov" in
	BSD.
	* ping/ping6.c (ping_init): Check for EACCES failure from
	socket(2).
	* ping/libping.c (ping_init): Likewise.

2010-09-23  Mats Erik Andersson <gnu@gisladisker.se>

	* ifconfig/system/linux.c (linux_if_nameindex): Express the exact
	amount remaining of the string when locating next token.

2010-09-28  Mats Erik Andersson <gnu@gisladisker.se>

	* configure.ac: Unconditionally include <sys/types.h> when
	checking for `struct sockaddr_in6'.  Needed for OpenBSD.

2010-09-15  Mats Erik Andersson <gnu@gisladisker.se>

	* telnetd/telnetd.c (login_invocation, argp_options): Access
	login(1) by detected PATH_LOGIN.

2010-09-15  Mats Erik Andersson <gnu@gisladisker.se>

	* man/Makefile.am: Use expansion "$(MAKE)".

2010-09-21  Simon Josefsson  <simon@josefsson.org>

	* ifconfig/system/qnx.h: Rename pre-processor symbol
	IFCONFIG_SYSTEM_SOLARIS_H to IFCONFIG_SYSTEM_QNX_H.  Reported by
	Mats Erik Andersson <gnu@gisladisker.se>.

2010-09-09  Mats Erik Andersson <gnu@gisladisker.se>

	* src/tftp.c (peeraddr, f, trace, verbose, rexmtval)
	(maxtimeout): Remove external scope.
	(peeraddr, f, port, trace, verbose, connected): Upgrade to static
	scope in file.
	(rexmtval, maxtimeout): Static scope and new positioning.

2010-09-03  Simon Josefsson  <simon@josefsson.org>

	* doc/inetutils.texi (telnetd invocation): Use two spaces after
	end-of-sentence period.  Reported by "Alfred M. Szmidt"
	<ams@gnu.org>.

2010-08-20  Simon Josefsson  <simon@josefsson.org>

	* doc/inetutils.texi (telnetd invocation): Document --authmode and
	--debug values.  Tiny patch from Mats Erik Andersson
	<mats.andersson@gisladisker.se>.

2010-08-20  Simon Josefsson  <simon@josefsson.org>

	* src/logger.c: Include sys/uio.h for writev.  Suggested by Mats
	Erik Andersson <mats.andersson@gisladisker.se>.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	* ifconfig/system.h [__hpux__]: Don't include "system/hpux.c".

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	ifconfig: Random fixes for the `generic' operating system.

	* ifconfig/system/generic.c (system_if_nameindex): New variable.
	* ifconfig/flags.h: Include <sys/types.h>.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	* src/tftp.c (intr): Changed type to `void intr (int signo)'.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	ifconfig: Removed support for HPUX and OSF.

	* ifconfig/system/hpux.c, ifconfig/system/hpux.h,
	ifconfig/system/osf.c, ifconfig/system/osf.h: Files removed.
	* ifconfig/system/Makefile.am (noinst_HEADERS): Don't include
	hpux.h, hpux.c, osf.c, osf.h.
	* ifconfig/system.c [__hpux__]: Don't include "system/hpux.c".

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	Converted K&R style declarations to ISO C89.

	* ftp/cmds.c (account, all_lower, all_upper, another, cd, cdup)
	(changetype, confirm, cp_subst, delete, disconnect, do_chmod)
	(do_umask, domap, doproxy, dotrans, fatal, get, getit, globulize)
	(lcd, ls, macdef, makedir, mdelete, mget, mls, modtime, mput)
	(newer, onoff, proxabort, put, pwd, quit, quote, quote1, reget)
	(remglob, removedir, renamefile, restart, rmthelp, rmtstatus)
	(setascii, setbell, setbinary, setcase, setcr, setdebug, setform)
	(setftmode, setglob, sethash, setnmap, setntrans, setpassive)
	(setpeer, setport, setprompt, setrunique, setstruct, setsunique)
	(settenex, settrace, settype, setverbose, shell, site, site_idle)
	(sizecmd, status, strdown, syst, user): Use ANSI style
	declarations for prototypes.
	* ftp/extern.h (abortpt, abortrecv, abortsend, cmdabort, intr)
	(lostpeer, proxabort, psabort): Likewise.
	* ftp/ftp.c (abort_remote, abortpt, abortrecv, abortsend)
	(dataconn, empty, getreply, gunique, hookup, initconn, login)
	(proxtrans, psabort, pswitch, ptransfer, recvrequest, reset)
	(sendrequest, tvsub): Likewise.
	* ftp/main.c (makeargv, slurpstring): Likewise.
	* ftpd/ftpcmd.y (lookupyyle): Likewise.
	* libinetutils/tftpsubs.c (r_init, w_init): Likewise.
	* libls/cmp.c (acccmp, modcmp, namecmp, revacccmp, revmodcmp)
	(revnamecmp, revsizecmp, revstatcmp, sizecmp, statcmp): Likewise.
	* libls/fts.c (fts_alloc, fts_build, fts_children, fts_close)
	(fts_lfree, fts_load, fts_maxarglen, fts_open, fts_padjust)
	(fts_palloc, fts_read, fts_set, fts_sort, fts_stat): Likewise.
	* libls/ls.c (display, ls_main, mastercmp, traverse): Likewise.
	* libls/print.c (compute_columns, printacol, printaname, printcol)
	(printlink, printlong, printscol, printstream, printtime)
	(printtype): Likewise.
	* libls/stat_flags.c (flags_to_string, string_to_flags): Likewise.
	* libls/util.c (putname, usage): Likewise.
	* ping/ping.c (ping_finish): Likewise.
	* ping/ping6.c (echo_finish, ping_finish): Likewise.
	* ping/ping_address.c (address_finish): Likewise.
	* ping/ping_echo.c (echo_finish): Likewise.
	* ping/ping_timestamp.c (timestamp_finish): Likewise.
	* src/inetd.c (fix_tcpmux): Likewise.
	* src/logger.c (open_socket): Likewise.
	* src/rcp.c (response): Likewise.
	* src/rlogin.c (sendwindow, writer): Likewise.
	* src/syslogd.c (create_inet_socket): Likewise.
	* src/tftp.c (w_init, , r_init, , tail, , command, intr, makeargv)
	(startclock, stopclock, getcmd, intr): Likewise.
	* src/tftpd.c (r_init, w_init): Likewise.
	* src/uucpd.c (getpwnam, , dologout, dologout, dologin): Likewise.
	* talk/ctl.c (open_ctl, open_sockt): Likewise.
	* talk/get_names.c (getlogin, , ttyname): Likewise.
	* talk/init_disp.c (init_display, quit, set_edit_chars): Likewise.
	* talk/invite.c (announce_invite, invite_remote, send_delete):
	Likewise.
	* talk/io.c (talk): Likewise.
	* talk/look_up.c (check_local): Likewise.
	* talk/msgs.c (end_msgs, start_msgs): Likewise.
	* talkd/table.c (new_id): Likewise.
	* talkd/talkd.c (talkd_init): Likewise.
	* telnet/commands.c (docharmode, dokludgemode, dolinemode)
	(dolmmode, env_help, env_init, env_list, modehelp, getslc)
	(lclchars, logout, modehelp, quit, send_esc, send_help, slc_help)
	(slccmd, help, slc_help, suspend, togcrlf, togcrmod, togdebug)
	(togglehelp): Likewise.
	* telnet/main.c (tninit): Likewise.
	* telnet/network.c (init_network, netflush, setneturg, stilloob):
	Likewise.
	* telnet/sys_bsd.c (susp, TerminalAutoFlush, TerminalDefaultChars)
	(TerminalFlushOutput, TerminalSaveState, xmitAO, init_sys)
	(sys_telnet_init): Likewise.
	* telnet/telnet.c (doflush, dosynch, env_opt_start)
	(env_opt_start_info, get_status, gettermname, init_telnet, intp)
	(netclear, rlogin_susp, sendabort, sendayt, sendbrk, sendeof)
	(sendnaws, sendsusp, slc_check, slc_end_reply, slc_export)
	(slc_init, slc_mode_export, slc_start_reply, slc_update, slcstate)
	(suboption, telrcv, telsnd, xmitAO, xmitEC, xmitEL): Likewise.
	* telnet/terminal.c (getconnmode, init_terminal, setcommandmode):
	Likewise.
	* telnet/tn3270.c (init_3270): Likewise.
	* telnet/utilities.c (EmptyTerminal, SetForExit, optionstatus):
	Likewise.
	* telnetd/pty.c (scrub_env): Likewise.
	* telnetd/slc.c (netflush, check_slc, default_slc, deferslc)
	(get_slc_defaults, send_slc): Likewise.
	* telnetd/state.c (doclientstat, doclientstat, recv_ayt, send_brk)
	(send_eof, send_intr, send_status, send_susp, suboption, telrcv):
	Likewise.
	* telnetd/telnetd.c (print_hostinfo, telnetd_run): Likewise.
	* telnetd/telnetd.h (netclear, netflush): Likewise.
	* telnetd/term.c (init_termbuf, set_termbuf, term_change_eof)
	(term_send_eof, tty_flowmode, tty_isbinaryin, tty_isbinaryout)
	(tty_iscrnl, tty_isecho, tty_isediting, tty_islitecho, tty_israw)
	(tty_issofttab, tty_istrapsig, tty_linemode, tty_restartany):
	Likewise.
	* telnetd/termstat.c (netflush, defer_terminit, flowstat)
	(localstat, terminit): Likewise.
	* telnetd/utility.c (_gettermname, debug_close, debug_open)
	(io_drain, io_setup, net_buffer_is_full, net_input_level)
	(net_output_level, net_read, netclear, netflush)
	(pty_buffer_is_full, pty_input_level, pty_output_level, pty_read)
	(ptyflush, set_neturg): Likewise.

	* ftp/ftp.c (getreply): Pass bogus value to lostpeer.
	(proxtrans): Likewise.
	(reset): Likewise.
	(abort_remote): Likewise.
	* ftp/cmds.c (another): Likewise.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	Use fseeko instead of fseek.

	* libinetutils/tftpsubs.c (write_behind): Use fseeko instead of
	fseek.
	* libinetutils/tftpsubs.c (write_behind): Likewise.
	* ftpd/ftpd.c (store): Likewise.
	* ftp/ftp.c (recvrequest): Likewise.
	(sendrequest): Likewise.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (local-checks-to-skip): Removed sc_makefile_check from
	list.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	Removed useless C preprocessor parentehsis.

	* cfg.mk (local-checks-to-skip): Removed sc_useless_cpp_parens
	from list.

	* ftp/cmds.c: Removed useless C preprocessor parentehsis.
	* ftp/ftp.c: Likewise.
	* ftpd/auth.c: Likewise.
	* ftpd/ftpcmd.y: Likewise.
	* ftpd/ftpd.c: Likewise.
	* ftpd/logwtmp.c: Likewise.
	* ifconfig/changeif.c: Likewise.
	* ifconfig/flags.c: Likewise.
	* ifconfig/if_index.c: Likewise.
	* ifconfig/system.c: Likewise.
	* ifconfig/system.h: Likewise.
	* ifconfig/system/linux.c: Likewise.
	* libinetutils/daemon.c: Likewise.
	* libinetutils/kcmd.c: Likewise.
	* libinetutils/krcmd.c: Likewise.
	* libinetutils/utmp_init.c: Likewise.
	* libinetutils/utmp_logout.c: Likewise.
	* libls/fts.c: Likewise.
	* libtelnet/auth-proto.h: Likewise.
	* libtelnet/auth.c: Likewise.
	* libtelnet/enc_des.c: Likewise.
	* libtelnet/encrypt.c: Likewise.
	* libtelnet/forward.c: Likewise.
	* libtelnet/misc.c: Likewise.
	* libtelnet/read_passwd.c: Likewise.
	* src/inetd.c: Likewise.
	* src/rcp.c: Likewise.
	* src/rlogin.c: Likewise.
	* src/rlogind.c: Likewise.
	* src/rsh.c: Likewise.
	* src/rshd.c: Likewise.
	* src/uucpd.c: Likewise.
	* talk/init_disp.c: Likewise.
	* telnet/authenc.c: Likewise.
	* telnet/commands.c: Likewise.
	* telnet/defines.h: Likewise.
	* telnet/externs.h: Likewise.
	* telnet/main.c: Likewise.
	* telnet/ring.c: Likewise.
	* telnet/sys_bsd.c: Likewise.
	* telnet/telnet.c: Likewise.
	* telnet/tn3270.c: Likewise.
	* telnet/utilities.c: Likewise.
	* telnetd/state.c: Likewise.
	* telnetd/telnetd.c: Likewise.
	* telnetd/telnetd.h: Likewise.
	* telnetd/term.c: Likewise.
	* telnetd/termstat.c: Likewise.
	* telnetd/utility.c: Likewise.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	Use EXIT_SUCCESS and EXIT_FAILURE macros through out.

	* cfg.mk (local-checks-to-skip): Removed
	sc_prohibit_magic_number_exit from list.

	* whois/whois.c (main, err_sys, err_quit): Don't use magical exit
	numbers.
	* telnetd/utility.c (io_drain, fatal): Likewise.
	* telnetd/telnetd.c (main, telnetd_setup): Likewise.
	* telnetd/state.c (telrcv): Likewise.
	* telnetd/pty.c (startslave, cleanup): Likewise.
	* telnet/terminal.c (init_terminal): Likewise.
	* telnet/network.c (init_network): Likewise.
	* telnet/main.c (main): Likewise.
	* talkd/talkd.c (talkd_init, alarm_handler): Likewise.
	* talkd/table.c (insert_table): Likewise.
	* talkd/announce.c (announce): Likewise.
	* talkd/acl.c (netdef_parse, read_acl): Likewise.
	* talk/init_disp.c (init_display, quit): Likewise.
	* src/uucpd.c (main): Likewise.
	* src/traceroute.c (main): Likewise.
	* src/tftpd.c (main, tftp, timer, justquit): Likewise.
	* src/tftp.c (main, command, quit): Likewise.
	* src/syslogd.c (main, add_funix, crunch_list, die): Likewise.
	* src/rshd.c (main, doit, getstr): Likewise.
	* src/rsh.c (main, else, sigmask, talk, copyargs): Likewise.
	* src/rlogind.c (main, rlogin_daemon, rlogind_auth)
	(rlogind_mainloop, getstr, cleanup, fatal): Likewise.
	* src/rlogin.c (main): Likewise.
	* src/rexecd.c (main, doit): Likewise.
	* src/rexec.c (main): Likewise.
	* src/rcp.c (main, toremote, sink): Likewise.
	* src/logger.c (main): Likewise.
	* src/inetd.c (echo_stream, discard_stream, chargen_stream)
	(tcpmux, main): Likewise.
	* ping/ping.c (main): Likewise.
	* libtelnet/auth.c (auth_send): Likewise.
	* libls/util.c (usage): Likewise.
	* libls/ls.c (traverse, display): Likewise.
	* ifconfig/ifconfig.c (main): Likewise.
	* ftpd/ftpd.c (main, pass): Likewise.
	* ftp/cmds.c (fatal): Likewise.
	* libinetutils/daemon.c: Include <stdlib.h>.
	(waitdaemon_timeout): Don't use magical exit numbers.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	Only include <signal.h> if it is used.

	* cfg.mk (local-checks-to-skip): Removed
	sc_prohibit_signal_without_use from list.

	* ftp/domacro.c: Don't include <signal.h>.
	* libicmp/icmp_address.c: Likewise.
	* libicmp/icmp_echo.c: Likewise.
	* libicmp/icmp_timestamp.c: Likewise.
	* libtelnet/read_passwd.c: Likewise.
	* ping/libping.c: Likewise.
	* ping/ping_address.c: Likewise.
	* ping/ping_echo.c: Likewise.
	* ping/ping_router.c: Likewise.
	* ping/ping_timestamp.c: Likewise.
	* src/traceroute.c: Likewise.
	* src/uucpd.c: Likewise.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (local-checks-to-skip): Removed sc_trailing_blank from
	list.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (local-checks-to-skip): Removed sc_space_tab from list.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	Don't protect <config.h> with HAVE_CONFIG_H.

	* cfg.mk (local-checks-to-skip): Removed sc_prohibit_have_config_h
	from list.

	* ftp/cmdtab.c: Include <config.h> uncondtionally.
	* ftp/domacro.c: Likewise.
	* ftp/ftp.c: Likewise.
	* ftp/main.c: Likewise.
	* ftp/ruserpass.c: Likewise.
	* ftpd/auth.c: Likewise.
	* ftpd/conf.c: Likewise.
	* ftpd/ftpcmd.y: Likewise.
	* ftpd/ftpd.c: Likewise.
	* ftpd/logwtmp.c: Likewise.
	* ftpd/pam.c: Likewise.
	* ftpd/popen.c: Likewise.
	* ftpd/server_mode.c: Likewise.
	* ifconfig/changeif.c: Likewise.
	* ifconfig/flags.c: Likewise.
	* ifconfig/if_index.c: Likewise.
	* ifconfig/ifconfig.c: Likewise.
	* ifconfig/options.c: Likewise.
	* ifconfig/printif.c: Likewise.
	* ifconfig/system/generic.c: Likewise.
	* ifconfig/system/hpux.c: Likewise.
	* ifconfig/system/linux.c: Likewise.
	* ifconfig/system/osf.c: Likewise.
	* ifconfig/system/qnx.c: Likewise.
	* ifconfig/system/solaris.c: Likewise.
	* libicmp/icmp_address.c: Likewise.
	* libicmp/icmp_cksum.c: Likewise.
	* libicmp/icmp_echo.c: Likewise.
	* libicmp/icmp_timestamp.c: Likewise.
	* libinetutils/cleansess.c: Likewise.
	* libinetutils/des_rw.c: Likewise.
	* libinetutils/kcmd.c: Likewise.
	* libinetutils/krcmd.c: Likewise.
	* libinetutils/localhost.c: Likewise.
	* libinetutils/logwtmp.c: Likewise.
	* libinetutils/setsig.c: Likewise.
	* libinetutils/shishi.c: Likewise.
	* libinetutils/tftpsubs.c: Likewise.
	* libinetutils/ttymsg.c: Likewise.
	* libinetutils/utmp_init.c: Likewise.
	* libinetutils/utmp_logout.c: Likewise.
	* libls/cmp.c: Likewise.
	* libls/fts.c: Likewise.
	* libls/ls.c: Likewise.
	* libls/print.c: Likewise.
	* libls/stat_flags.c: Likewise.
	* libls/util.c: Likewise.
	* libtelnet/auth.c: Likewise.
	* libtelnet/enc_des.c: Likewise.
	* libtelnet/encrypt.c: Likewise.
	* libtelnet/genget.c: Likewise.
	* libtelnet/getent.c: Likewise.
	* libtelnet/kerberos.c: Likewise.
	* libtelnet/kerberos5.c: Likewise.
	* libtelnet/misc.c: Likewise.
	* libtelnet/read_passwd.c: Likewise.
	* libtelnet/shishi.c: Likewise.
	* ping/libping.c: Likewise.
	* ping/ping.c: Likewise.
	* ping/ping6.c: Likewise.
	* ping/ping_address.c: Likewise.
	* ping/ping_common.c: Likewise.
	* ping/ping_echo.c: Likewise.
	* ping/ping_router.c: Likewise.
	* ping/ping_timestamp.c: Likewise.
	* src/inetd.c: Likewise.
	* src/logger.c: Likewise.
	* src/rcp.c: Likewise.
	* src/rexec.c: Likewise.
	* src/rexecd.c: Likewise.
	* src/rlogin.c: Likewise.
	* src/rlogind.c: Likewise.
	* src/rsh.c: Likewise.
	* src/rshd.c: Likewise.
	* src/syslogd.c: Likewise.
	* src/tftp.c: Likewise.
	* src/tftpd.c: Likewise.
	* src/traceroute.c: Likewise.
	* src/uucpd.c: Likewise.
	* talk/ctl.c: Likewise.
	* talk/ctl_transact.c: Likewise.
	* talk/display.c: Likewise.
	* talk/get_addrs.c: Likewise.
	* talk/get_names.c: Likewise.
	* talk/invite.c: Likewise.
	* talk/io.c: Likewise.
	* talk/look_up.c: Likewise.
	* talk/msgs.c: Likewise.
	* talk/talk.c: Likewise.
	* talkd/talkd.c: Likewise.
	* telnet/authenc.c: Likewise.
	* telnet/commands.c: Likewise.
	* telnet/main.c: Likewise.
	* telnet/network.c: Likewise.
	* telnet/sys_bsd.c: Likewise.
	* telnet/telnet.c: Likewise.
	* telnet/terminal.c: Likewise.
	* telnet/tn3270.c: Likewise.
	* telnet/utilities.c: Likewise.
	* telnetd/telnetd.h: Likewise.
	* whois/whois.c: Likewise.
	* ftp/cmds.c: Likewise.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (local-checks-to-skip): Removed
	sc_prohibit_assert_without_use from list.

2010-08-19  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (local-checks-to-skip): Removed sc_obsolete_symbols from
	list.

2010-08-18  Giuseppe Scrivano  <gscrivano@gnu.org>

	Under GNU/Linux print interfaces without an address with ifconfig
	-a.

	* bootstrap.conf (gnulib_modules): Add module `read-file'.

	* NEWS: Update.

	* ifconfig/options.c (parse_cmdline): Use system_if_nameindex, not
	if_nameindex.

	* ifconfig/system.h: Include <if_index.h>.

	* ifconfig/system/hpux.c (system_if_nameindex): New variable.
	* ifconfig/system/osf.c (system_if_nameindex): Likewise.
	* ifconfig/system/qnc.c (system_if_nameindex): Likewise.
	* ifconfig/system/solaris.c (system_if_nameindex): Likewise.

	* ifconfig/system/linux.c (linux_if_nameindex): New function.
	(system_if_nameindex): New variable.

2010-08-16  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ifconfig/flags.c (flag_char_tab): Protect the uses of IFF_SLAVE
	and IFF_MASTER by #ifdefs.

2010-08-16  Alfred M. Szmidt  <ams@gnu.org>

	* ifconfig/options.c (parse_cmdline): Error out if IFNX is NULL.

2010-07-30  Giuseppe Scrivano  <gscrivano@gnu.org>

	* ifconfig/if_index.c (if_nameindex): Remove local variable `len'.
	Remove code that compute the sizeof of the struct `ifreq'.

2010-07-10  Alfred M. Szmidt  <ams@gnu.org>

	* ifconfig/options.c (parse_opt_set_default_format): Abort if no
	output format could be found.

2010-07-10  Giuseppe Scrivano  <gscrivano@gnu.org>

	* ifconfig/if_index.h (if_indextoname): Remove function
	declaration.

	* ifconfig/if_index.c (if_indextoname): Remove unused function.

2010-07-03  Giuseppe Scrivano  <gscrivano@gnu.org>

	* configure.ac: Do not check if `bcmp', `bcopy' and `bzero' exist.

	* libinetutils/des_rw.c (des_read): Use `memcpy' instead of
	`bcopy'.
	(des_write): Likewise.
	(des_clear_key): Use `memset' instead of `bzero'.

	* libtelnet/encrypt.h (SAMEKEY): Use `memcmp' instead of `bcmp'.

	* libinetutils/kcmd.c (kcmd): Use `memcpy' instead of `bcopy'.

	* libinetutils/logwtmp.c (logwtmp_keep_open): Use `memset' instead
	of `bzero'.
	* ftp/ftp.c (initconn): Likewise.
	* src/uucpd.c (main): Likewise.

	* talk/get_addrs.c (get_addrs): Use `memmove' instead of `bcopy'.

2010-06-21  Giuseppe Scrivano  <gscrivano@gnu.org>

	* ifconfig/if_index.c (if_indextoname): Return NULL on errors.

2010-05-19  Kaio Rafael <kaiorafael@gmail.com>  (tiny change)

	* whois/as_del_list, whois/make_as_del.pl: Added copyright notice.
	* whois/ip_del_list, whois/make_ip_del.pl: Likewise.
	* whois/make_tld_serv.pl, whois/tld_serv_list: Likewise.

2010-05-18  Simon Josefsson  <simon@josefsson.org>

	* tests/Makefile.am (dist_check_SCRIPTS): Make testing ping and
	traceroute conditioned on ENABLE_ping and ENABLE_traceroute.
	Reported by Adam Sampson <ats@offog.org>.

2010-05-15  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Bump version number to 1.8.
	* NEWS: Update.

2010-05-15  Alfred M. Szmidt  <ams@gnu.org>

	* src/uucpd.c: Include <sys/wait.h>, <sys/time.h>, <time.h>
	unconditionally.
	* src/tftp.c: Include <sys/time.h>, <time.h> unconditionally.
	* src/syslogd.c: Include <sys/time.h>, <time.h>, <stdarg.h>
	unconditionally.
	(dbg_printf): Remove redundant va_start call, don't use K&R style
	variable arguments.
	* src/rshd.c Include <alloca.h>, <sys/time.h>, <time.h>,
	<sys/select.h> unconditionally.
	[!alloca]: Removed macro.
	* src/rsh.c: Include <sys/time.h>, <time.h>, <sys/select.h>
	unconditionally.
	* src/rlogind.c: Include <sys/time.h>, <time.h>, <sys/select.h>
	unconditionally.
	* src/rlogin.c: Include <sys/time.h>, <time.h>, <sys/wait.h>,
	<stdarg.h> unconditionally.
	(warning): Don't use K&R variable arguments.
	* src/rexecd.c: Include <sys/time.h>, <time.h>, <sys/select.h>
	unconditionally.
	* src/rexec.c: Include <sys/select.h> unconditionally.
	* src/rcp.c: Include <sys/time.h>, <time.h> unconditionally.
	* src/inetd.c: Include <sys/wait.h>, <sys/time.h>, <time.h>,
	<sys/select.h> unconditionally.

2010-05-15  Alfred M. Szmidt  <ams@gnu.org>

	* ifconfig/system/solaris.c: Include <unistd.h>, <string.h>
	unconditionally.
	* ifconfig/system/qnx.c: Include <unistd.h> unconditionally.
	* ifconfig/system/osf.c: Include <unistd.h>, <string.h>
	unconditionally.
	* ifconfig/system/linux.c: Include <unistd.h>, <string.h>
	unconditionally.
	* ifconfig/system/hpux.c: Include <unistd.h>, <string.h>
	unconditionally.
	* ifconfig/printif.c: Include <unistd.h>, <string.h>
	unconditionally.
	* ifconfig/options.c: Include <string.h> unconditionally.
	* ifconfig/ifconfig.c: Include <unistd.h>, <string.h>
	unconditionally.
	* ifconfig/flags.c: Include <string.h> unconditionally.
	* ifconfig/changeif.c: Include <string.h> unconditionally.

2010-05-15  Alfred M. Szmidt  <ams@gnu.org>

	* libinetutils/utmp_logout.c: Include <sys/time.h>, <time.h>,
	<string.h> unconditionally.
	* libinetutils/utmp_init.c: Include <sys/time.h>, <time.h>,
	<string.h> unconditionally.
	* libinetutils/ttymsg.c (O_NONBLOCK): Removed macro.
	* libinetutils/setsig.c: Include <stdlib.h> unconditionally.
	* libinetutils/logwtmp.c: Include <sys/time.h>, <time.h>,
	<errno.h>, <string.h> unconditionally.
	* libinetutils/localhost.c: Include <stdlib.h> unconditionally.
	* libinetutils/cleansess.c: Include <sys/time.h>, <time.h>,
	<string.h> unconditionally.

2010-05-15  Alfred M. Szmidt  <ams@gnu.org>

	* libtelnet/shishi.c: Include <string.h> unconditionally.
	* libtelnet/read_passwd.c: Don't include <strings.h>.
	* libtelnet/kerberos5.c: Include <string.h> unconditionally.
	* libtelnet/kerberos.c: Include <stdlib.h>, <string.h>
	unconditionally.
	* libtelnet/encrypt.c: Include <stdlib.h>, <string.h>, "genget.h"
	unconditionally.
	* libtelnet/enc_des.c: Include <stdlib.h> unconditionally.
	* libtelnet/auth.c: Include <stdlib.h> unconditionally.

2010-05-15  Alfred M. Szmidt  <ams@gnu.org>

	* libls/fts.c: Include <string.h> unconditionally.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	* ftpd/popen.c: Include <sys/wait.h> unconditionally.
	* ftpd/ftpd.c: Include <sys/time.h>, <time.h>, <sys/wait.h>
	unconditionally.
	(reply): Don't use K&R variable arguments.
	(lreply): Don't use K&R variable arguments.
	* ftpd/ftpcmd.y: Include <sys/time.h>, <time.h>, <sys/utsname.h>
	unconditionally.
	* ftpd/auth.c: Include <sys/time.h>, <time.h> unconditionally.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	* talk/msgs.c: Include <sys/time.h>, <time.h> unconditionally.
	* talk/io.c: Include <sys/time.h>, <time.h>, <sys/select.h>
	unconditionally.
	* talk/invite.c: Include <sys/time.h>, <time.h> unconditionally.
	* talk/ctl_transact.c: Include <sys/time.h>, <time.h>,
	<sys/select.h> unconditionally.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	* Makefile.am (DISTCLEANFILES): Added
	`$(PACKAGE)-$(VERSION).tar.gz' to list.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	Use || and && instead of -o and -a in calls to test.

	* configure.ac: Use || and && type of test instead of -o and -a
	for calls to `test'.  Don't check for poll() Include <errno.h>
	unconditionally in check for `sys_errlist'.  Include <unistd.h>
	and <stdlib.h> in check for `environ'.
	* am/config_paths.m4: Use || and && type of test instead of -o and
	-a for calls to `test'.
	* am/libcurses.m4: Likewise.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/ruserpass.c: Include <stdarg.h> unconditionally.
	* ftp/ftp.c: Include <sys/time.h>, <time.h>, <stdarg.h>,
	<sys/select.h> unconditionally.
	(command): Don't use K&R variable arguments.
	* ftp/cmds.c: <sys/wait.h>, <sys/time.h>, <time.h>

	* telnetd/telnetd.c: Include <sys/utsname.h>, <strings.h>
	unconditionally.

	* telnet/utilities.c: Include <sys/time.h>, <time.h>
	unconditionally.  Don't include "fdset.h".
	* telnet/tn3270.c: Don't include "fdset.h".
	* telnet/telnet.c: Include <stdlib.h> unconditionally.
	* telnet/sys_bsd.c: Include <sys/time.h>, <time.h>, <sys/select.h>
	unconditionally.  Don't include "fdset.h".
	* telnet/network.c: Include <sys/time.h>, <time.h>, <sys/select.h>
	unconditionally.
	* telnet/commands.c: Include <fcntl.h>, <stdarg.h>, <stdlib.h>
	unconditionally.
	(call): Don't use K&R variable arguments.
	* telnet/fdset.h: File removed.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	Silence makefile_at_at_check_exceptions from `make syntax-check'.

	* telnetd/Makefile.am (INCLUDES, LDADD): Use $() variables,
	instead of @@.
	(LIBTERMCAP, LIBCRYPT, LIBUTIL): Removed variables.
	* telnet/Makefile.am (noinst_HEADERS): Removed fdset.h from list.
	(LIBTERMCAP, LIBCRYPT): Removed variables.
	* src/Makefile.am (LDADD): Use $() variables, instead of @@.
	* libtelnet/Makefile.am (INCLUDES): Use $() variables, instead of
	@@.
	* ftpd/Makefile.am (LIBCRYPT, LIBWRAP, LIBPAM, LIBLS): Variables
	removed.
	* ftp/Makefile.am (READLINE): Use $() variables, instead of @@.
	* cfg.mk (_makefile_at_at_check_exceptions): New variable.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	* libicmp/.gitignore: Removed file.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	* doc/inetutils.texi: Removed all occurances of @acronym.
	(ftp invocation): Document --passive and --active options.

	* doc/.gitignore (Makefile, Makefile.in): Removed rules.

2010-05-14  Alfred M. Szmidt  <ams@gnu.org>

	* AUTHORS: Updated.

2010-05-14  Giuseppe Scrivano  <gscrivano@gnu.org>

	* bootstrap (gnulib_path): Default to "gnulib" if it doesn't have
	a value.  Redirect "git clone" stderr to stdout.

2010-05-12  Giuseppe Scrivano  <gscrivano@gnu.org>

	* bootstrap: Remove test to skip autoheader.

2010-05-11  Giuseppe Scrivano  <gscrivano@gnu.org>

	* src/tftpd.c (timer): Use `siglongjmp' instead of `longjmp'.
	(send_file): Use `sigsetjmp' instead of `setjmp'.
	(recvfile): Likewise.

	Reported by Hugo Heutinck <hheutinck@mail.altenpts.nl>.

2010-05-11  Giuseppe Scrivano  <gscrivano@gnu.org>

	* src/rcp.c (main): Change the test to check if the call to
	`asprintf' failed.

2010-05-04  Giuseppe Scrivano  <gscrivano@gnu.org>

	* bootstrap: Update to the last gnulib version.

2010-05-03  Simon Josefsson  <simon@josefsson.org>

	* lib/.gitignore: Remove file.

2010-05-03  Simon Josefsson  <simon@josefsson.org>

	* tests/traceroute-localhost.sh (TRACEROUTE): Update to reflect
	move of traceroute to src/.

2010-03-23  Simon Josefsson  <simon@josefsson.org>

	* src/rlogind.c: Don't protect #include <pty.h> in a HAVE_PTY_H
	check, with gnulib we always have pty.h.

	* bootstrap.conf (gnulib_modules): Add forkpty and remove pty.

2010-03-15  Giuseppe Scrivano  <gscrivano@gnu.org>

	* src/rshd.c (iruserok): Declare extern only under glibc.

	* src/rlogind.c: Include pty.h only if HAVE_PTY_H is defined.
	(iruserok): Declare extern only under glibc.

2010-03-10  Ludovic Courtès  <ludo@gnu.org> (tiny change)

	* ftp/main.c (main): Call getservbyname(3) after arguments have
	been parsed.

2010-03-10  Ludovic Courtès  <ludo@gnu.org> (tiny change)

	* ifconfig/flags.c (if_flags): Add trailing entry with NULL
	`name'.

2010-02-13  Giuseppe Scrivano  <gscrivano@gnu.org>

	* configure.ac: Don't check for the `sa_family_t' type.  It is
	already done by gnulib.

2010-02-08  Sergey Poznyakoff  <gray@gnu.org.ua>

	Ifconfig: add more format functions; implement --format=help.

	* ifconfig/if_index.c (if_nametoindex): Fix return value.
	* ifconfig/ifconfig.c (main): Rewrite loop.
	* ifconfig/options.c (formats): Add docstrings.  Add "help"
	format.
	(format_find): New function.
	* ifconfig/options.h (format)<docstr>: New member.
	(format_find): New prototype.
	* ifconfig/printif.c (format_handles): New functions: format?,
	docstr?, defn, foreachformat, verbose?, rep.
	(put_flags): Minor change.
	(format_handler, fh_exists_query, fh_error): Rewrite the loop.
	(fh_format_query, fh_docstr)
	(fh_defn, fh_foreachformat)
	(fh_rep, fh_verbose_query): New functions.
	(fh_format): Rewrite using format_find.
	* ifconfig/printif.h (fh_format_query, fh_docstr)
	(fh_defn, fh_foreachformat)
	(fh_rep, fh_verbose_query): New prototypes.
	* NEWS: Update.

2010-02-08  Sergey Poznyakoff  <gray@gnu.org.ua>

	Ifconfig: read format from files and implement the -s option.

	* ifconfig/flags.c (if_format_flags): Rename to if_list_flags.
	(if_format_flags): New function.
	(print_if_flags): Fix spelling of the 3rd argument.
	* ifconfig/flags.h (IF_FORMAT_FLAGS_BUFSIZE): New define.
	(if_format_flags): Rename to if_list_flags.
	(if_format_flags): New prototype.
	* ifconfig/ifconfig.h: Include obstack.h
	* ifconfig/options.c (formats)<netstat>: New format.
	(argp_options): New option: --short (-s).
	(parse_opt_set_default_format): Optimize.
	(parse_opt_set_default_format_from_file): New function.
	(parse_opt): Handle -s option.  If argument to --format begins
	with a '@', it specifies a file to read format from.
	(parse_cmdline): Order interfaces alphabetically.
	* ifconfig/printif.c (put_flags_short): New function.
	(fh_flags): ${flags}{short} prints flags in short notation.

2010-02-04  Alfred M. Szmidt  <ams@gnu.org>

	New options --active and --passive.

	* ftp/main.c (OPT_PROMPT): New enum.
	(argp_options) <prompt>: Removed short option (-p).  <active>: New
	option; uses -A as short option.  <passive>: New option; uses -p
	as short option.
	(parse_opt): Handle --active and --passive, updated --prompt
	accordingly.
	(main) <passivemode>: Set initial value before argument parsing.

2010-01-29  Alfred M. Szmidt  <ams@gnu.org>

	* ping/Makefile.am (install-ping-hook): Clarify warning message
	when installing a SUID root program.
	* src/Makefile.am (install-traceroute-hook, install-rsh-hook)
	(install-rlogin-hook, install-rcp-hook): Likewise.

2010-01-28  Sergey Poznyakoff  <gray@gnu.org.ua>

	Implement -a option; correctly print interface metric.

	* ifconfig/options.c (formats) <gnu-one-entry> <net-tools, unix,
	osf>: Use ${ifdisplay?} to select interfaces to be displayed.
	(ifs_cmdline): New global.
	(parse_opt_new_ifs): Set ifs_cmdline.
	* ifconfig/options.h (all_option, ifs_cmdline): New externs.
	* ifconfig/printif.c (format_handles) <ifdisplay?>: New handler.
	(fh_ifdisplay_query): New function.
	(fh_metric_query): Metric of 0 is OK.
	(fh_metric): Display 1 for zero metric, as other ifconfigs do.
	* ifconfig/printif.h (fh_ifdisplay_query): New prototype.

2010-01-27  Sergey Poznyakoff  <gray@gnu.org.ua>

	Implement setting interface options: up, down, multicast,
	allmulti.

	* ifconfig/flags.c: Include <stdlib.h> and "xalloc.h".
	(if_flag) <rev>: New member.
	(IFF_NOARGP) [IFF_NOARP]: New flag for "ARP".
	(IFF_NOTRAILERS) [IFF_NOTRAILERS]: New flag for "TRAILERS".
	(IFF_NOACC) [IFF_NOACC]: New flag for"ACC".
	(IFF_NOSR8025) [IFF_NOSR8025]: New flag for "SR8025"
	(IFF_NOCHECKSUM) [IFF_NOCHECKSUM]: New flag for "CHECKSUM".
	(cmpname, if_nameztoflag, if_format_flags): New function.
	(if_flagtoname) Avoid extra comparison.
	(if_nametoflag): Rewrite.
	* ifconfig/flags.h (if_nametoflag): Updated prototype.
	(if_nameztoflag, if_format_flags): New prototypes.
	* ifconfig/options.c (all_option): New global variable.
	(UP_OPTION, DOWN_OPTION): New enumerators.
	(argp_options) <address>: Use -A as short option.  <up, down,
	flags>: New options.  <all>: New option, with -a as short option.
	<peer>: Handle an extra argument.  <mtu>: Fix typo.
	(parse_opt_set_flag, parse_opt_flag_list)
	(parse_opt_set_point_to_point): New functions.
	(parse_opt) <UP_OPTION, DOWN_OPTION, F, a>: Handle new options.
	<p, d>: Call parse_opt_set_point_to_point instead.  <v>: Handle
	--verbose flag.
	(default_help_filter): New function
	(argp): Use default_help_filter as help filter.
	* ifconfig/options.h (ifconfig) <setflags, clrflags>: New members.
	(parse_opt_set_flag, parse_opt_flag_list)
	(parse_opt_set_point_to_point): New prototypes.
	* ifconfig/printif.c (fh_brdaddr_query, fh_dstaddr_query): Update
	calls to if_nametoflag.
	* ifconfig/system/linux.c (system_help): Update docstring.
	(system_parse_opt_rest) <EXPECT_DSTADDR>: Call
	parse_opt_set_point_to_point instead.  <up, down, flags>: Handle
	new options.

2010-01-12  Simon Josefsson  <simon@josefsson.org>

	* whois/whois.c (openconn) [!HAVE_GETADDRINFO]: Remove variables
	hostinfo, servinfo, and saddr and supporting code.
	* src/inetd.c (servtab): Remove !HAVE_GETADDRINFO support.
	(setup) [!HAVE_GETADDRINFO]: Remove function.
	(expand_enter) [!HAVE_GETADDRINFO]: Remove function.
	* configure.ac: Remove HAVE_GETADDRINFO variable.  Don't check for
	getaddrinfo.
	* bootstrap.conf (gnulib_modules): Add getaddrinfo.

2010-01-13  Simon Josefsson  <simon@josefsson.org>

	* TODO: Update.
	* THANKS: Update.
	* README: Update.

2010-01-12  Alfred M. Szmidt  <ams@gnu.org>

	Moved single file programs to src/.

	* libinetutils/Makefile.am (noinst_HEADERS): Added tftpsubs.h
	shishi_def.h to list.
	* libinetutils/Makefile.am (INCLUDES): Removed
	-I$(top_srcdir)/headers from list.  Added
	-I$(top_srcdir)/libinetutils to list.
	* Makefile.am: File removed.
	* headers/shishi_def.h: File renamed to ..
	* libinetutils/shishi_def.h: ... this.
	* headers/tftpsubs.h: File renamed to ...
	* libinetutils/tftpsubs.h: ... this.

	* src/.gitignore: New file.
	* src/Makefile.am: New file.

	* man/Makefile.am (hostname.1, inetd.8, logger.1, rcp.1, rexec.1)
	(rexecd.8, rlogin.1, rlogind.8, rsh.1, rshd.8, syslogd.8, tftp.1)
	(tftpd.8, traceroute.1, uucpd.8): Look for main program file in
	src/.
	(mapped_name): Added rewrite rules for hostname, inetd, logger,
	rcp, rexec, rexecd, rlogin, rlogind, rsh, rshd, syslogd, tftp,
	tftpd, traceroute, and uucpd.
	* configure.ac (AC_CONFIG_SRCDIR): Look for src/inetd.c.
	(AC_CONFIG_FILES): Removed hostname/Makefile, inetd/Makefile,
	logger/Makefile, rcp/Makefile, rexec/Makefile, rexecd/Makefile,
	rlogin/Makefile, rlogind/Makefile, rsh/Makefile, rshd/Makefile,
	syslogd/Makefile, tftp/Makefile, tftpd/Makefile,
	traceroute/Makefile, and uucpd/Makefile from list.  Added
	src/Makefile to list.  Sorted list (in the order: libraries,
	programs, documentation, tests, misc.).
	* Makefile.am (SUBDIRS): Removed hostname, inetd, logger, rcp,
	rexec, rexecd, rlogin, rlogind, rsh, rshd, syslogd, tftp, tftpd,
	traceroute, and uucpd from list.  Added src to list.  Sorted list
	(in the order: libraries, programs, documentation, tests).

	* hostname/.gitignore, hostname/Makefile.am: Files removed.
	* hostname/hostname.c: File renamed to ...
	* src/hostname.c: ... this.

	* inetd/.gitignore, inetd/Makefile.am: Files removed.
	* inetd/inetd.c: File renamed to ...
	* src/inetd.c: ... this.

	* logger/.gitignore, logger/Makefile.am: Files removed.
	* logger/logger.c: File renamed to ...
	* src/logger.c: ... this.

	* rcp/.gitignore, rcp/Makefile.am: Files removed.
	* rcp/rcp.c: File renamed to ...
	* src/rcp.c: ... this.

	* rexec/.gitignore, rexec/Makefile.am: Files removed.
	* rexec/rexec.c: File renamed to ...
	* src/rexec.c: ... this.

	* rexecd/.gitignore, rexecd/Makefile.am: Files removed.
	* rexecd/rexecd.c: File renamed to ...
	* src/rexecd.c: ... this.

	* rlogin/.gitignore, rlogin/Makefile.am: Files removed.
	* rlogin/rlogin.c: File renamed to ...
	* src/rlogin.c: ... this.

	* rlogind/.gitignore, rlogind/Makefile.am: Files removed.
	* rlogind/rlogind.c: File renamed to ...
	* src/rlogind.c: ... this.

	* rsh/.gitignore, rsh/Makefile.am: Files removed.
	* rsh/rsh.c: File renamed to ...
	* src/rsh.c: ... this.

	* rshd/.gitignore, rshd/Makefile.am: Files removed.
	* rshd/rshd.c: File renamed to ...
	* src/rshd.c: ... this.

	* syslogd/.gitignore, syslogd/Makefile.am: Files removed.
	* syslogd/syslogd.c: File renamed to ...
	* src/syslogd.c: ... this.

	* tftp/.gitignore, tftp/Makefile.am: Files removed.
	* tftp/tftp.c: File renamed to ...
	* src/tftp.c: ... this.

	* tftpd/.gitignore, tftpd/Makefile.am: Files removed.
	* tftpd/tftpd.c: File renamed to ...
	* src/tftpd.c: ... this.

	* traceroute/.gitignore, traceroute/Makefile.am: Files removed.
	* traceroute/traceroute.c: File renamed to ...
	* src/traceroute.c: ... this.

	* uucpd/.gitignore, uucpd/Makefile.am: Files removed.
	* uucpd/uucpd.c: File renamed to ...
	* src/uucpd.c: ... this.

2010-01-12  Alfred M. Szmidt  <ams@gnu.org>

	Merged tftp/extern.h and tftp/main.c into tftp/tftp.c.

	* tftp/Makefile.am (tftp_SOURCES): Removed main.c from list.
	(noinst_HEADERS): Variable removed.
	* tftp/extern.h, tftp/main.c: Files removed.
	* tftp/tftp.c: Include <sys/file.h>, <arpa/inet.h>, <fcntl.h>,
	<netdb.h>, <stdlib.h>, <argp.h>, <libinetutils.h>, "xalloc.h", and
	"progname.h".  Don't include "extern.h".
	(TIMEOUT, HELPINDENT, RESOLVE_OK, RESOLVE_FAIL)
	(RESOLVE_NOT_RESOLVED): New macros.
	(cmd): New structure.
	(intr, get, help, modecmd, put, quit, setascii, setbinary)
	(setpeer, setrexmt, settimeout, settrace, setverbose, status)
	(command, getusage, makeargv, putusage, settftpmode, getcmd, tail)
	(recvfile, send_file): New forward declarations.
	(peeraddr, f, port, trace, verbose, connected, mode, line, margc)
	(margv, prompt, toplevel, sp, vhelp, thelp, chelp, qhelp, hhelp)
	(shelp, rhelp, mhelp, sthelp, xhelp, ihelp, ashelp, bnhelp)
	(cmdtab, args_doc, doc, argp_options, host_port_argv)
	(hostport_argc, toplevel, argp, hostname, modes, rexmtval)
	(maxtimeout): New variables.
	(parse_opt, main, resolve_name, get_args, setpeer, modecmd)
	(setbinary, setascii, setftpmode, put, putusage, get, getusage)
	(setrexmt, settimeout, status, intr, tail, command, getcmd)
	(makeargv, quit, help, settrace, setverbose): New functions.

2010-01-08  Simon Josefsson  <simon@josefsson.org>

	* README-alpha: Explain more.

2009-12-28  Alfred M. Szmidt  <ams@gnu.org>

	* man/.gitignore: Added `*.8' to list.

2009-12-28  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Added `update-copyright' to
	list.

2009-12-28  Giuseppe Scrivano  <gscrivano@gnu.org>

	* man/ping6.h2m: New file.

2009-12-28  Giuseppe Scrivano  <gscrivano@gnu.org>

	* bootstrap.conf (gnulib_modules): Add `xvasprintf' to list.
	* telnet/commands.c: Include "xalloc.h" and "xvasprintf.h".
	(cmdrc): Use xvasprintf/xstrdup to allocate RCNAME.  Removed
	variable M1SAVE.
	(rcbuf): Variable removed.

	* .gitignore: Added asprintf.c, vasprintf.c, xasprintf.c,
	xvasprintf.c, xvasprintf.h to list.

	Reported by Zhitong Wangzt <zhitong.wangzt@alibaba-inc.com>.

2009-12-19  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Bump version number to 1.7.90.

2009-12-19  Winston Edmond  <wbe@psr.com>

	* inetd/inetd.c (main): Close CTRL before exiting main loop.

2009-12-17  Simon Josefsson  <simon@josefsson.org>

	* man/Makefile.am (all): Add ping6.1.
	(dist_man1_MANS) [ENABLE_ping6]: Add ping6.1.
	(ping6.1): Add rule.
	(mapped_name): New variable, for mapping non-standard tool paths.
	(man): Use $(mapped_name).
	* NEWS: Updated.

2009-12-17  Simon Josefsson  <simon@josefsson.org>

	* man/Makefile.am (all): Change daemon man section from 1 to 8.
	(.h2m.8): Add rule for daemons.
	(.h2m.1): Invoke new meta-rule 'man'.
	(man): New meta-rule to invoke help2man, simplified from before.
	(EXTRA_DIST): Add $(all:.8=.h2m).
	* NEWS: Updated.  Reported by Juergen Daubert
	<juergen.daubert@gmx.net>.

2009-12-17  Simon Josefsson  <simon@josefsson.org>

	* tests/Makefile.am (TESTS): Change $(check_SCRIPTS) to
	$(dist_check_SCRIPTS).

2009-12-13  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Bump version number to 1.7.

2009-12-13  Alfred M. Szmidt  <ams@gnu.org>

	* man/.gitignore: New file.

2009-12-13  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Bump version number to 1.6.92.

2009-12-13  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (release-prep-hook): New variable.

2009-12-11  Simon Josefsson  <simon@josefsson.org>

	* tests/Makefile.am (EXTRA_DIST): Remove variable.
	(check_SCRIPTS): Renamed to dist_check_SCRIPTS.  Reported by
	ludo@gnu.org (Ludovic Courtès).

2009-12-10  Simon Josefsson  <simon@josefsson.org>

	* bootstrap.conf (gnulib_modules): Add pty.

2009-12-10  Simon Josefsson  <simon@josefsson.org>

	* README-alpha: Change daily snapshot URL.

2009-12-09  Simon Josefsson  <simon@josefsson.org>

	* Makefile.am (AUTOMAKE_OPTIONS): Increase required automake
	version to 1.11 (because of AM_SILENT_RULES).

2009-12-08  Simon Josefsson  <simon@josefsson.org>

	* tftp/main.c: Include <argp.h>, <libinetutils.h>, "progname.h".
	(program_name): Removed variable.
	(argp, args_doc, doc, argp_options, hostport_argv, hostport_argc):
	New variable.
	(parse_opt): New function.
	(main): Use progname and argp.
	* man/Makefile.am (all): Add tftp.1 and tftpd.1.
	(dist_man1_MANS) [ENABLE_tftp]: Add tftp.1.
	(dist_man1_MANS) [ENABLE_tftpd]: Add tftpd.1.
	* NEWS: Updated.

2009-12-08  Simon Josefsson  <simon@josefsson.org>

	* man/Makefile.am (all): New variable.
	(EXTRA_DIST): Use $(all).
	(MAINTAINERCLEANFILES): Likewise.  Suggested by Alfred M. Szmidt
	<ams@gnu.org>.

2009-12-08  Simon Josefsson  <simon@josefsson.org>

	* man/Makefile.am (dist_man1_MANS): Variable cleared.
	(dist_man1_MANS) [ENABLE_hostname]: Add `hostname.1'.
	(dist_man1_MANS) [ENABLE_ifconfig]: Add `ifconfig.1'.
	(dist_man1_MANS) [ENABLE_inetd]: Add `inetd.1'.
	(dist_man1_MANS) [ENABLE_ftp]: Add `ftp.1'.
	(dist_man1_MANS) [ENABLE_ftpd]: Add `ftpd.1'.
	(dist_man1_MANS) [ENABLE_logger]: Add `logger.1'.
	(dist_man1_MANS) [ENABLE_ping]: Add `ping.1'.
	(dist_man1_MANS) [ENABLE_rcp]: Add `rcp.1'.
	(dist_man1_MANS) [ENABLE_rexec]: Add `rexec.1'.
	(dist_man1_MANS) [ENABLE_rexecd]: Add `rexecd.1'.
	(dist_man1_MANS) [ENABLE_rlogin]: Add `rlogin.1'.
	(dist_man1_MANS) [ENABLE_rlogind]: Add `rlogind.1'.
	(dist_man1_MANS) [ENABLE_rsh]: Add `rsh.1'.
	(dist_man1_MANS) [ENABLE_rshd]: Add `rshd.1'.
	(dist_man1_MANS) [ENABLE_syslogd]: Add `syslogd.1'.
	(dist_man1_MANS) [ENABLE_talk]: Add `talk.1'.
	(dist_man1_MANS) [ENABLE_talkd]: Add `talkd.1'.
	(dist_man1_MANS) [ENABLE_telnet]: Add `telnet.1'.
	(dist_man1_MANS) [ENABLE_telnetd]: Add `telnetd.1'.
	(dist_man1_MANS) [ENABLE_traceroute]: Add `traceroute.1'.
	(dist_man1_MANS) [ENABLE_uucpd]: Add `uucpd.1'.
	(dist_man1_MANS) [ENABLE_whois]: Add `whois.1'.
	(man_aux): Variable removed.
	(EXTRA_DIST): Set it directly instead of via man_aux.
	* am/enable.m4 (IU_ENABLE_FOO): Export ENABLE_foo.

	Reported by Ludovic Courtès <ludo@gnu.org>.

2009-12-08  Simon Josefsson  <simon@josefsson.org>

	* man/Makefile.am: Use .h2m as extension for help2man includes.
	* man/ftp.x: Renamed to ftp.h2m.
	* man/ftpd.x: Renamed to ftpd.h2m.
	* man/hostname.x: Renamed to hostname.h2m.
	* man/ifconfig.x: Renamed to ifconfig.h2m.
	* man/inetd.x: Renamed to inetd.h2m.
	* man/logger.x: Renamed to logger.h2m.
	* man/ping.x: Renamed to ping.h2m.
	* man/rcp.x: Renamed to rcp.h2m.
	* man/rexec.x: Renamed to rexec.h2m.
	* man/rexecd.x: Renamed to rexecd.h2m.
	* man/rlogin.x: Renamed to rlogin.h2m.
	* man/rlogind.x: Renamed to rlogind.h2m.
	* man/rsh.x: Renamed to rsh.h2m.
	* man/rshd.x: Renamed to rshd.h2m.
	* man/syslogd.x: Renamed to syslogd.h2m.
	* man/talk.x: Renamed to talk.h2m.
	* man/talkd.x: Renamed to talkd.h2m.
	* man/telnet.x: Renamed to telnet.h2m.
	* man/telnetd.x: Renamed to telnetd.h2m.
	* man/tftp.x: Renamed to tftp.h2m.
	* man/tftpd.x: Renamed to tftpd.h2m.
	* man/traceroute.x: Renamed to traceroute.h2m.
	* man/uucpd.x: Renamed to uucpd.h2m.
	* man/whois.x: Renamed to whois.h2m.

2009-12-07  Simon Josefsson  <simon@josefsson.org>

	* doc/inetutils.texi (hostname invocation): Fix typo.  Reported by
	Alfred M. Szmidt <ams@gnu.org>.

2009-12-07  Simon Josefsson  <simon@josefsson.org>

	* libinetutils/libinetutils.h: Don't include config.h, leads to
	double inclusion of config.h.
	* talkd/intalkd.h: Likewise.

2009-12-07  Simon Josefsson  <simon@josefsson.org>

	* rexec/rexec.c (do_rexec): Don't use reserved variable 'stdin'.

2009-12-07  Simon Josefsson  <simon@josefsson.org>

	* NEWS: Mention that man pages are generated using help2man.
	* configure.ac: Check for LN_S.
	* man/Makefile.am: Rewrite using skeleton rules.  Add man pages
	for many tools.
	* man/ftpd.x: New file.
	* man/ftp.x: Likewise.
	* man/hostname.x: Likewise.
	* man/ifconfig.x: Likewise.
	* man/inetd.x: Likewise.
	* man/logger.x: Likewise.
	* man/ping.x: Likewise.
	* man/rcp.x: Likewise.
	* man/rexecd.x: Likewise.
	* man/rexec.x: Likewise.
	* man/rlogind.x: Likewise.
	* man/rlogin.x: Likewise.
	* man/rsh.x: Likewise.
	* man/syslogd.x: Likewise.
	* man/talkd.x: Likewise.
	* man/talk.x: Likewise.
	* man/tftpd.x: Likewise.
	* man/tftp.x: Likewise.
	* man/traceroute.x: Likewise.
	* man/uucpd.x: Likewise.
	* man/whois.x: Likewise.

2009-12-07  Simon Josefsson  <simon@josefsson.org>

	* doc/inetutils.texi (hostname invocation): Add section.

2009-12-07  Simon Josefsson  <simon@josefsson.org>

	* configure.ac: Check for help2man.
	* configure.ac (AC_CONFIG_FILES): Add man/Makefile.
	* Makefile.am (SUBDIRS): Add man directory.
	* man/Makefile.am: Add file.
	* man/telnet.x, man/telnetd.x, man/rshd.x: New files.

2009-12-06  Giuseppe Scrivano  <gscrivano@gnu.org>

	* NEWS: Mention the new program rexec.

2009-12-06  Guillem Jover  <guillem@hadrons.org>

	* hostname/hostname.c (parse_file): Use a do ... while loop
	instead of a while loop.

2009-12-05  Guillem Jover  <guillem@hadrons.org>

	* configure.ac: Remove libbsd check.

2009-12-05  Guillem Jover  <guillem@hadrons.org>

	* syslogd/syslogd.c (doexit): New function declaration.
	(main): Install doexit as SIGTERM handler.  Send SIGTERM instead
	of SIGALRM to the parent process.
	(doexit): New function.

2009-12-06  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac (AM_INIT_AUTOMAKE): Depend on automake 1.11.

2009-12-05  Guillem Jover  <guillem@hadrons.org>

	* ftpd/logwtmp.c (logwtmp) [_HAVE_UT_TV]: Use a `struct timeval'
	variable to get the result from gettimeofday.
	* libinetutils/logwtmp.c (logwtmp) [HAVE_STRUCT_UTMP_UT_TV]:
	Likewise.
	* libinetutils/utmp_init.c (utmp_init) [HAVE_STRUCT_UTMPX_UT_TV]:
	Likewise.
	* libinetutils/utmp_logout.c (utmp_logout): Likewise.

2009-12-05  Guillem Jover  <guillem@hadrons.org>

	* uucpd/uucpd.c (dologin): New `time_t' variable to use with
	time(), copy its contents to `ll.ll_time' afterwards.

2009-12-05  Guillem Jover  <guillem@hadrons.org>

	* configure.ac (AM_SILENT_RULES): Call macro.

2009-12-05  Samuel Thibault  <samuel.thibault@ens-lyon.org> (tiny change)

	* am/config_paths.m4 (IU_CONFIG_PATHS): Set iu_test_type to `e'.

2009-12-05  Ludovic Courtès  <ludo@gnu.org> (tiny change)

	* tests/Makefile.am (check_SCRIPTS): New variable.
	(TESTS): Added $(check_SCRIPTS), removed `ping-localhost.sh' and
	`traceroute-localhost.sh' from list.
	(EXTRA_DIST): New variable.

2009-12-05  Alfred M. Szmidt  <ams@gnu.org>

	* cfg.mk (news-check-regexp): New variable.

2009-12-04  Guillem Jover  <guillem@hadrons.org>

	* ftp/ftp.c (hookup, initconn): Change `len' type from size_t to
	socklen_t.
	(dataconn): Change `fromlen' type from size_t to socklen_t.
	* ftpd/server_mode.c (server_mode): Change `addrlen' type from
	size_t to socklen_t.
	* ping/libping.c (ping_recv): Change `fromlen' type from size_t to
	socklen_t.
	* rexecd/rexecd.c (main): Likewise.
	* rlogind/rlogind.c (rlogin_daemon, rlogind_mainloop): Change
	`size' type from size_t to socklen_t.
	(rlogind_auth): Change `optsize' type from size_t to socklen_t.
	* rshd/rshd.c (main): Change `fromlen' type from size_t to
	socklen_t.
	(doit): Change `optsize' type from size_t to socklen_t.
	* syslogd/syslogd.c (main): Change `len' type from size_t to
	socklen_t.
	* talk/ctl.c (open_sockt, open_ctl): Change `length' type from
	size_t to socklen_t.
	* talkd/talkd.c (talkd_run): Change `len' type from size_t to
	socklen_t.
	* tftp/tftp.c (send_file, recvfile): Change `fromlen' type from
	size_t to socklen_t.
	* tftpd/tftpd.c (fromlen): Likewise.
	(main): Change `j' type from size_t to socklen_t.

2009-12-04  Simon Josefsson  <simon@josefsson.org>

	* doc/inetutils.texi: Improve chapter titles.

2009-12-03  Giuseppe Scrivano  <gscrivano@gnu.org>

	* ftp/Makefile.am (LDADD): Replace "-L../lib -lgnu" with
	"../lib/libgnu.a".
	* ftpd/Makefile.am (LDADD): Likewise.
	* gwhois/Makefile.in (LDADD): Likewise.
	* inetd/Makefile.am (LDADD): Likewise.
	* ping/Makefile.am (ping_LDADD, ping6_LDADD): Likewise.
	* rcp/Makefile.am (LDADD): Likewise.
	* rexec/Makefile.am (LDADD): Likewise.
	* rexecd/Makefile.am (LDADD): Likewise.
	* rlogin/Makefile.am (LDADD): Likewise.
	* rlogind/Makefile.am (LDADD): Likewise.
	* rsh/Makefile.am (LDADD): Likewise.
	* rshd/Makefile.am (LDADD): Likewise.
	* syslogd/Makefile.am (LDADD): Likewise.
	* talk/Makefile.am (LDADD): Likewise.
	* talkd/Makefile.am (LDADD): Likewise.
	* telnet/Makefile.am (LDADD): Likewise.
	* telnetd/Makefile.am (LDADD): Likewise.
	* tests/Makefile.am (LDADD): Likewise.
	* tftp/Makefile.am (LDADD): Likewise.
	* tftpd/Makefile.am (LDADD): Likewise.
	* traceroute/Makefile.am (LDADD): Likewise.
	* uucpd/Makefile.am (LDADD): Likewise.
	* whois/Makefile.am (LDADD): Likewise.
	* hostname/Makefile.am (LDADD): Replace "-lgnu" with
	"../lib/libgnu.a".

2009-12-03  Giuseppe Scrivano  <gscrivano@gnu.org>

	* tests/Makefile.am (LDADD): Add missing dependency to gnulib.

2009-12-03  Giuseppe Scrivano  <gscrivano@gnu.org>

	* ftp/cmds.c (domap): Add braces around the else branch.
	(strup): Remove function.
	* ftp/ftp.c (hookup): Change `len' type to size_t.
	(getreply): Add parentheses around logic operators.
	(initconn): Change `len' type to size_t.
	(dataconn): Change `fromlen' type to size_t.
	(gunique): Add braces around the else branch.
	* ftp/main.c [HAVE_LIBREADLINE]: Include <readline/history.h>.
	* ftp/ruserpass.c (ruserpass): Add braces around the if branch.
	Add parentheses around logic operators.
	* ftpd/popen.c (ls_main): Add prototype.
	(ftpd_popen): Add parentheses.
	* ftpd/ftpd.c (off_to_str): Add casts to satisfy what the format
	string expects.
	(yyparse) Add prototype.
	(authentication_setup) Remove prototype.
	* ftpd/ftpcmd.y (yylex): Cast p->name to (char *) when its value
	is assigned to yylval.s.  Convert a ternary operator to an
	explicit if/else.
	* ftpd/server_mode.c (server_mode): Change type of `addrlen' to
	size_t.
	* hostname/hostname.c (struct hostname_arguments): Change type of
	`hostname_new' to (char *).
	(set_name): Likewise.
	(get_name): Remove unused variable.
	* ifconfig/system/linux.c (system_fh_hwaddr): Add cast.
	* inetd/inetd.c (expand_enter): Remove unused variables.
	(getconfigent): Change type of `argc' to int.
	* libinetutils/tftpsubs.c (synchnet): Change the `fromlen' type to
	socklen_t.
	* libinetutils/ttymsg.c (normalize_path): Use parentheses around
	assignment used as truth value.
	* libinetutils/utmp_logout.c (utmp_logout): Move assignment out
	from the if condition.
	* libls/ls.c (mastercmp): Add explicit braces.
	* ping/libping.c (ping_recv): Change `fromlen' type to size_t.
	* ping/ping6.c (parse_opt): Remove unused variable.
	* rcp/rcp.c (toremote): Remove unused variable.
	(rsource): Use parentheses around assignment used as truth value.
	* rexecd/rexecd.c (main): Change type of `fromlen' to size_t.  Use
	NULL as sentinel value to execl.  Add return statement.
	* rlogind/rlogind.c (iruserok): Add prototype.
	(rlogind_auth): Change type of `optisize' to size_t.
	* rsh/rsh.c (main): Remove unused variable.
	* rshd/rshd.c (iruserok): Add prototype.
	(main): Change type of `addrlen' to size_t.  Remove unused
	variable.
	(doit): Change type of `optsize' to size_t.  Add parentheses.  Use
	NULL as sentinel to execl instead of 0.
	* talk/ctl.c (open_sockt): Change `length' type to size_t.  Add
	return statement.
	(open_ctl): Likewise.
	* talk/ctl_transact.c (ctl_transact): Add return statement.
	* talk/display.c (display): Add return statement.
	* talk/get_addrs.c (get_addrs): Likewise.
	* talk/get_names.c (get_names): Likewise.
	* talk/init_disp.c (init_display): Likewise.
	(set_edit_chars): Likewise.
	* talk/invite.c (announce_invite): Likewise.
	(invite_remote): Likewise.
	(send_delete): Likewise.
	* talk/io.c (p_error): Add return statement.
	(message): Add return statement.
	* talk/look_up.c (check_local): add return statement.
	* talk/msgs.c (start_msgs): Add return statement.
	(end_msgs): Add return statement.
	* talk/talk.h (display): Change the type of 'text' to (char *).
	* talk/talk.c (display): Likewise.  Insert <unistd.h>.
	* talkd/talkd.c (talkd_run): Change type of len to size_t.
	* telnetd/slc.c (change_slc): Introduce a new variable `func' of
	type int.  Rename the previous `func' to `func_c' and assign its
	value to `func'.
	* telnetd/state.c (telrcv): Add parentheses around comparison.
	* telnetd/telnetd.c (struct debug_mode): Add missing braces around
	initializer.
	(telnetd_run): Add missing return statement.
	* telnetd/term.c (term_change_eof): Likewise.
	(oldeofc): Define it only if VEOF == VMIN.
	* telnetd/termstat.c (clientstat): Add parentheses around
	assignment.
	(getconfigent): Change `argc' and `i' type to int.
	* telnetd/utility.c [HAVE_READLINE_READLINE_H]: Include <term.h>.
	(net_get_char): Add default return statement.
	(pty_get_char): Likewise.
	(pty_input_putback): Likewise.
	(debug_close): Likewise.
	(printsub): Cast &pointer[i] to (char *) when used as argument to
	debug_output_datalen.
	* tftpd/tftpd.c (fromlen): Change type to size_t.  Make it static.
	(peer, rexmtval, maxtimeout, buf, ackbuf, from): Make static.
	(main): Change type of `j' to size_t.
	* telnet/externs.h (env_getvalue): Change argument type to const
	char *.
	* telnet/commands.c (makeargv): Add parentheses around assignment
	used as boolean value.
	(dokludgemode): Add return statement.
	(shell): Use NULL as sentinel to execl.
	(quit): Add return statement.
	(env_default, env_undefine, getcmd, tn): Add parentheses around
	assignment used as boolean value.
	(env_define, env_export, env_getvalue, env_init, env_undefine)
	(env_unexport): Move assignment out from the if condition.
	(env_export, env_find, env_define, env_send, env_unexport)
	(env_varval): Change type of `var' to (const char *).
	(tn): Add parentheses around logic operators.
	(cmdtab, cmdtab2): Add missing braces around initializer.
	* telnet/main.c (main): Add parentheses around assignment used as
	boolean value.
	* telnet/sys_bsd.c (process_rings): Cast ttyiring.supply to char *
	when used as argument to TerminalRead.
	* telnet/telnet.c [HAVE_READLINE_READLINE_H]: Include <term.h>.
	(initfunc, env_opt_add): Add parentheses around assignment used as
	boolean value.
	(dooption, gettermname, suboption, telnet): Remove cast.
	(suboption): Add casts to int.
	* telnet/terminal.c (ttyflush): When used as argument, cast
	ttyiring.{bottom, consume} (char *) to TerminalRead.
	* tftp/tftp.c (send_file): Change `fromlen' type to size_t.
	(recvfile): Likewise.
	(printstats): Add cast.
	* whois/whois.c (queryformat): Remove unused variable.

2009-12-03  Alfred M. Szmidt  <ams@gnu.org>

	* inetd/inetd.c (setup) [IPV6]: Reverse the value of
	SEP->se_v4mapped before setting socket options.  Reported by Ross
	Alexander <Ross.Alexander@eu.nec.com>.

2009-11-23  Alfred M. Szmidt  <ams@gnu.org>

	* ping/ping6.c (argp_options) <numeric>: Fix typo.

2009-11-16  Simon Josefsson  <simon@josefsson.org>

	* tests/ping-localhost.sh: Call the right executable.  Support
	EXEEXT.  Fix license header.
	* tests/traceroute-localhost.sh: Likewise.
	* tests/Makefile.am: Set EXEEXT, for Windows builds.

2009-11-16  Simon Josefsson  <simon@josefsson.org>

	* configure.ac: Don't call AB_INIT here too, it is already invoked
	via gnulib.  Reported by Alfred M. Szmidt <ams@gnu.org>.

2009-11-15  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Quote first argument in AC_DEFINE macro calls.
	(fixes sc_m4_quote_check)
	* am/config_paths.m4: Likewise.
	* am/check_weak_refs.m4: Likewise.

2009-11-15  Alfred M. Szmidt  <ams@gnu.org>

	* libtelnet/shishi.c: Don't include <assert.h> (fixes
	prohibit_assert_without_use).

2009-11-15  Alfred M. Szmidt  <ams@gnu.org>

	* .gitignore (*.sig): Added new ignore rule.

2009-11-14  Simon Josefsson  <simon@josefsson.org>

	* cfg.mk: Ignore failing tests, please revisit later.

2009-11-14  Simon Josefsson  <simon@josefsson.org>

	* rcp/rcp.c (RCP_MODEMASK): Use S_ISVTX instead of S_ISTXT.

2009-11-14  Simon Josefsson  <simon@josefsson.org>

	* ifconfig/system.c: Include config.h properly.
	* libinetutils/argcv.c: Likewise.
	* libinetutils/defauthors.c: Likewise.
	* libinetutils/logwtmpko.c: Likewise.
	* libtelnet/forward.c: Likewise.
	* talk/init_disp.c: Likewise.
	* talkd/acl.c: Likewise.
	* talkd/announce.c: Likewise.
	* talkd/print.c: Likewise.
	* talkd/process.c: Likewise.
	* talkd/table.c: Likewise.
	* telnet/ring.c: Likewise.
	* telnetd/pty.c: Likewise.
	* telnetd/slc.c: Likewise.
	* telnetd/state.c: Likewise.
	* telnetd/telnetd.c: Likewise.
	* telnetd/term.c: Likewise.
	* telnetd/termstat.c: Likewise.
	* telnetd/utility.c: Likewise.
	* tests/localhost.c: Likewise.

2009-11-14  Simon Josefsson  <simon@josefsson.org>

	* rcp/rcp.c: Drop replacement of S_ISTXT, we use gnulib.

2009-11-14  Simon Josefsson  <simon@josefsson.org>

	* libinetutils/daemon.c: Doc fix.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Bump version number to 1.6.91.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/cmds.c (ls, setnmap): Fix syntax-check
	sc_avoid_if_before_free.

	* ftp/ftp.c (login, recvrequest, pswitch, gunique): Likewise.
	* ftp/ruserpass.c (ruserpass): Likewise.
	* ftpd/auth.c (auth_user, sgetcred): Likewise.
	* ftpd/ftpcmd.y (cmd_list, cmd, rcmd): Likewise.
	* ftpd/ftpd.c (curdir, end_login, dolog, send_file_list):
	Likewise.
	* ftpd/pam.c (pam_user): Likewise.
	* ifconfig/if_index.c (if_freenameindex): Likewise.
	* inetd/inetd.c (freeconfig, getconfigent): Likewise.
	* libinetutils/argcv.c (int argcv_free): Likewise.
	* libls/fts.c (fts_close, fts_build): Likewise.
	* libtelnet/kerberos5.c (kerberos5_is_auth): Likewise.
	* libtelnet/misc.c (auth_encrypt_init, auth_encrypt_user):
	Likewise.
	* syslogd/syslogd.c (main, logmsg): Likewise.
	* telnet/commands.c (env_define, env_undefine, tn): Likewise.
	* telnetd/state.c (suboption): Likewise.
	* telnetd/utility.c (getterminaltype): Likewise.
	* tftpd/tftpd.c (validate_access): Likewise.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* doc/inetutils.texi: Don't split copyright year list.

2009-11-14  Simon Josefsson  <simon@josefsson.org>

	* ftpd/ftpd.c: Don't include getopt.h without using it.
	* whois/whois.c: Likewise.
	* uucpd/uucpd.c: Likewise.
	* tftpd/tftpd.c: Likewise.
	* telnetd/telnetd.c: Likewise.
	* telnet/main.c: Likewise.
	* talk/talk.c: Likewise.
	* rshd/rshd.c: Likewise.
	* rlogind/rlogind.c: Likewise.
	* rexecd/rexecd.c: Likewise.
	* rcp/rcp.c: Likewise.
	* ifconfig/options.c: Likewise.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Added gnupload.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* .gitignore (GNUmakefile, bootstrap.conf): Added new ignore
	rules.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Added dirname-lgpl.
	(lib/.gitignore): Updated by ./bootstrap.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* tests/Makefile.am (TESTS): Added ping-localhost.sh and
	traceroute-localhost.sh.  Use $(check_PROGRAMS) instead of
	specifying all C test cases manually.

	* tests/traceroute-localhost.sh, tests/ping-localhost.sh: New
	file.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* .gitignore (*.gcno, *.gcda, *.gcov, inetutils-*/)
	(inetutils-*.tar.gz): Added new ignore rules.

2009-11-14  Alfred M. Szmidt  <ams@gnu.org>

	* whois/whois.h, rsh/rsh.c (usage): Removed prototype.

2009-11-13  Simon Josefsson  <simon@josefsson.org>

	* hostname/hostname.c (get_aliases, get_ip_addresses): Fix
	syntax-check sc_cast_of_x_alloc_return_value.
	* ping/ping_common.c (init_data_buffer): Likewise.
	* rsh/rsh.c (main): Likewise.

2009-11-13  Simon Josefsson  <simon@josefsson.org>

	* rshd/rshd.c (doit): Fix syntax-check
	sc_cast_of_alloca_return_value.
	* ftpd/ftpd.c (send_file_list): Likewise.

2009-11-13  Simon Josefsson  <simon@josefsson.org>

	* inetd/inetd.c (nextconfig): Fix syntax-check
	sc_cast_of_argument_to_free.
	* hostname/hostname.c (set_name): Likewise.

2009-11-12  Simon Josefsson  <simon@josefsson.org>

	* bootstrap.conf (gnulib_modules): Add maintainer-makefile, to get
	coverage generating rules.
	* cfg.mk: New file, with coverage uploading rules.

2009-11-08  Alfred M. Szmidt  <ams@gnu.org>

	* hostname/hostname.c (_hostname_options): Struct renamed to ..
	(hostname_arguments): ... this.  Updated all references.
	(parse_opt, main, get_name, set_name): Renamed ARGUMENTS to ARGS.
	Updated all references.

2009-10-29  Alfred M. Szmidt  <ams@gnu.org>

	* hostname/hostname.c (argp_options): Fixed typo.

2009-10-29  Alfred M. Szmidt  <ams@gnu.org>

	* rlogind/rlogind.c, telnetd/pty.c: Include <pty.h>.

2009-10-29  Alfred M. Szmidt  <ams@gnu.org>

	* rexecd/rexecd.c (doit): Added forward declaration.

2009-10-29  Alfred M. Szmidt  <ams@gnu.org>

	* .gitignore (TAGS): Added to list.

2009-10-29  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Use `getopt-gnu' instead of
	`getopt'.

2009-10-26  Alfred M. Szmidt  <ams@gnu.org>

	* uucpd/uucpd.c [BSD4_2]: Removed obsolete code.
	(main) [BSDINETD]: Likewise.
	(doit) [BSD4_2]: Likewise.
	(usage_str): Variable removed.
	(usage): Function removed.

2009-10-26  Alfred M. Szmidt  <ams@gnu.org>

	* traceroute/traceroute.c: Don't include "traceroute.h".
	(TRACE_UDP_PORT, TRACE_TTL): New macros.
	(TRACE_UDP, TRACE_ICMP, TRACE_1393): New enums.
	(trace): New struct.
	(trace_init, trace_inc_ttl, trace_inc_port, trace_port)
	(trace_read, trace_write, trace_udp_sock, trace_icmp_sock): Added
	forward declarations.
	* traceroute/traceroute.h: File removed.
	* traceroute/Makefile.am (noinst_HEADERS): Variable removed.

2009-10-26  Alfred M. Szmidt  <ams@gnu.org>

	* rcp/rcp.c: Include <sys/wait.h>.  Removed include for
	"extern.h".
	(BUF): New structure (from rcp/util.c).
	(allocbuf, colon, lostconn, nospace, okname, run_err, susystem)
	(verifydir): New functions (from rcp/util.c).
	* rcp/extern.h, rcp/util.c: Files removed.
	* rcp/Makefile.am (rcp_SOURCES): Removed `util.c'.
	(noinst_HEADERS): Variable removed.

2009-10-23  Alfred M. Szmidt  <ams@gnu.org>

	* ftpd/README.sec, ping/README.sec, syslogd/README.sec,
	talkd/README.sec, telnet/README.sec, telnetd/README.sec: Files
	removed.

	* whois/README: File removed.

2009-10-23  Alfred M. Szmidt  <ams@gnu.org>

	* whois/TODO, ping/TODO, libicmp/TODO, ifconfig/TODO: Files
	removed (content merged into top-level TODO).
	* TODO: Updated.

2009-10-23  Alfred M. Szmidt  <ams@gnu.org>

	Renamed `gwhois' to `whois'.

	* Makefile.am (SUBDIRS): Renamed `gwhois' to `whois'
	* configure.ac: Likewise.

	* gwhois/.gitignore: Renamed file to ...
	* whois/.gitignore: ... this.

	* gwhois/Makefile.am: Renamed file to ...
	* whois/Makefile.am: ... this.

	* gwhois/README: Renamed file to ...
	* whois/README: ... this.

	* gwhois/TODO: Renamed file to ...
	* whois/TODO: ... this.

	* gwhois/as_del_list: Renamed file to ...
	* whois/as_del_list: ... this.

	* gwhois/data.h: Renamed file to ...
	* whois/data.h: ... this.

	* gwhois/ip_del_list: Renamed file to ...
	* whois/ip_del_list: ... this.

	* gwhois/make_as_del.pl: Renamed file to ...
	* whois/make_as_del.pl: ... this.

	* gwhois/make_ip_del.pl: Renamed file to ...
	* whois/make_ip_del.pl: ... this.

	* gwhois/make_tld_serv.pl: Renamed file to ...
	* whois/make_tld_serv.pl: ... this.

	* gwhois/tld_serv_list: Renamed file to ...
	* whois/tld_serv_list: ... this.

	* gwhois/whois.c: Renamed file to ...
	* whois/whois.c: ... this.

	* gwhois/whois.h: Renamed file to ...
	* whois/whois.h: ... this.

2009-10-23  Alfred M. Szmidt  <ams@gnu.org>

	* .gitignore (ChangeLog): Removed from list.

2009-10-23  Alfred M. Szmidt  <ams@gnu.org>

	* rexec/.gitignore: New file.

2009-10-20  Rakesh Pandit  <rakesh@fedoraproject.org>

	* ping/ping.c (parse_opt): Handle `--debug' and `--ignore-routing'
	simultaneously.
	* ping/ping6.c (parse_opt): Likewise.  Set `socket_type' to
	SO_DONTROUTE.

2009-10-10  Giuseppe Scrivano <gscrivano@gnu.org>

	* TODO: Updated.

2009-10-06  Rakesh Pandit  <rakesh@fedoraproject.org>

	* ping/ping_common.h (ping_data): New member `ping_start_time'.
	(ping_timeout_p): New prototype.
	* ping/ping_common.c (ping_timeout_p): New function.

	* ping/ping6.c: Rename `timeout' to `resp_time', and use `timeout'
	for --timeout.
	(argp_options, parse_opt): New option --timeout.
	(ping_run): Check if we should abort due to timeout.
	(ping_init): Initialise P->ping_start_time.

	* ping/ping.c: Rename `timeout' to `resp_time', and use `timeout'
	for --timeout.
	(argp_options, parse_opt): New option --timeout.
	(ping_run): Check if we should abort due to timeout.
	* ping/libping.c (ping_init): Initialise P->ping_start_time.

	* doc/inetutils.texi (ping invocation): Updated.
	* NEWS: Updated.

2009-10-01  Rakesh Pandit <rakesh@fedoraproject.org>

	* talkd/talkd.c [HAVE_CONFIG_H]: Include config.h.

2009-08-21  Giuseppe Scrivano  <gscrivano@gnu.org>

	rexec: show all missing arguments before exit.

	* rexec/rexec.c (main): Show all missing arguments before exit
	from the process.

2009-08-20  Giuseppe Scrivano  <gscrivano@gnu.org>

	rexec: new program.

	* configure.ac: Add new client `rexec'.
	* Makefile.am (SUBDIRS): Add `rexec'.
	* doc/inetutils.texi: Document the new program.
	* rexec/Makefile.am: New file.
	* rexec/rexec.c: New file.

2009-08-18  Sergey Poznyakoff  <gray@gnu.org.ua>

	Fix possible array overflow in ping.

	* ping/ping.h (_C_BIT, _C_MASK)
	(_PING_SET, _PING_CLR, _PING_TST): Remove in favor of
	ping_common.h
	* ping/ping6.h: Likewise.
	* ping/ping_common.h (_C_BIT, _C_MASK): Moved from ping.h
	(_C_IND): New macro.
	(_PING_SET, _PING_CLR, _PING_TST): Modified versions of macros
	from ping.h.
	* ping/libping.c, ping/ping6.c: Update calls to _PING macros.

2009-07-19  Sergey Poznyakoff  <gray@gnu.org.ua>

	Fix net-tool output format in ifconfig.

	* configure.ac: Check for struct ifreq.ifr_map
	* paths: Add PATH_PROCNET_DEV
	* ifconfig/Makefile.am (AM_CPPFLAGS): Add $(PATHDEF_PROCNET_DEV)
	* ifconfig/if_index.c (if_nameindex): Fix typo.
	* ifconfig/options.c (net-tool format): Display interface
	statistics, if available.
	* ifconfig/printif.c: New macros: map?, irq?, irq, baseaddr?,
	baseaddr, memstart?, memstart, memend?, memend, dma?, dma.
	* ifconfig/printif.h (put_ulong): New prototype.
	(fh_map_query, fh_irq_query, fh_irq, fh_baseaddr_query)
	(fh_baseaddr, fh_memstart_query, fh_memstart, fh_memend_query)
	(fh_memend, fh_dma_query, fh_dma): New prototypes.
	* ifconfig/system/linux.c: Implement reading /proc/net/dev.
	* ifconfig/system/linux.h: Declare /proc/net/dev-related
	functions.

	* ping/ping_address.c: Rearrange includes to fix compilation on
	FreeBSD
	* ping/ping_echo.c: Likewise.
	* ping/ping_router.c: Likewise.
	* ping/ping_timestamp.c: Likewise.

2009-07-10  Giuseppe Scrivano <gscrivano@gnu.org>
	    Alfred M. Szmidt <ams@gnu.org>

	* rexecd/rexecd.c: Use EXIT_FAILURE consistently for calls to
	error.
	(doit): Add return value check after use
	setegid/setuid/setgid/initgroups and define its prototype.

2009-07-03  Sergey Poznyakoff  <gray@mirddin.farlep.net>

	Use separate sources for autoconf macros, as recommended by
	Autoconf.

	* acinclude.m4: Remove
	* am: New directory.
	* am/check_macro.m4: New file
	* am/check_member.m4: New file
	* am/check_weak_refs.m4: New file
	* am/config_paths.m4: New file
	* am/enable.m4: New file
	* am/flushleft.m4: New file
	* am/krb5.m4: New file
	* am/libcurses.m4: New file
	* am/result.m4: New file
	* bootstrap: Get aclocal flags from Makefile.am
	* Makefile.am (ACLOCAL_AMFLAGS): Add -I am.

2009-06-28  Sergey Poznyakoff  <gray@gnu.org.ua>

	* acinclude.m4 (IU_FLUSHLEFT): Fix the definition.
	* configure.ac: Use IU_FLUSHLEFT where needed.

2009-06-28  Sergey Poznyakoff  <gray@gnu.org.ua>

	* logger/logger.c: Rewritten from scratch, not using the libc
	syslog function.
	* doc/inetutils.texi: Update logger description.
	* NEWS: Update.

2009-06-26  Sergey Poznyakoff  <gray@gnu.org.ua>

	Finish argp-fying the utilities.

	* libinetutils/Makefile.am (libinetutils_a_SOURCES): Order source
	names.
	* libinetutils/libinetutils.h (iu_argp_init): New macro.

	* ftp/main.c, ftpd/ftpd.c, hostname/hostname.c, inetd/inetd.c,
	logger/logger.c, ping/ping.c, ping/ping6.c, rcp/rcp.c,
	rexecd/rexecd.c, rlogin/rlogin.c, rlogind/rlogind.c, rsh/rsh.c,
	rshd/rshd.c, syslogd/syslogd.c, talk/talk.c, talkd/talkd.c,
	telnet/main.c, telnetd/telnetd.c, tftpd/tftpd.c,
	traceroute/traceroute.c, uucpd/uucpd.c: Use iu_argp_init.  Rewrite
	option descriptions to conform to standards.texi.

	* ifconfig/Makefile.am (INCLUDES): Add libinetutils
	* ifconfig/changeif.c: Use error() for diagnostics.
	* ifconfig/printif.c: Likewise.
	* ifconfig/ifconfig.c: Likewise.
	(main): Call parse_cmdline.
	* ifconfig/ifconfig.h: Include error.h, argp.h and libinetutils.h.
	* ifconfig/options.c: Use argp.  "check-existence": fix typo (was
	*check-existance).
	(usage): Remove.  Use error() for diagnostics.
	* ifconfig/options.h (parse_opt): Rename to parse_cmdline.
	* ifconfig/system.h (system_argp_child): New extern.
	(system_help_options, SYSTEM_SHORT_OPTIONS)
	(SYSTEM_LONG_OPTIONS): Remove.

	* ifconfig/system/generic.c: Use new command line parsing method.
	* ifconfig/system/hpux.c: Likewise.
	* ifconfig/system/linux.c: Likewise.
	* ifconfig/system/linux.h: Likewise.
	* ifconfig/system/osf.c: Likewise.
	* ifconfig/system/qnx.c: Likewise.
	* ifconfig/system/solaris.c: Likewise.

	* gwhois/Makefile.am (INCLUDES): Add libinetutils.
	* gwhois/whois.c: Use argp to parse the command line.
	(is_ripe_server): New function.
	(queryformat): Use is_ripe_server to determine if the server
	supports RIPE syntax.

2009-06-26  Sergey Poznyakoff  <gray@gnu.org.ua>

	Use argp in r* utils, telnet, talk and uucpd.

	* inetd/inetd.c: Remove unused forward decl.
	* rlogind/rlogind.c, rsh/rsh.c, rshd/rshd.c, telnet/main.c,
	telnetd/telnetd.c, tftpd/tftpd.c, uucpd/uucpd.c: Use argp to parse
	command line.

	* talk/talk.c: Use argp to parse command line.
	* talk/get_names.c (get_names): Argv no longer include program
	name.

	* rsh/Makefile.am (INCLUDES): Add libinetutils.
	* tftpd/Makefile.am: Likewise.
	* uucpd/Makefile.am: Likewise.

2009-06-25  Alfred M. Szmidt  <ams@gnu.org>

	* tests/Makefile.am (AM_CPPFLAGS): Added `-I$(top_srcdir)/lib' to
	list.

2009-06-25  Alfred M. Szmidt  <ams@gnu.org>

	* rexecd/Makefile.am (INCLUDES): Use
	`-I$(top_srcdir)/libinetutils' instead of `-I../libinetutils'

	* rexecd/rexecd.c: Include "libinetutils.h" instead of
	<libinetutils.h>.

2009-06-25  Sergey Poznyakoff  <gray@gnu.org.ua>

	Use argp-version-etc module from gnulib

	* bootstrap.conf: Add argp-version-etc; Remove deprecated modules.
	* ftp/main.c, ftpd/ftpd.c, hostname/hostname.c, inetd/inetd.c,
	logger/logger.c, ping/ping.c, ping/ping6.c, rlogin/rlogin.c,
	syslogd/syslogd.c, talkd/talkd.c, traceroute/traceroute.c: Use
	argp-version-etc instead of ARGP_PROGRAM_DATA.

	* libinetutils/defauthors.c: New file.
	* libinetutils/Makefile.am (libinetutils_a_SOURCES): Add
	defauthors.c.
	* libinetutils/libinetutils.h: Include argp-version-etc.h.
	(default_program_authors): New extern.
	(ARGP_PROGRAM_DATA_SIMPLE, ARGP_PROGRAM_DATA): Removed.

	* rcp/Makefile.am (INCLUDES): Add libinetutils.
	* rcp/rcp.c: Use argp and asprintf.  Remove obsolete varargs
	stuff.  Use error to display error messages on tty.

	* rexecd/Makefile.am (INCLUDES): Add libinetutils.
	* rexecd/rexecd.c: Use argp.  Remove obsolete varargs stuff.  Use
	error to display error messages on tty.

2009-06-15  Simon Josefsson  <simon@josefsson.org>

	* libtelnet/*: Change use of 'InetUtils' to 'Inetutils' as per
	mailing list discussions.

2009-06-10  Simon Josefsson  <simon@josefsson.org>

	* libinetutils/shishi.c: Add includes for strlen, memcpy, etc.
	* libtelnet/Makefile.am (noinst_HEADERS): Add genget.h.
	* libtelnet/auth-proto.h: Add prototype for auth_sendname, used by
	kerberos5.c and shishi.c.
	* libtelnet/auth.c: Add include for alarm.
	* libtelnet/enc_des.c: Add include for memcpy, etc.  Make type of
	encrypt_debug_mode explicit.
	* libtelnet/encrypt.c: Add includes for printf, isprefix, etc.
	(encrypt_send_keyid, encrypt_dec_keyid): Make return type
	explicit.
	(encrypt_keyid): Make return type explicit and mark as static.
	* libtelnet/misc.c: Add includes for auth_init and encrypt_init.

2009-06-02  Simon Josefsson  <simon@josefsson.org>

	* README-alpha: Mention statcvs URL.

2009-05-09  Alfred M. Szmidt  <ams@gnu.org>

	* ROADMAP: File removed, content to moved ...
	* TODO: ... here.

2009-05-07  Simon Josefsson  <simon@josefsson.org>

	* bootstrap.conf (gnulib_modules): Import fdl-1.3 instead of fdl,
	we want a version specific import.
	* doc/Makefile.am: Rename fdl.texi to fdl-1.3.texi.
	* doc/inetutils.texi: Use FDLv1.3+.  Reported by Karl Berry
	<karl@freefriends.org>.

2009-04-30  Simon Josefsson  <simon@josefsson.org>

	* acinclude.m4: Avoid comment to fix script.

2009-04-30  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* ftpd/Makefile.am (EXTRA_DIST): Removed man_MANS from list
	* ftpd/Makefile.am (man_MANS): Variable removed.
	* inetd/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* libls/Makefile.am (EXTRA_DIST): Variable removed.
	* logger/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* ping/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* rcp/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* rexecd/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* rlogin/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* rlogind/Makefile.am (EXTRA_DIST, man_MANS): Variable removed.
	* rsh/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* rshd/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* syslogd/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* talk/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* talkd/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* telnet/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* telnetd/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* tftp/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.
	* tftpd/Makefile.am (EXTRA_DIST, man_MANS): Variables removed.

	* ftp/ftp.1, ftpd/ftpd.8, gwhois/whois.1, inetd/inetd.8,
	libls/ls.1, logger/logger.1, ping/ping.8, rcp/rcp.1,
	rexecd/rexecd.8, rlogin/rlogin.1, rlogind/rlogind.8, rsh/rsh.1,
	rshd/rshd.8, syslogd/syslog.conf.5, syslogd/syslogd.8,
	talk/talk.1, talkd/talkd.8, telnet/telnet.1, telnetd/telnetd.8,
	tftp/tftp.1, tftpd/tftpd.8: Files removed.

2009-04-29  Simon Josefsson  <simon@josefsson.org>

	* NEWS: Mention that manual is now GFDLv1.3+.
	* bootstrap.conf: Import fdl-1.3 module.
	* doc/fdl.texi: Remove.

2009-04-29  Alfred M. Szmidt  <ams@gnu.org>

	* doc/Makefile.am (inetutils_TEXINFOS): Removed ftp.texi,
	ftpd.texi, inetd.texi, logger.texi ping.texi, rcp.texi
	rexecd.texi, rlogin.texi, rlogind.texi, rsh.texi rshd.texi,
	syslogd.texi, talk.texi, talkd.texi tftp.texi and traceroute.texi
	from list.
	* ftp.texi, ftpd.texi, inetd.texi, logger.texi, ping.texi,
	rcp.texi, rexecd.texi, rlogin.texi, rlogind.texi, rsh.texi,
	rshd.texi, syslogd.texi talk.texi, talkd.texi tftp.texi,
	traceroute.texi: Files removed.
	* doc/inetutils.texi: Rewritten.

2009-04-11  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (checkout_only_file): Removed variable.
	* README-hacking: New file.

2009-04-11  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (checkout_only_file): New variable.
	* README-hacking: File removed.
	* README-alpha: Updated.

2009-02-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version number to 1.6.90.

2009-01-23  Rakesh Pandit <rakesh.pandit@gmail.com>

	* ftpd/ftpcmd.y: Fix typo.

2008-12-27  Sergey Poznyakoff  <gray@gnu.org.ua>

	* bootstrap.conf: Add xgethostname and xgetdomainname.
	* configure.ac: Check for opendir2

	* hostname/hostname.c: Use xgethostname and xgetdomainname.
	* libinetutils/libinetutils.h (ARGP_PROGRAM_DATA_SIMPLE): New
	macro.
	(ARGP_PROGRAM_DATA): Rewrite using ARGP_PROGRAM_DATA_SIMPLE.
	* ftp/main.c, logger/logger.c, rlogin/rlogin.c, syslogd/syslogd.c:
	Use ARGP_PROGRAM_DATA_SIMPLE.
	* libls/fts.c: Fix bsdisms.
	* ping/ping.c: Include netinet/in.h
	* ping/ping_common.c: Include sys/socket.h and string.h.

	* bootstrap.conf: Add dirfd, filemode, inttostr and progname.
	* configure.ac: Fix checks for IPv6 header files.
	* doc/Makefile.am (inetutils_TEXINFOS): Add traceroute.texi.
	* doc/ftp.texi: Fixes.
	* ftp/cmds.c: Add missing includes.
	* ftp/ftp.c: Remove extern program_name.
	* ftp/ftp_var.h: Include progname.h
	* ftp/main.c (main): Call set_program_name
	* ftp/ruserpass.c: Include error.h
	* ftpd/Makefile.am (LDADD): Link LIBLS before libgnu.
	* ftpd/extern.h: Include getopt.h
	* ftpd/ftpd.c, gwhois/whois.c, hostname/hostname.c,
	logger/logger.c, rcp/rcp.c, rexecd/rexecd.c, rlogin/rlogin.c,
	rsh/rsh.c, rshd/rshd.c, syslogd/syslogd.c, talk/talk.c,
	traceroute/traceroute.c: Include progname.h
	(main): Call set_program_name.

	* ftpd/popen.c: Remove useless extern.
	* ifconfig/ifconfig.h: Include progname.h.
	* ifconfig/options.c (parse_opt): Call set_program_name.
	* ifconfig/options.h (program_name): Remove extern.
	* inetd/inetd.c: Include progname.h
	(main): Call set_program_name.
	(EAI_ADDRFAMILY): Provide a fallback definition for FreeBSD.
	* libinetutils/argcv.c: Include ctype.h
	* libinetutils/libinetutils.h (utmp_logout, logwtmp_keep_open):
	New protos.
	* libls/bsdport.h: Remove
	* libls/bsdport.c: Remove
	* libls/Makefile.am (libls_a_SOURCES): Remove bsdport.c
	(noinst_HEADERS): Remove bsdport.h
	(INCLUDES): New var.
	* libls/fts.c: Remove bsdport.h
	* libls/ls.c: Remove bsdisms.
	* libls/print.c: Likewise.
	* libtelnet/auth.h (auth_debug_mode): Fix extern.
	* ping/libping.c (ping_recv): Fix call to ping_event.handler.
	* ping/ping.c, ping/ping6.c (main): Call set_program_name.
	* ping/ping_common.c (ping_set_data): Remove useless if.
	* ping/ping_common.h: Include error.h and progname.h
	* rcp/util.c: Include error.h
	* rlogind/rlogind.c: Include utmp.h

	* talk/ctl.c (print_addr): Remove unused function.
	* talk/ctl_transact.c: Include talk.h
	* talk/display.c: Fix order of function definitions.
	* talk/get_addrs.c: Include unistd.h
	* talk/get_names.c: Include unistd.h and netinet/in.h
	* talk/init_disp.c: Include unistd.h
	* talk/invite.c: Fix order of function definitions.
	* talk/io.c: Include unistd.h
	* talk/look_up.c: Include unistd.h.  Fix order of function
	definitions.
	* talk/talk.h: Include progname.h.  Add missing prototypes.
	* talk/talk_ctl.h (ctl_transact): New proto.
	* telnet/commands.c: Include sys/wait.h.  Reorder function
	definitions.
	* telnet/externs.h, telnet/ring.h: Add missing prototypes.
	* telnet/telnet.c: Reorder function definitions.
	* telnet/utilities.c: Include sys/socket.h
	* telnetd/telnetd.h: Include sys/stat.h and ctype.h.  Add missing
	prototypes.
	* traceroute/Makefile.am (INCLUDES): Add ../lib.
	(LDADD): Add ../libgnu.a
	* uucpd/uucpd.c: Reorder function definitions.

	* NEWS, configure.ac: Version 1.6

	* doc/ftp.texi: Use proper Texinfo markup
	* doc/ftpd.texi: Likewise.
	* doc/inetutils.texi: Likewise.
	* doc/logger.texi: Likewise.
	* doc/ping.texi: Likewise.
	* doc/rcp.texi: Likewise.
	* doc/rexecd.texi: Likewise.
	* doc/rlogin.texi: Likewise.
	* doc/rlogind.texi: Likewise.
	* doc/rsh.texi: Likewise.
	* doc/rshd.texi: Likewise.
	* doc/syslogd.texi: Likewise.
	* doc/talk.texi: Likewise.
	* doc/talkd.texi: Likewise.
	* doc/tftp.texi: Likewise.
	* doc/traceroute.texi: Likewise.

2008-12-12  Sergey Poznyakoff  <gray@gnu.org.ua>

	* bootstrap.conf: Add version-etc-fsf.
	* inetd/inetd.c: Restore (approximate) list of authors from the
	ChangeLog.  Fix memory allocation.  Use getline for reading config
	files.  Reorder stuff in a logical manner.

2008-12-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* README-alpha: Rewrite.  Add information on how to get sources
	from CVS and Git.
	* README-hacking: New file.
	* bootstrap.conf: Update copyright year.  Remove
	checkout_only_file override.

	* bootstrap: New file.
	* bootstrap.conf: Read in the options from .bootstrap, if it is
	present.
	* configure.ac: Always check for getaddrinfo.

	* inetd/inetd.c: Support optional address specifications.  Use
	getaddrinfo wherever it is available, otherwise fall back to
	gethostbyname/getservbyname approach.  Improve debugging
	diagnostics.

	* doc/inetd.texi: Rewrite in a manual fashion.  Document new
	features.
	* inetd/inetd.8: Provide a reference to texinfo docs.

2008-10-14  Rakesh Pandit  <rakesh.pandit@gmail.com>

	* ping/ping_impl.h, ping/ping.h, ping/ping_common.h, ping/ping6.h
	(ping_stat, PEV_RESPONSE, PEV_DUPLICATE, PEV_NOECHO)
	(PING_INTERVAL, PING_CKTABSIZE, MAXWAIT, OPT_FLOOD, OPT_INTERVAL)
	(OPT_NUMERIC, OPT_QUIET, OPT_RROUTE, OPT_VERBOSE, PING_TIMING)
	(PING_HEADER_LEN, PING_DATALEN): Moved all these common macros and
	structures from ping_impl.h , ping6.h and ping_ping.h to
	ping_common.h.  Removed PING_INTERVAL.
	* ping/ping6.c (ping_run): Used PING_SET_INTERVAL similar to
	libping.c and used PING_DEFAULT_INTERVAL in place of
	PING_INTERVAL.

	* ping/libping.c (ping_set_datalen): Removed.

	* ping/libping.c, ping/ping_common.c (_ping_freebuf,
	ping_unset_data): Moved _ping_freebuf, ping_unset_data from
	libping.c to ping_common.c.
	* ping/ping6.c (ping_run): Free memory with call to
	ping_unset_data.

2008-10-14  Rakesh Pandit  <rakesh.pandit@gmail.com>

	* ping/libping.c, ping/ping_common.c, ping/ping_common.h
	(ping_set_count, ping_set_sockopt, ping_set_interval): Moved
	functions from libping.c to ping_common.c and made corresponding
	entries in ping_common.h

	* ping/ping6.c (main): Used ping_set_interval, ping_set_sockopt,
	ping_set_count in place of directly modifying struct p.

2008-10-14  Rakesh Pandit  <rakesh.pandit@gmail.com>

	* ping/ping_common.h, ping/ping.c, ping/ping_address.c,
	ping/ping_echo.c, ping/ping_router.c, ping/ping_timestamp.c,
	ping/libping.c: Added common headers from ping related files
	(ping.c, ping_address.c, ping_echo.c, ping_router.c)
	(ping_timestamp.c, libping.c) and ping6.c to ping/ping_common.h.

	* ping/ping.h, ping/ping6.h, ping/ping_common.h (ping_data,
	ping_efp): Moved ping_data, ping_efp from ping.h & ping6.h to
	ping_common.h

	* ping/libping.c, ping/ping6.c, ping/ping_common.c (_ping_setbuf,
	ping_set_data): Moved _ping_setbuf and ping_set_data from
	libping.c & ping6.c to ping_common.c

	* ping/ping_common.h (ping_address, event, ping_data): Introduced
	new unions ping_address and event in ping_common.h.  Replaced ping
	efp handler(ping_efp/ping_efp6) with event union and socket
	address(sockaddr_in sockaddr_in6) with ping_address union.

	* ping/ping_common.h (_PING_BUFLEN, _ping_setbuf, ping_set_data):
	New argument use_ipv6 and all callers changed.

2008-10-14  Rakesh Pandit  <rakesh.pandit@gmail.com>

	* libicmp/Makefile.am (libicmp_a_SOURCES): Removed libping.c and
	ping.h

	* ping/Makefile.am (ping_SOURCES): Added libping.c and ping.h

2008-10-14  Rakesh Pandit  <rakesh.pandit@gmail.com>

	* ping/ping6.c (is_root, count, interval, socket_type): New global
	variables count, interval & socket_type, similar to ping.c
	Initialize to is_root and count to false and DEFAULT_PING_COUNT
	respectively.

	* ping/ping6.c (parse_opt): Replaced ping structure usage with
	global variables.

	* ping/ping6.c (main): Assigned parsed values to ping structure.

2008-09-27  Alfred M. Szmidt  <ams@gnu.org>

	* doc/inetutils.texi: Renamed ftp and ftpd nodes to `FOO
	invocation'.  Formatting fixes.

2008-09-27  Alfred M. Szmidt  <ams@gnu.org>

	* Makefile.am (DISTCLEANFILES): Removed `include/*.h,
	`include/*/*.h', and `include/stamp-'h from list.

	* configure.ac (AC_CONFIG_FILES): Removed `doc/rfc/Makefile.am'
	from list

	* doc/Makefile.am (SUBDIRS): Remove variable.
	* doc/rfc/.cvsignore, doc/rfc/Makefile.am, doc/rfc/rfc1282.txt:
	Files removed.

2008-09-26  Arash Yadegarnia <arash@bluehome.net> (tiny change)

	* doc/ftpd.texi (ftpd): Updated documentation for `--auth'.

2008-09-26  Alfred M. Szmidt  <ams@gnu.org>

	* .cvsignore (config.h, confpaths.h, stamp-h1): Added files.

	* hostname/.cvsignore: New file.

2008-09-26  Alfred M. Szmidt  <ams@gnu.org>

	* doc/inetutils.texi: Refer to `COMMAND invocation' nodes for
	logger, rcp, rexecd and syslogd.  Formating fixes.  Mention
	traceroute in the TOC.

	* doc/logger.texi, doc/rcp.texi, doc/rexecd.texi, doc/syslogd.texi
	doc/talk.texi, doc/talkd.texi, doc/tftp.texi: Fixed some
	formatting details.  Renamed all nodes to `COMMAND invocation'.

2008-09-26  Alfred M. Szmidt  <ams@gnu.org>

	* doc/traceroute.texi: New file.

2008-09-26  Alfred M. Szmidt  <ams@gnu.org>

	* README-alpha: Update details where to get gnulib.

2008-08-23  Debarshi Ray  <rishi@gnu.org>

	* hostname/hostname.c (main): Initialize OPTIONS to zero.

2008-08-23  Debarshi Ray  <rishi@gnu.org>

	* hostname/hostname.c (hostname_options): New structure to
	encapsulate command line options.
	(hostname_file, hostname_new, hostname_alias, hostname_fqdn)
	(hostname_ip_address, hostname_dns_domain, hostname_short):
	Variables removed.
	(get_name): Changed type to `void get_name (const hostname_options
	*const options)'.  All users changed accordingly.
	(set_name): Likewise.
	(main): Added new variable OPTIONS.

2008-08-13  Debarshi Ray  <rishi@gnu.org>

	* hostname/hostname.c: Options --alias and --ip-adress aliased to
	--aliases and --ip-addresses respectively.

2008-08-12  Debarshi Ray  <rishi@gnu.org>

	* hostname/hostname.c: Include arpa/inet.h and netinet/in.h.
	Added new switches --alias, --ip-address and removed OPTION_HIDDEN
	from --file.
	(hostname_alias, hostname_ip_address): New variables.
	(get_aliases, get_ip_addresses, parse_file): New functions.
	(main): Replace printf with puts.
	(get_short_hostname): Changes to follow GNU coding style.

2008-08-12  Debarshi Ray  <rishi@gnu.org>

	* hostname/hostname.c (parse_opt) <ARGP_KEY_NO_ARGS>: Removed.
	(main): Removed unused variable INDEX.  Specify default value of
	GET_NAME_ACTION.

2008-08-12  Debarshi Ray  <rishi@gnu.org>

	* NEWS: Mention the addition of `hostname'.
	* configure.ac: Add new client `hostname'.
	(AC_CONFIG_FILES): Add `hostname/Makefile'.
	* Makefile.am (SUBDIRS): Add `hostname' to list.
	* hostname/Makefile.am: New file.
	* hostname/hostname.c: Likewise.

2008-08-09  Debarshi Ray  <rishi@gnu.org>

	* libicmp/icmp_timestamp.c: Include <stddef.h>.

2008-07-19  Sergey Poznyakoff  <gray@gnu.org.ua>

	* inetd.c (TOOMANY): Raise to 1000, as specified in the docs.
	(struct servtab): New member se_max.
	(main): Take into account se_max settings.
	(getconfigent): Initialize se_max.
	* inetd/inetd.8: Document [.max] suffix.

2008-06-11  Debarshi Ray  <rishi@gnu.org>

	* rlogin/Makefile.am (INCLUDES): Added
	`-I$(top_srcdir)/libinetutils'.

	* rlogin/rlogin.c: Include <argp.h>.  Remove include for
	<getopt.h>.  Include "libinetutils.h".
	(dflag, host, user): New variables.
	(msg, usage): Functions removed.  Use argp_error or error in all
	callers accordingly.
	(short_options, long_options): Variables removed.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc, argp_options): New variables.
	(program_name): Variable removed.
	(parse_opt): New function.
	(argp): New variable.
	(main): Added new variable INDEX.  Removed variables CH, DFLAG,
	HOST and USER.  Use argp to parse program options.

2008-06-05  Debarshi Ray  <rishi@gnu.org>

	* libicmp/libping.c (ping_reset): New function.
	(_ping_freebuf): Free PING->ping_cktab.
	(ping_unset_data): New function.

	* libicmp/ping.h (ping_reset): New function.
	(ping_unset_data): New function.

	* ping/ping.c (ping_type): Changed type to `int (*ping_type) (char
	*hostname)'.  All users changed accordingly.
	(decode_type): Likewise.
	(main): Allow multiple hosts on the command line.
	(ping_run): Avoid decrementing PRELOAD.  Replaced free with
	ping_unset_data.

	* ping/ping6.c (main): Added new variable STATUS.  Multiple host
	support implemented.
	(ping_run): Avoid decrementing PRELOAD.
	(ping_echo): Changed type to `static int ping_echo (char
	*hostname)`.  All callers and declarations changed accordingly.
	Added new variable STATUS.  Free PING->ping_hostname.
	(ping_reset): New function.
	(echo_finish): Call return instead of exit.

	* ping/ping_address.c (ping_address): Changed type to `int
	ping_address (char *hostname)'.  All callers and extern
	declarations changed accordingly.

	* ping/ping_echo.c (ping_echo): Likewise.

	* ping/ping_router.c (ping_router): Likewise.

	* ping/ping_timestamp.c (ping_timestamp): Likewise.

2008-05-20  Debarshi Ray  <rishi@gnu.org>

	* ftp/cmds.c, ftp/ftp.c, ftp/main.c, ftpd/ftpd.c, ftpd/popen.c,
	inetd/inetd.c, libinetutils/argcv.c, libls/ls.c, ping/ping6.c,
	rcp/util.c, rexecd/rexecd.c, rlogind/rlogind.c, rsh/rsh.c,
	talk/get_names.c, talk/invite.c, talk/look_up.c, talkd/talkd.c,
	telnet/commands.c, telnet/utilities.c, telnetd/utility.c,
	uucpd/uucpd.c: Remove unused variables and add ARG_UNUSED
	attribute to unused function arguments.

2008-05-13  Debarshi Ray  <rishi@gnu.org>

	* libls/bsdport, libls/cmp.c, libls/ls.c, libls/print.c,
	libls/stat_flags.c [ORIGINAL_SOURCE]: Removed dead code.

2008-04-21  Guillem Jover <guillem@hadrons.org>

	* syslogd/syslogd.c (init): Add ARG_UNUSED attribute to SIGNO
	argument.
	(domark): Likewise.  Remove now unneeded no-op SIGNO statement.

2008-04-20  Michal Svoboda <pht@spatium.org> (tiny change)

	* ping/ping6.c (print_echo): Cast ICMP6+1 and not ICMP6 to `struct
	timeval *'.

2008-04-19  Debarshi Ray  <rishi@gnu.org>

	* traceroute/traceroute.c: Added new switch --type.
	(opt_type): New variable.
	(main): Replace getuid with geteuid.  Use OPT_TYPE instead of
	hard-coding TRACE_ICMP.

2008-04-18  Debarshi Ray  <rishi@gnu.org>

	* ChangeLog: Remove unnecessary "(tiny change)"s.

2008-04-17  Debarshi Ray  <rishi@gnu.org>

	* traceroute/traceroute.c: Include <error.h>.  Added new switch
	--tries.
	(opt_max_tries): Declared static.

2008-04-17  Alfred M. Szmidt  <ams@gnu.org>

	* traceroute/traceroute.c (do_try): Removed unused variable HOST.

2008-04-16  Debarshi Ray  <rishi@gnu.org>

	* syslogd/syslogd.c: Include <argp.h>, and <error.h>.  Remove
	include for <getopt.h>.
	(program_name): Variable removed.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc): New variables.
	(usage): Function removed.
	(OPT_NO_FORWARD, OPT_NO_KLOG, OPT_NO_UNIXAF, OPT_PIDFILE): New
	enums.
	(argp_options): New variable.
	(short_options, long_options): Variables removed.
	(parse_opt): New function.
	(argp): New variable.
	(main): Removed variable OPTION.  Use argp to parse program
	options.  Use error instead of "output message; exit;"
	concoction's.
	(add_funix): Use error instead of "output message; exit;"
	concoction's.
	(crunch_list): Use error instead of "output message; exit;"
	concoction's.
	(die): Use program_invocation_name instead of program_name.

2008-04-16  Debarshi Ray  <rishi@gnu.org>

	* logger/Makefile.am (INCLUDES): Added
	`-I$(top_srcdir)/libinetutils'.

	* logger/logger.c: Include <argp.h>, and <error.h>.  Remove
	include for <getopt.h>.  Include "libinetutils.h".
	(program_name, short_options, long_options): Variables removed.
	(tag, logflags, pri): New variables.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc, argp_options): New variables.
	(usage): Function removed.
	(parse_opt): New function.
	(argp): New variable.
	(main): Added new variable INDEX.  Removed variables OPTION,
	LOGFLAGS, PRI and TAG.  Use argp to parse program options.
	(pencode): Use error instead of "output message; exit;"
	concoction's.  Use EXIT_FAILURE.

2008-04-15  Ludovic Courtès <ludo@gnu.org> (tiny change)

	* acinclude.m4 (IU_CONFIG_PATHS): Honor `$TMPDIR'.

2008-04-14  Edward Attfield <attfield@nortel.com> (tiny change)

	* telnet/sys_bsd.c (process_rings): New variable NFDS.  Detect the
	number of open file descriptors during FD_SET.

2008-02-06  Simon Josefsson  <simon@josefsson.org>

	* libtelnet/shishi.c: Delay initialization of Shishi until it is
	really needed.

2007-09-06  Debarshi Ray  <rishi@gnu.org>

	* ftp/cmds.c (setpeer): If HOSTNAME is set, try to reconnect to
	it.

2007-09-02  Debarshi Ray  <rishi@gnu.org>

	* bootstrap.conf (gnulib_modules): Added `readline'.

	* configure.ac: Check for add_history libhistory and libreadline.

	* ftp/Makefile.am (READLINE): Added `@LIBHISTORY@'.

	* ftp/extern.h (another): Changed type of PROMPT to `const char
	*'.

	* ftp/cmds.c (another): Added new variables BUFFER and ARG.  Use
	readline for input.  Use better error handling.
	(another) [HAVE_LIBHISTORY]: Use add_history.

	* ftp/ftp.c (login): Removed all references to HAVE_LIBREADLINE.
	* ftp/ftp_var.h: Likewise.

	* ftp/main.c [!HAVE_LIBREADLINE]: #include "readline.h".
	(cmdscanner): Use readline uniformly.  Use NULL instead of 0.
	(cmdscanner) [HAVE_LIBHISTORY]: Use add_history.

2007-09-02  Pedro Alves  <pedro_alves@portugalmail.pt>  (tiny change)

	* rcp/rcp.c (rsource): Free BUF after call to source().

2007-07-26  Debarshi Ray  <rishi@gnu.org>

	* ping/ping_echo.c (ping_echo): Free PING->ping_hostname.
	(echo_finish): Call return instead of exit.

	* ping/ping.c (main): Free PING and DATA_BUFFER.
	(ping_run): Free PING->ping_buffer and PING->ping_cktab.

2007-07-21  Debarshi Ray  <rishi@gnu.org>

	* ftp/main.c: Include <argp.h>, and <string.h>.  Remove include
	for <getopt.h>.  Include "libinetutils.h".
	(program_name): Variable removed.
	(usage): Function removed.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc, argp_options): New variables.
	(parse_opt): New function.
	(short_options, long_options): Variables removed.
	(argp): New variable.
	(main): Added new variable INDEX.  Use EXIT_FAILURE and
	EXIT_SUCCESS.  Use argp to parse program options.  Use
	program_invocation_name instead of program_name.

	* ftp/cmds.c (quit): Use EXIT_SUCCESS.
	(shell): Use EXIT_FAILURE.

2007-07-15  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/ftp.c (command): Ignore SIGPIPE when flushing COUT.

	* ftp/cmds.c (setpeer): Check that the connection is still open by
	sending a NOOP command to the server.

2007-07-15  Karl Berry <karl@freefriends.org> (tiny change)

	* doc/inetutils.texi: Fix typo.

2007-06-26  Alfred M. Szmidt  <ams@gnu.org>

	* COPYING: Updated to GPLv3.

	* Makefile.am, acinclude.m4, bootstrap.conf, configure.ac, paths,
	doc/Makefile.am, doc/rfc/Makefile.am, ftp/Makefile.am, ftp/cmds.c,
	ftpd/Makefile.am, ftpd/logwtmp.c, gwhois/Makefile.am,
	gwhois/whois.c, headers/Makefile.am, headers/shishi_def.h,
	ifconfig/Makefile.am, ifconfig/changeif.c, ifconfig/flags.c,
	ifconfig/flags.h, ifconfig/if_index.c, ifconfig/if_index.h,
	ifconfig/ifconfig.c, ifconfig/ifconfig.h, ifconfig/options.c,
	ifconfig/options.h, ifconfig/printif.c, ifconfig/printif.h,
	ifconfig/system.h, ifconfig/system/Makefile.am,
	ifconfig/system/generic.c, ifconfig/system/generic.h,
	ifconfig/system/hpux.c, ifconfig/system/hpux.h,
	ifconfig/system/linux.c, ifconfig/system/linux.h,
	ifconfig/system/osf.c, ifconfig/system/osf.h,
	ifconfig/system/qnx.c, ifconfig/system/qnx.h,
	ifconfig/system/solaris.c, ifconfig/system/solaris.h,
	inetd/Makefile.am, inetd/inetd.c, lib/Makefile.am,
	libicmp/Makefile.am, libicmp/icmp.h, libicmp/icmp_address.c,
	libicmp/icmp_cksum.c, libicmp/icmp_echo.c,
	libicmp/icmp_timestamp.c, libicmp/libping.c, libicmp/ping.h,
	libinetutils/Makefile.am, libinetutils/argcv.c,
	libinetutils/argcv.h, libinetutils/cleansess.c,
	libinetutils/libinetutils.h, libinetutils/localhost.c,
	libinetutils/logwtmp.c, libinetutils/setsig.c,
	libinetutils/shishi.c, libls/Makefile.am, libtelnet/Makefile.am,
	libtelnet/kerberos5.c, libtelnet/shishi.c, logger/Makefile.am,
	ping/Makefile.am, ping/ping.c, ping/ping6.c, ping/ping6.h,
	ping/ping_address.c, ping/ping_common.c, ping/ping_common.h,
	ping/ping_echo.c, ping/ping_router.c, ping/ping_timestamp.c,
	rcp/Makefile.am, rexecd/Makefile.am, rlogin/Makefile.am,
	rlogind/Makefile.am, rlogind/rlogind.c, rsh/Makefile.am,
	rshd/Makefile.am, syslogd/Makefile.am, talk/Makefile.am,
	talkd/Makefile.am, talkd/acl.c, talkd/announce.c, talkd/intalkd.h,
	talkd/print.c, talkd/process.c, talkd/table.c, talkd/talkd.c,
	telnet/Makefile.am, telnetd/Makefile.am, telnetd/pty.c,
	telnetd/telnetd.c, telnetd/telnetd.h, telnetd/term.c,
	telnetd/utility.c, tests/Makefile.am, tests/localhost.c,
	tftp/Makefile.am, tftpd/Makefile.am, traceroute/Makefile.am,
	traceroute/traceroute.c, traceroute/traceroute.h,
	uucpd/Makefile.am: Updated license blurbs to the GNU General
	Public License version 3.

2007-06-26  Karl Berry  <karl@freefriends.org>  (tiny change)

	* doc/inetutils.texi: Updated Info directory entries.  Use
	@copying for permission notice.

2007-06-26  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Removed `allocsa'.

2007-06-11  Alfred M. Szmidt  <ams@gnu.org>

	* ftpd/ftpd.c (makedir): Pass NAME when calling reply().

2007-05-28  Debarshi Ray  <rishi@gnu.org>

	* inetd/inetd.8: Fix typo.

	* inetd/Makefile.am (INCLUDES): Added
	-I$(top_srcdir)/libinetutils.

	* inetd/inetd.c: Include <stdbool.h>, <argp.h> and
	"libinetutils.h".  Don't include <getopt.h>
	(program_name): Variable removed.
	(debug, env_option, resolve_option): Changed type to bool.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc): New variables.
	(OPT_ENVIRON, OPT_RESOLVE): New enums.
	(argp_options): New variable.
	(parse_opt): New function.
	(argp): New variable.
	(usage): Function removed.
	(short_options, long_options): Variables removed.
	(main): Use argp to parse program options.

2007-06-04  Alfred M. Szmidt  <ams@gnu.org>

	* ping/ping6.c (main): Move argument parsing before calling
	ping_init.

	* ping/ping.c (main): Reorder assignment of argc and argv to be
	right after calling argp_parse.

	* tftpd/tftpd.c (struct formats) [notdef]: Removed unused field
	"mail"..

	* telnet/telnet.c (modelist) [notdef]: Removed variable.
	(printring) [notdef]: Removed function.

	* telnet/sys_bsd.c (TerminalRestoreState) [notdef]: Remvoved
	function.
	(TerminalNewMode) [notdef]: Removed unused code.

	* telnet/ring.h (ring_consume_data) [notdef]: Removed extern
	declaration.

	* telnet/ring.c (ring_consume_data) [notdef]: Removed function.

	* telnet/commands.c (filestuff) [notdef]: Removed unused code.

	* rshd/rshd.c (doit) [notdef]: Removed unused code.

	* libtelnet/kerberos.c (prkey) [notdef]: Function removed.

	* libtelnet/encrypt.c (encrypt_init, encrypt_session_key)
	[notdef]: Removed unused code.

	* libls/fts.c (fts_build) [notdef]: Removed unused code.

	* libinetutils/des_rw.c (des_pcbc_encrypt) [notdef]: Removed
	forward declaration.

	* AUTHORS: Rewritten.

2007-05-31  Alfred M. Szmidt  <ams@gnu.org>

	* whois/.cvsignore: File removed.

	* ping/ping_router.c: Don't include "getopt.h".

2007-05-28  Debarshi Ray  <rishi@gnu.org>

	* ping/ping_timestamp.c: Don't include "getopt.h".  Include
	"ping_common.h".
	(ping_timestamp): Use error instead of "output message; exit;"
	concoction's.

	* ping/ping_impl.h (is_root, preload): Removed extern
	declarations.

	* ping/ping_echo.c (ping_echo): Use error instead of "output
	message; exit;" concoction's.

	* ping/ping_common.h (show_license): Removed declaration.

	* ping/ping_common.c: Include "ping_common.h".
	(ping_cvt_number, decode_pattern): Use error instead of "output
	message; exit;" concoction's.
	(show_license): Function removed.

	* ping/ping_address.c: Don't include "getopt.h".  Include
	"ping_common.h".
	(ping_address): Use error instead of "output message; exit;"
	concoction's.

	* ping/ping6.c: Include <stdbool.h>.  Don't include <getopt.h>.
	Include <argp.h> and "libinetutils.h".
	(short_options, long_options): Variables removed.
	(is_root, patptr, one, pattern_len): New variables.
	(show_usage): Function removed.
	(program_name): Variable removed.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc, argp_options): New variables.
	(parse_opt): New function.
	(argp): New variable.
	(main): Use argp to parse program options.
	(ping_echo, ping_init): Use error instead of "output message;
	exit;" concoction's.

	* ping/ping.c: Don't include <getopt.h>.  Include <argp.h> and
	"libinetutils.h".
	(short_options, long_options): Variables removed.
	(is_root, patptr, pattern_len, socket_type, count, interval): New
	variables.
	(show_usage): Function removed.
	(decode_type): Changed type to `int (*decode_type (const char
	*arg)) (int argc, char **argv)'.  All callers changed accordingly.
	(program_name): Variable removed.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc): New variables.
	(ARG_ECHO, ARG_ADDRESS, ARG_TIMESTAMP, ARG_ROUTERDISCOVERY): New
	enums.
	(argp_options): New variable.
	(parse_opt): New function.
	(main): Use argp to parse program options.

	* ping/Makefile.am (INCLUDES): Added
	`-I$(top_srcdir)/libinetutils'.

2007-05-28  Debarshi Ray  <rishi@gnu.org>

	* talkd/talkd.c (parse_opt): Renamed argument ST to STATE.

2007-05-24  Alfred M. Szmidt  <ams@gnu.org>

	* TODO: Updated.

2007-05-24  Alfred M. Szmidt  <ams@gnu.org>

	* ftpd/ftpd.c (main): Changed type of ADDRLEN to socklen_t.
	(dataconn): Changed type of S and FROMLEN to socklen_t.
	(passive): Changed type of LEN to socklen_t.

	* inetd/inetd.c (set_proc_title, echo_dg, chargen_dg, machtime_dg)
	(daytime_dg): Changed type of SIZE to socklen_t.

	* telnetd/state.c (doopt, dont, will, wont): Changed type to char
	[].

2007-05-24  Alfred M. Szmidt  <ams@gnu.org>

	* traceroute/traceroute.c (do_try): Removed variable PREV_TRACE.
	New variable PREV_ADDR.  Only print the IP/hostname if the
	previous IP was not the same.
	(trace_read): Changed type of DATA to u_char.
	(trace_read): Changed type of SIZ to socklen_t.
	(trace_write): Cast HDR to u_char *.

2007-05-23  Alfred M. Szmidt  <ams@localhost>

	* talkd/talkd.c (doc): Fix typo.

2007-05-23  Debarshi Ray  <rishi@gnu.org>

	* talkd/talkd.c: Include <argp.h>.  Don't include <getopt.h>.
	(show_usage, show_version, show_license): Functions removed.
	(short_options, long_options): Variables removed.
	(acl_file): New variable.
	(program_name): Variable removed.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc, argp_options): New variables.
	(parse_opt): New function.
	(argp): New variable.
	(main): Use argp to parse program options.

2007-05-23  Alfred M. Szmidt  <ams@localhost>

	* bootstrap.conf (gnulib_modules): Added "argp".

2007-05-23  Debarshi Ray  <rishi@gnu.org>

	* traceroute/Makefile.am (INCLUDES): Added
	`-I$(top_srcdir)/libinetutils'.

	* traceroute/traceroute.c: Don't include <getopt.h>.  Include
	<argp.h> and "libinetutils.h".  Use error() instead of "output
	message; exit;" concoction's.
	(show_usage): Function removed.
	(program_name): Variable removed.
	(host): New variable.
	(OPT_VERSION, OPT_HELP, OPT_RESOLVE_HOSTNAMES): Macros removed.
	(shor_options, option long_options): Variable removed.
	(ARGP_PROGRAM_DATA): Call macro.
	(args_doc, doc): New variables.
	(OPT_RESOLVE): New enum.
	(argp_options): New variable.
	(parse_opt): New function.
	(main) Use argp to parse program options.

2007-05-23  Debarshi Ray  <rishi@gnu.org>

	* libinetutils/libinetutils.h: Include "config.h".
	(ARGP_PROGRAM_DATA): New macro.

2007-04-19  Alfred M. Szmidt  <ams@gnu.org>

	* NEWS: Minor clean up.

2007-04-19  Alfred M. Szmidt  <ams@gnu.org>

	* whois/Makefile.am, whois/main.c, whois/net.c,
	whois/whois-servers: Files removed.

2007-04-12  Simon Josefsson  <simon@josefsson.org>

	* tests/.cvsignore: New file.

2007-04-12  Simon Josefsson  <simon@josefsson.org>

	* tests/localhost.c: Need to #include <stdio.h> for printf.

2007-04-12  Alfred M. Szmidt  <ams@gnu.org>

	* libinetutils/Makefile.am (libinetutils_a_SOURCES): Removed
	`xalloc-die.c' from list.
	* libinetutils/xalloc-die.c: File removed.

2007-04-12  Alfred M. Szmidt  <ams@gnu.org>

	* libinetutils/utmp_init.c (__USE_GNU): Define macro if and only
	if __USE_GNU was not defined.

2007-04-12  Simon Josefsson  <simon@josefsson.org>

	* tests/Makefile.am: New file.

	* tests/localhost.c: New self test.

	* configure.ac: Build tests/Makefile.

	* Makefile.am (SUBDIRS): Add tests/.

2007-04-12  Simon Josefsson  <simon@josefsson.org>

	* acinclude.m4: Remove AB_INIT.

	* bootstrap.conf (gnulib_modules): Add autobuild.

2007-04-12  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf (gnulib_modules): Removed `restrict' and
	`stdio-safer'.

2007-04-12  Alfred M. Szmidt  <ams@gnu.org>

	* acinclude.m4 (jm_INCLUDED_REGEX): Function removed.
	* configure.ac: Don't call `jm_INCLUDED_REGEX'.

	* bootstrap.conf (gnulib_modules): Add `regex' to list.

2007-04-12  Alfred M. Szmidt  <ams@gnu.org>

	* bootstrap.conf: Create m4/ if it does not exist.

	* README-alpha: Updated.

2007-04-12  Simon Josefsson  <simon@josefsson.org>

	* README-alpha: Mention new daily builds and autobuild logs.

	* acinclude.m4: Add contents of autobuild.m4.  Suggested by
	"Alfred M. Szmidt" <ams@gnu.org>.

	* configure.ac: Call AB_INIT.

2007-03-31  Alfred M. Szmidt  <ams@gnu.org>

	* Makefile.am (snapshot): Target renamed to `snapshot'.

2007-03-30  Alfred M. Szmidt  <ams@gnu.org>

	Revert change from 2007-03-29.

	* Makefile.am (MAINTAINERCLEANFILES): Removed variable.
	* ping/Makefile.am (MAINTAINERCLEANFILES): Likewise.

2007-03-30  Sergey Poznyakoff  <gray@gnu.org.ua>

	* README-alpha: Fixed typo.

2007-03-29  Debarshi Ray  <rishi@gnu.org>  (tiny change)

	* Makefile.am (MAINTAINERCLEANFILES): New variable.

2007-03-29  Debarshi Ray  <rishi@gnu.org>  (tiny change)

	* ping/Makefile.am (MAINTAINERCLEANFILES): New variable.

2007-03-27  Debarshi Ray  <rishi@gnu.org>  (tiny change)

	* bootstrap.conf (checkout_only_file): New variable.
	* README-alpha: Updated.

2007-03-21  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/main.c (usage): Fix typo.

2007-03-16  Alfred M. Szmidt  <ams@gnu.org>

	* README-alpha: Updated instructions for generating auto* and
	gnulib files.

	* autogen.sh: File removed.

	* bootstrap.conf, lib/Makefile.am: New files.

2007-03-16  Simon Josefsson  <simon@josefsson.org>

	* libtelnet/shishi.c (krb5shishi_send): Don't set a
	use-session-key ap-options, that is for user2user authentication
	which is not appropriate here.

2007-03-16  Alfred M. Szmidt  <ams@gnu.org>

	* .cvsignore: Added `build-aux'.

	* ping/.cvsignore: Added `ping6'.

	* traceroute/.cvsignore: New file.

2007-03-16  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Removed libglob checks.
	(AC_CONFIG_FILES): Don't list glob/Makefile.

	* Makefile.am (SUBDIRS): Removed `glob'.

	* glob/.cvsignore, glob/COPYING.LIB, glob/Makefile.am,
	glob/SMakefile, glob/configure.bat, glob/configure.in,
	glob/fnmatch.c, glob/fnmatch.h, glob/glob.c, glob/glob.h: Files
	removed.

2007-03-16  Alfred M. Szmidt  <ams@gnu.org>

	* lib/.cvsignore, lib/Makefile.am, lib/alloca.c, lib/alloca_.h,
	lib/allocsa.c, lib/allocsa.h, lib/allocsa.valgrind,
	lib/asnprintf.c, lib/dup-safer.c, lib/error.c, lib/error.h,
	lib/exit.h, lib/exitfail.c, lib/exitfail.h, lib/fd-safer.c,
	lib/fopen-safer.c, lib/free.c, lib/getcwd.c, lib/getcwd.h,
	lib/getdelim.c, lib/getdelim.h, lib/getline.c, lib/getline.h,
	lib/getopt.c, lib/getopt1.c, lib/getopt_.h, lib/getopt_int.h,
	lib/getpass.c, lib/getpass.h, lib/gettext.h, lib/getusershell.c,
	lib/malloc.c, lib/mbchar.c, lib/mbchar.h, lib/mbuiter.h,
	lib/memchr.c, lib/memcmp.c, lib/memcpy.c, lib/memmove.c,
	lib/mempcpy.c, lib/mempcpy.h, lib/memset.c, lib/minmax.h,
	lib/obstack.c, lib/obstack.h, lib/pipe-safer.c, lib/poll.c,
	lib/poll_.h, lib/printf-args.c, lib/printf-args.h,
	lib/printf-parse.c, lib/printf-parse.h, lib/readutmp.c,
	lib/readutmp.h, lib/realloc.c, lib/regcomp.c, lib/regex.c,
	lib/regex.h, lib/regex_internal.c, lib/regex_internal.h,
	lib/regexec.c, lib/setenv.c, lib/setenv.h, lib/size_max.h,
	lib/snprintf.c, lib/snprintf.h, lib/stdbool_.h, lib/stdint_.h,
	lib/stdio--.h, lib/stdio-safer.h, lib/strcase.h, lib/strcasecmp.c,
	lib/strchrnul.c, lib/strchrnul.h, lib/strdup.c, lib/strdup.h,
	lib/strerror.c, lib/strncasecmp.c, lib/strndup.c, lib/strndup.h,
	lib/strnlen.c, lib/strnlen.h, lib/strnlen1.c, lib/strnlen1.h,
	lib/sysexit_.h, lib/unistd--.h, lib/unistd-safer.h,
	lib/unlocked-io.h, lib/unsetenv.c, lib/vasnprintf.c,
	lib/vasnprintf.h, lib/vsnprintf.c, lib/vsnprintf.h, lib/wcwidth.h,
	lib/xalloc-die.c, lib/xalloc.h, lib/xgetcwd.c, lib/xgetcwd.h,
	lib/xmalloc.c, lib/xsize.h, m4/absolute-header.m4, m4/alloca.m4,
	m4/allocsa.m4, m4/codeset.m4, m4/d-ino.m4, m4/eealloc.m4,
	m4/eoverflow.m4, m4/error.m4, m4/exitfail.m4, m4/extensions.m4,
	m4/free.m4, m4/getcwd-abort-bug.m4, m4/getcwd-path-max.m4,
	m4/getcwd.m4, m4/getdelim.m4, m4/getline.m4, m4/getndelim2.m4,
	m4/getopt.m4, m4/getpass.m4, m4/gettext.m4, m4/getusershell.m4,
	m4/glibc2.m4, m4/glibc21.m4, m4/gnulib-cache.m4,
	m4/gnulib-comp.m4, m4/gnulib-tool.m4, m4/iconv.m4, m4/intdiv0.m4,
	m4/intmax.m4, m4/intmax_t.m4, m4/inttypes-h.m4,
	m4/inttypes-pri.m4, m4/inttypes.m4, m4/inttypes_h.m4,
	m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4,
	m4/lib-prefix.m4, m4/lock.m4, m4/longdouble.m4, m4/longlong.m4,
	m4/mbchar.m4, m4/mbiter.m4, m4/mbrtowc.m4, m4/memchr.m4,
	m4/memcmp.m4, m4/memcpy.m4, m4/memmove.m4, m4/mempcpy.m4,
	m4/memset.m4, m4/minmax.m4, m4/nls.m4, m4/obstack.m4,
	m4/onceonly_2_57.m4, m4/po.m4, m4/poll.m4, m4/printf-posix.m4,
	m4/progtest.m4, m4/readutmp.m4, m4/regex.m4, m4/restrict.m4,
	m4/setenv.m4, m4/signed.m4, m4/size_max.m4, m4/snprintf.m4,
	m4/ssize_t.m4, m4/stdbool.m4, m4/stdint.m4, m4/stdint_h.m4,
	m4/stdio-safer.m4, m4/strcase.m4, m4/strchrnul.m4, m4/strdup.m4,
	m4/strerror.m4, m4/strerror_r.m4, m4/strndup.m4, m4/strnlen.m4,
	m4/sysexits.m4, m4/uintmax_t.m4, m4/ulonglong.m4,
	m4/unistd-safer.m4, m4/unistd_h.m4, m4/unlocked-io.m4,
	m4/vasnprintf.m4, m4/visibility.m4, m4/vsnprintf.m4,
	m4/wchar_t.m4, m4/wcwidth.m4, m4/wint_t.m4, m4/xalloc.m4,
	m4/xgetcwd.m4, m4/xsize.m4: Files removed.

2007-03-10  Elian Gidoni  <arkaino@gmail.com>
	    Alfred M. Szmidt  <ams@gnu.org>

	* NEWS: Mention the addition of `traceroute'.
	* configure.ac: Add new client `traceroute'.
	(AC_CONFIG_FILES): Add `traceroute/Makefile'.
	* Makefile.am (SUBDIRS): Add `traceroute' to list.
	* traceroute/Makefile.am: New file.
	* traceroute/traceroute.h: Likewise.
	* traceroute/traceroute.c: Likewise.

2007-03-10  Alfred M. Szmidt  <ams@gnu.org>

	* README-alpha, ROADMAP, THANKS, TODO: Updated.

2007-03-08  Petr Salinger  <Petr.Salinger@seznam.cz>

	* configure.ac (IU_CHECK_MEMBERS): Fix typo 'stuct' -> 'struct'.

2007-03-08  Simon Josefsson  <jas@extundo.com>

	* telnet/ring.h (ring_encrypt): Fix typo in prototype.

2006-11-17  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ping/ping.c (main): Allow zero argument for -c

2006-11-11  Alfred M. Szmidt  <ams@gnu.org>

	* ping/ping_common.h (DEFAULT_PING_COUNT): New macro.
	* ping/ping6.c (ping_init): Set default ping count to
	DEFAULT_PING_COUNT.
	(show_usage): Mention the default.
	* ping/ping.c (main): Set default ping count to
	DEFAULT_PING_COUNT.
	(show_usage): Mention the default.
	* NEWS: Mention new behaviour.

2006-10-25  Alfred M. Szmidt  <ams@gnu.org>

	* rsh/rsh.c: Include "xalloc.h".

	* telnet/authenc.c [AUTHENTICATION || ENCRYPTION]: Include
	<unistd.h>.

	* libinetutils/utmp_init.c: Include <utmpx.h> if and only if
	HAVE_UTMPX_H is defined.
	(utmp_init): Changed all references of UTMPX to HAVE_UTMPX_H.

	* talk/io.c (errno, sys_nerr): Removed extern declarations.

2006-10-21  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/cmds.c, ftp/cmdtab.c, ftp/domacro.c, ftp/ftp.c, ftp/main.c,
	ftp/ruserpass.c, ftpd/ftpcmd.y, ftpd/ftpd.c, ftpd/logwtmp.c,
	ftpd/popen.c, inetd/inetd.c, lib/regex_internal.c,
	libinetutils/des_rw.c, libinetutils/kcmd.c, libinetutils/krcmd.c,
	libinetutils/tftpsubs.c, libinetutils/ttymsg.c, libls/cmp.c,
	libls/fts.c, libls/ls.c, libls/print.c, libls/stat_flags.c,
	libls/util.c, libtelnet/auth.c, libtelnet/enc_des.c,
	libtelnet/encrypt.c, libtelnet/forward.c, libtelnet/genget.c,
	libtelnet/getent.c, libtelnet/kerberos.c, libtelnet/misc.c,
	libtelnet/read_passwd.c, logger/logger.c, rcp/rcp.c, rcp/util.c,
	rexecd/rexecd.c, syslogd/syslogd.c, talk/ctl.c,
	talk/ctl_transact.c, talk/display.c, talk/get_addrs.c,
	talk/get_names.c, talk/init_disp.c, talk/invite.c, talk/io.c,
	talk/look_up.c, talk/msgs.c, talk/talk.c, telnet/authenc.c,
	telnet/commands.c, telnet/main.c, telnet/network.c, telnet/ring.c,
	telnet/sys_bsd.c, telnet/telnet.c, telnet/terminal.c,
	telnet/tn3270.c, telnet/utilities.c, telnetd/slc.c,
	telnetd/state.c, telnetd/termstat.c, tftp/main.c, tftp/tftp.c,
	tftpd/tftpd.c, uucpd/uucpd.c, whois/net.c: Removed lint cruft.

2006-10-21  Guillem Jover  <guillem@hadrons.org>

	* syslogd/syslogd.c (init): Close CF properly before returning.

2006-10-21  Guillem Jover  <guillem@hadrons.org>

	* ftpd/ftpd.c (store): Do not overwrite `name' with gunique's
	return value, to avoid passing NULL to LOGCMD.

2006-10-21  Guillem Jover  <guillem@hadrons.org>

	* libinetutils/localhost.c (localhost): Determine the FQDN only if
	gethostname did not fail.

2006-10-21  Alfred M. Szmidt  <ams@gnu.org>

	* telnetd/utility.c: Include <time.h>.
	(expand_line): Cast LINE to (char *).

	* ftpd/auth.c: Include <string.h>
	(auth_user) <default>: Cast LEN to (size_t).

	* ftp/cmdtab.c: Include <string.h>
	* libinetutils/xalloc_die.c: Include <stdlib.h>
	* talk/get_addrs.c: Include <stdlib.h>, and <string.h>.
	* talk/get_names.c: Include <stdlib.h>, and <string.h>.
	* talk/init_disp.c: Include <stdlib.h>.
	* talk/invite.c: Include <string.h>
	* talk/look_up.c: Include <string.h>
	* talk/talk.c: Include <stdlib.h>
	* telnet/network.c: Include <stdlib.h>
	* telnet/ring.c: Include <string.h>.
	* telnet/terminal.c: Include <stdlib.h>.
	* telnet/utilities.c: Include <stdlib.h>.

	* rexecd/rexecd.c: Renamed all occurences of ASIN to A_SIN.

	* libtelnet/encrypt.c, ftp/cmds.c, libls/util.c,
	libls/stat_flags.c, libls/print.c, libls/ls.c, libls/fts.c,
	libinetutils/tftpsubs.c, libinetutils/des_rw.c, ftpd/popen.c,
	ftpd/logwtmp.c, ftpd/ftpcmd.y, whois/net.c, telnetd/termstat.c,
	telnetd/state.c, telnetd/slc.c, telnet/utilities.c, telnet/main.c,
	libtelnet/misc-proto.h, libtelnet/key-proto.h,
	libtelnet/forward.c, rcp/util.c, talk/invite.c, telnet/externs.h:
	Remove useless casts to (void).

	* libtelnet/encrypt.c, libtelnet/enc_des.c, libtelnet/enc-proto.h,
	libtelnet/auth.h, telnetd/utility.c, telnetd/telnetd.h,
	telnetd/telnetd.c, telnet/ring.h, telnet/krb4-proto.h,
	telnet/commands.c, rlogind/rlogind.c, libtelnet/encrypt.h,
	libtelnet/kerberos.c, libtelnet/read_passwd.c: Remove all
	references to P().

2006-10-21  Sergey Poznyakoff  <gray@gnu.org.ua>

	* configure.ac: Version 1.5
	* NEWS: Version 1.5
	* lib/readutmp.c, lib/readutmp.h: Update from gnulib
	* syslogd/syslogd.c (wallmsg): Use new read_utmp interface.
	* talkd/process.c (find_user): Use new read_utmp interface.

2006-10-21  Alfred M. Szmidt  <ams@gnu.org>

	* ftpd/auth.c (auth_user) <default>: Free PCRED->message before
	returning if sgetcred() returned non-zero.

	* inetd/inetd.8: Fix typos.  Based on patch from Stephen Liebbe
	<sliebbe@gmail.com>.

2006-10-21  Guillem Jover  <guillem@hadrons.org>

	* configure.ac (AC_CHECK_LIB): Remove check for unused libz.

2006-10-12  Sergey Poznyakoff  <gray@gnu.org.ua>

	* doc/ChangeLog, ftp/ChangeLog, ftpd/ChangeLog, glob/ChangeLog,
	gwhois/ChangeLog, headers/ChangeLog, ifconfig/ChangeLog,
	inetd/ChangeLog, libicmp/ChangeLog, libinetutils/ChangeLog,
	libls/ChangeLog, libtelnet/ChangeLog, logger/ChangeLog,
	ping/ChangeLog, rcp/ChangeLog, rexecd/ChangeLog, rlogin/ChangeLog,
	rlogind/ChangeLog, rsh/ChangeLog, rshd/ChangeLog,
	syslogd/ChangeLog, talk/ChangeLog, talkd/ChangeLog,
	telnet/ChangeLog, telnetd/ChangeLog, tftp/ChangeLog,
	tftpd/ChangeLog, uucpd/ChangeLog, whois/ChangeLog: Merge with this
	file and remove.

	* configure.ac (AC_CHECK_HEADERS): Add dependecy headers
	* doc/Makefile.am (inetutils_TEXINFOS): Add fdl.texi
	* ftp/Makefile.am, ftpd/Makefile.am, gwhois/Makefile.am,
	ifconfig/Makefile.am, inetd/Makefile.am, libinetutils/Makefile.am,
	logger/Makefile.am, ping/Makefile.am, rcp/Makefile.am,
	rexecd/Makefile.am, rlogin/Makefile.am, rlogind/Makefile.am,
	rsh/Makefile.am, rshd/Makefile.am, syslogd/Makefile.am,
	talk/Makefile.am, talkd/Makefile.am, telnet/Makefile.am,
	telnetd/Makefile.am, tftp/Makefile.am, tftpd/Makefile.am,
	uucpd/Makefile.am, whois/Makefile.am: Move pathdefs to
	AM_CPPFLAGS.  Load libgnu after libinetutils.

	* lib/Makefile.am: Fresh import from the CVS gnulib
	* lib/alloca.c, lib/alloca_.h, lib/allocsa.c, lib/allocsa.h,
	lib/asnprintf.c, lib/dup-safer.c, lib/error.c, lib/error.h,
	lib/exit.h, lib/exitfail.c, lib/fd-safer.c, lib/fopen-safer.c,
	lib/free.c, lib/getcwd.c, lib/getopt.c, lib/getopt1.c,
	lib/getpass.c, lib/gettext.h, lib/getusershell.c, lib/malloc.c,
	lib/mbchar.c, lib/mbchar.h, lib/memchr.c, lib/memcmp.c,
	lib/memcpy.c, lib/memmove.c, lib/obstack.c, lib/pipe-safer.c,
	lib/printf-args.c, lib/printf-parse.c, lib/readutmp.c,
	lib/readutmp.h, lib/realloc.c, lib/regcomp.c, lib/regex.c,
	lib/regex.h, lib/regex_internal.c, lib/regex_internal.h,
	lib/regexec.c, lib/setenv.c, lib/size_max.h, lib/snprintf.c,
	lib/stdbool_.h, lib/stdint_.h, lib/stdio--.h, lib/stdio-safer.h,
	lib/strcasecmp.c, lib/strdup.c, lib/strerror.c, lib/strncasecmp.c,
	lib/strndup.c, lib/strnlen.c, lib/strnlen1.c, lib/strnlen1.h,
	lib/sysexit_.h, lib/unsetenv.c, lib/vasnprintf.c, lib/vsnprintf.c,
	lib/xalloc-die.c, lib/xgetcwd.c, lib/xmalloc.c, m4/codeset.m4,
	m4/d-ino.m4, m4/exitfail.m4, m4/extensions.m4,
	m4/getcwd-path-max.m4, m4/getcwd.m4, m4/getdelim.m4,
	m4/getline.m4, m4/getopt.m4, m4/getpass.m4, m4/gettext.m4,
	m4/getusershell.m4, m4/gnulib-cache.m4, m4/gnulib-comp.m4,
	m4/intmax_t.m4, m4/inttypes-pri.m4, m4/inttypes_h.m4,
	m4/lib-link.m4, m4/longdouble.m4, m4/longlong.m4, m4/mbchar.m4,
	m4/mempcpy.m4, m4/nls.m4, m4/onceonly_2_57.m4, m4/po.m4,
	m4/poll.m4, m4/readutmp.m4, m4/regex.m4, m4/setenv.m4,
	m4/signed.m4, m4/size_max.m4, m4/stdbool.m4, m4/stdint.m4,
	m4/stdint_h.m4, m4/stdio-safer.m4, m4/strdup.m4, m4/strndup.m4,
	m4/strnlen.m4, m4/ulonglong.m4, m4/unistd-safer.m4,
	m4/unlocked-io.m4, m4/xalloc.m4, m4/xgetcwd.m4: Update from gnulib

	* lib/wcwidth.h, m4/absolute-header.m4, m4/getcwd-abort-bug.m4,
	m4/getndelim2.m4, m4/inttypes-h.m4, m4/lock.m4, m4/ssize_t.m4,
	m4/unistd_h.m4, m4/visibility.m4, m4/wcwidth.m4: New files from
	gnulib

	* ftp/extern.h, ftp/ftp.c, ftp/ftp_var.h, ftp/main.c,
	ftp/ruserpass.c, ftpd/auth.c, ftpd/extern.h, ftpd/ftpcmd.y,
	ftpd/ftpd.c, ftpd/pam.c, ftpd/server_mode.c, glob/fnmatch.h,
	glob/glob.c, glob/glob.h, headers/tftpsubs.h, inetd/inetd.c,
	libicmp/ping.h, libinetutils/argcv.h, libinetutils/des_rw.c,
	libinetutils/kcmd.c, libinetutils/krcmd.c,
	libinetutils/tftpsubs.c, libinetutils/ttymsg.c, libls/extern.h,
	libls/fts.c, libls/fts.h, libls/ls.c, libls/print.c,
	libtelnet/auth-proto.h, libtelnet/misc.c, logger/logger.c,
	ping/ping.c, ping/ping6.c, ping/ping_common.c, rcp/extern.h,
	rcp/rcp.c, rexecd/rexecd.c, rlogin/rlogin.c, rlogind/rlogind.c,
	rsh/rsh.c, rshd/rshd.c, talk/talk.c, talkd/talkd.c,
	telnet/commands.c, telnet/externs.h, telnetd/telnetd.c,
	tftp/extern.h, tftp/main.c, tftp/tftp.c, tftpd/tftpd.c,
	uucpd/uucpd.c: Remove __P wrappers, use program_name instead of
	__progname, define it in main (required by error.c)

	* ifconfig/changeif.c, ifconfig/flags.c, ifconfig/ifconfig.c,
	ifconfig/options.c, ifconfig/options.h, ifconfig/printif.c,
	ifconfig/system/hpux.c, ifconfig/system/linux.c,
	ifconfig/system/osf.c, ifconfig/system/solaris.c: Include
	sys/types.h before sys/socket.h and netinet/in.h before
	arpa/inet.h Use program_name instead of __progname.

	* libicmp/icmp_address.c, libicmp/icmp_echo.c,
	libicmp/icmp_timestamp.c: Include sys/types.h before sys/socket.h

	* syslogd/syslogd.c: Use read_utmp instead of manually fiddling
	with utmp(x) subtleties.  Remove __P wrappers, use program_name
	instead of __progname.
	* talkd/process.c: Likewise

2006-07-28  Sergey Poznyakoff  <gray@gnu.org.ua>

	Implement passing client/server data via environment variables,
	based on the patch by Dirk Jagdmann <doj@cubic.org>

	* inetd/inetd.c: New options: --environment, to enable passing
	client/server data via environment variables, and --resolve, to
	resolve IP addresses when doing so.
	(prepenv): New function
	(nextconfig): Allow numeric port values as service names.
	* inetd/inetd.8: Document new options

2006-07-28  Sergey Poznyakoff  <gray@gnu.org.ua>

	* THANKS: Add Dirk Jagdmann

2006-07-25  Alfred M. Szmidt  <ams@gnu.org>

	* doc/inetutils.texi: Updated the license to the GNU Free
	Documentation License.
	(GNU Free Documentation License): New node.
	* doc/fdl.texi: New file.

2006-05-12  Alfred M. Szmidt  <ams@gnu.org>

	* Makefile.am (SUBDIRS): Added `ifconfig'.

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* telnet/Makefile.am (INCLUDES): Add -I$(top_srcdir)/libinetutils
	* telnet/commands.c: Include libinetutils.h
	* telnet/telnet.c: Likewise

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* talkd/talkd.c: Include libinetutils.h

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* talk/Makefile.am (INCLUDES): Add -I$(top_srcdir)/libinetutils
	* talk/get_names.c: Include libinetutils.h

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* syslogd/syslogd.c: Include libinetutils.h

2006-04-20  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	* syslogd/Makefile.am (INCLUDES): Add PATHDEF_KLOG.

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rshd/Makefile.am (INCLUDES): Add -I$(top_srcdir)/libinetutils
	* rshd/rshd.c: Include libinetutils.h

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rlogind/Makefile.am (INCLUDES): Add -I$(top_srcdir)/libinetutils
	* rlogind/rlogind.c: Include libinetutils.h

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* logger/Makefile.am (LDADD): Add libgnu

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libinetutils/libinetutils.h: New file
	* libinetutils/Makefile.am (noinst_HEADERS): Add libinetutils.h

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* inetd/inetd.c (main): Use sigsuspend in favor of sigpause.
	Change proposed by Guillem Jover <guillem@hadrons.org>

2006-04-20  Guillem Jover  <guillem@hadrons.org>

	* ifconfig/Makefile.am (LDADD): Link against gnulib.

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* Makefile.am (INCLUDES): Add -I$(top_srcdir)/libinetutils
	* ftpd/extern.h (logwtmp): Remove prototype
	* ftpd/ftpd.c: Include libinetutils.h

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ftp/main.c [HAVE_READLINE_READLINE_H]: Include
	<readline/readline.h>

	* ftp/Makefile.am (INCLUDES): Add -I$(top_srcdir)/libinetutils
	* ftp/ruserpass.c: Include libinetutils.h and xalloc.h

2006-04-20  Sergey Poznyakoff  <gray@gnu.org.ua>

	* THANKS: Add Guillem Jover
	* configure.ac: Use build-aux as an auxiliary tools directory
	(AC_CHECK_HEADERS): Add readline/readline.h
	* config.rpath: Remove autogenerated file

2006-01-14  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rcp/rcp.c (write_stat_time): Pass modification times first.
	Patch by Tim Adye <T.J.Adye@rl.ac.uk>

2005-12-08  Alfred M. Szmidt  <ams@gnu.org>

	* README: Reformated.  Mention that GNU Inetutils doesn't work on
	Solaris.

2005-12-02  Alfred M. Szmidt  <ams@gnu.org>

	* libinetutils/localhost.c: Include <stdint.h>

2005-12-02  Alfred M. Szmidt  <ams@gnu.org>

	Imported GNUlib module: stdint.

	* lib/Makefile.am, m4/gnulib-cache.m4, m4/gnulib-comp.m4: Updated.
	* m4/stdint.m4, lib/stdint_.h: New files.

2005-12-02  Alfred M. Szmidt  <ams@gnu.org>

	Update from GNUlib.

	* config.rpath, lib/getdelim.c, lib/getdelim.h, lib/mbchar.c,
	lib/mbchar.h, lib/mbuiter.h, lib/memchr.c, lib/pipe-safer.c,
	lib/stdio--.h, lib/strnlen.h, lib/strnlen1.c, lib/strnlen1.h,
	lib/unistd--.h, m4/getdelim.m4, m4/gnulib-cache.m4,
	m4/gnulib-comp.m4, m4/gnulib-tool.m4, m4/mbchar.m4, m4/mbiter.m4,
	m4/mbrtowc.m4, m4/memchr.m4: New files.
	* lib/Makefile.am, lib/dup-safer.c, lib/exitfail.c,
	lib/fd-safer.c, lib/fopen-safer.c, lib/free.c, lib/getcwd.c,
	lib/getcwd.h, lib/getline.c, lib/getline.h, lib/getopt1.c,
	lib/getopt_.h, lib/getpass.c, lib/getusershell.c, lib/malloc.c,
	lib/memcmp.c, lib/memcpy.c, lib/memmove.c, lib/obstack.c,
	lib/obstack.h, lib/poll.c, lib/readutmp.c, lib/realloc.c,
	lib/regcomp.c, lib/regex.c, lib/regex.h, lib/regex_internal.c,
	lib/regex_internal.h, lib/regexec.c, lib/strcase.h,
	lib/strcasecmp.c, lib/strerror.c, lib/strncasecmp.c,
	lib/strndup.c, lib/strnlen.c, lib/unistd-safer.h,
	lib/xalloc-die.c, lib/xgetcwd.c, lib/xmalloc.c, m4/free.m4,
	m4/getcwd.m4, m4/getline.m4, m4/getopt.m4, m4/getpass.m4,
	m4/lib-link.m4, m4/lib-prefix.m4, m4/minmax.m4,
	m4/onceonly_2_57.m4, m4/regex.m4, m4/stdbool.m4,
	m4/stdio-safer.m4, m4/strcase.m4, m4/strndup.m4, m4/strnlen.m4,
	m4/unistd-safer.m4, m4/xgetcwd.m4: Updated from gnulib.
	* lib/getndelim2.c, lib/getndelim2.h, m4/argp.m4,
	m4/getndelim2.m4, m4/gnulib.m4, m4/ssize_t.m4: Removed files.

2005-12-02  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac (gl_MODULES): Removed call to function.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* uucpd/uucpd.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly.
	* uucpd/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* tftpd/tftpd.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly.
	* tftpd/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* tftp/main.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly.
	* tftp/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* telnetd/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* telnet/commands.c: Remove leftover BSD-isms: err, errx, warn,
	warnx, cast to (void) before function calls.  Use GNU error()
	uniformly.
	* telnet/sys_bsd.c: Likewise
	* telnet/telnet.c: Likewise
	* telnet/tn3270.c: Likewise
	* telnet/Makefile.am: Move defines to AM_CPPFLAGS.  Add INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* talkd/table.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly.
	* talkd/talkd.c: Likewise
	* talkd/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* talk/init_disp.c: Remove leftover BSD-isms: err, errx, warn,
	warnx, cast to (void) before function calls.  Use GNU error()
	uniformly.  Signal handlers return RETSIGTYPE.
	* talk/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* syslogd/syslogd.c: Remove leftover BSD-isms: err, errx, warn,
	warnx, cast to (void) before function calls.  Use GNU error()
	uniformly.  Signal handlers return RETSIGTYPE.
	* syslogd/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rshd/rshd.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly.
	Signal handlers return RETSIGTYPE.  Add Shishi support.  Patch by
	Simon Josefsson
	* rshd/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rsh/rsh.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly.
	Signal handlers return RETSIGTYPE.  Add Shishi support.  Patch by
	Simon Josefsson
	* rsh/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rlogind/rlogind.c: Signal handlers return RETSIGTYPE.  Add
	Shishi support based on patch by Simon Josefsson
	* rlogind/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rlogin/rlogin.c: Remove leftover BSD-isms: err, errx, warn,
	warnx, cast to (void) before function calls.  Use GNU error()
	uniformly.  Signal handlers return RETSIGTYPE.  Add Shishi support
	based on patch by Simon Josefsson
	* rlogin/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rexecd/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rcp/rcp.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly
	* rcp/util.c: Likewise.
	* rcp/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ping/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* logger/logger.c: Remove leftover BSD-isms: err, errx, warn,
	warnx, cast to (void) before function calls.  Use GNU error()
	uniformly
	* logger/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libtelnet/auth.c: Signal handlers return RETSIGTYPE Add Shishi
	support.  Patch by Simon Josefsson.
	* libtelnet/auth-proto.h: Add Shishi support.  Patch by Simon
	Josefsson.
	* libtelnet/auth.h: Likewise.
	* libtelnet/enc_des.c: Likewise.
	* libtelnet/encrypt.c: Likewise.
	* libtelnet/encrypt.h: Define SK_OTHER
	* libtelnet/shishi.c: New file
	* libtelnet/Makefile.am (libtelnet_a_SOURCES): Add shishi.c

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libls/Makefile.am: Remove ansi2knr.  Add copyleft header.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libinetutils/daemon.c: Signal handlers return RETSIGTYPE
	* libinetutils/kcmd.c: Do not include <kerberosIV/kparse.h> Add
	Shishi support based on patch by Simon Josefsson
	* libinetutils/krcmd.c: Add Shishi support.  Patch by Simon
	Josefsson.
	* libinetutils/ttymsg.c: Remove leftover BSD-isms: err, errx,
	warn, warnx, cast to (void) before function calls.  Use GNU
	error() uniformly
	* libinetutils/shishi.c: New file
	* libinetutils/Makefile.am (libinetutils_a_SOURCES): Add shishi.c

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* inetd/inetd.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly.
	* inetd/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ifconfig/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.
	* ifconfig/system/Makefile.am: Remove ansi2knr.  Add copyleft
	header.  Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* headers/shishi_def.h: New file.
	* headers/Makefile.am (noinst_HEADERS): Add shishi_def.h

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* gwhois/whois.c (main): Change --version output.
	* gwhois/whois.h: Signal handlers return RETSIGTYPE
	* gwhois/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* glob/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ftpd/conf.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly
	* ftpd/ftpd.c: Likewise
	* ftpd/server_mode.c: Likewise
	* ftpd/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ftp/cmds.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly
	* ftp/ftp.c: Likewise.
	* ftp/main.c: Likewise.
	* ftp/ruserpass.c: Likewise.
	* ftp/domacro.c: Likewise.  Use do while loop instead of goto.
	* ftp/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* doc/Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-10-11  Sergey Poznyakoff  <gray@gnu.org.ua>

	* acinclude.m4: Properly quote arguments to AC_ARG_ENABLE and
	AC_ARG_WITH.  Use AC_HELP_STRING where appropriate.
	* configure.ac: Likewise.  Add --with-shishi options.  Patch by
	Simon Josefsson
	* THANKS: Add Simon Joseffson
	* lib/getpass.c: Remove leftover BSD-isms: err, errx, warn, warnx,
	cast to (void) before function calls.  Use GNU error() uniformly
	* Makefile.am: Remove ansi2knr.  Add copyleft header.  Update
	INCLUDES.

2005-09-22  Sergey Poznyakoff  <gray@gnu.org.ua>

	* whois/main.c: Changed FSF postal mail address.

2005-09-22  Alfred M. Szmidt  <ams@gnu.org>

	* uucpd/uucpd.c: #include <getopt.h>
	(usage): New function.
	(long_options, short_options, usage_str): New variables.
	(main): Added new options `--help' and `--version'.

2005-09-22  Alfred M. Szmidt  <ams@gnu.org>

	* tftpd/tftpd.c: (usage): New function.
	(long_options, short_options, usage_str): New variables.
	(main): Added new options `--help' and `--version'.

2005-09-22  Alfred M. Szmidt  <ams@gnu.org>

	* talk/talk.c: #include <getopt.h>
	(usage): New function.
	(long_options, short_options, usage_str): New variables.
	(main): Added new options `--help' and `--version'.

2005-09-22  Alfred M. Szmidt  <ams@gnu.org>

	* rexecd/rexecd.c: #include <getopt.h>
	(usage): New function.
	(long_options, short_options, usage_str): New variables.
	(main): Added new options `--help' and `--version'.

2005-09-22  Sergey Poznyakoff  <gray@gnu.org.ua>

	* inetd/inetd.c: Updated FSF postal mail address.

2005-09-22  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ifconfig/changeif.c, ifconfig/flags.c, ifconfig/flags.h,
	ifconfig/if_index.c, ifconfig/if_index.h, ifconfig/ifconfig.c,
	ifconfig/ifconfig.h, ifconfig/options.c, ifconfig/options.h,
	ifconfig/printif.c, ifconfig/printif.h, ifconfig/system.h,
	ifconfig/system/generic.c, ifconfig/system/generic.h,
	ifconfig/system/hpux.c, ifconfig/system/hpux.h,
	ifconfig/system/linux.c, ifconfig/system/linux.h,
	ifconfig/system/osf.c, ifconfig/system/osf.h,
	ifconfig/system/qnx.c, ifconfig/system/qnx.h,
	ifconfig/system/solaris.c, ifconfig/system/solaris.h: Updated FSF
	postal mail address.

2005-09-22  Alfred M. Szmidt  <ams@gnu.org>

	* gwhois/whois.c (main): Output version information to stdout.
	(usage): Output usage information to stdout.

2005-09-22  Alfred M. Szmidt  <ams@gnu.org>

	* autogen.sh: Don't pass `-s' to autoreconf.

2005-09-08  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ftp/main.c (getcmd, help): Moved to cmdtab.c
	* ftp/cmdtab.c (getcmd, help): Moved from main.c
	* ftp/extern.h (cmdtab): Remove declaration

2005-08-27  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/ftp_var.h: #include "extern.h" at the end.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* telnetd/pty.c, telnetd/telnetd.c, telnetd/telnetd.h,
	telnetd/term.c, telnetd/utility.c: Updated FSF postal mail
	address.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* talkd/acl.c, talkd/announce.c, talkd/intalkd.h, talkd/print.c,
	talkd/process.c, talkd/table.c, talkd/talkd.c: Updated FSF postal
	mail address.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* rlogind/rlogind.c: Updated FSF postal mail address.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ping/ping.c, ping/ping6.c, ping/ping6.h, ping/ping_address.c,
	ping/ping_common.c, ping/ping_common.h, ping/ping_echo.c,
	ping/ping_router.c, ping/ping_timestamp.c: Updated FSF postal mail
	address.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libtelnet/kerberos5.c: Updated FSF postal mail address.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libinetutils/xalloc_die.c: Updated FSF postal mail address.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libicmp/icmp.h, libicmp/icmp_address.c, libicmp/icmp_cksum.c,
	libicmp/icmp_echo.c, libicmp/icmp_timestamp.c, libicmp/libping.c,
	libicmp/ping.h: Updated FSF postal mail address.
	* libicmp/Makefile.am: Remove ansi2knr.  Add copyleft header.
	Update INCLUDES.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ftpd/logwtmp.c: Updated FSF postal mail address.

2005-07-31  Sergey Poznyakoff  <gray@gnu.org.ua>

	* COPYING: Updated FSF postal mail address.
	* lib/Makefile.am: Removed unused argp
	* lib/getcwd.c, lib/getcwd.h, lib/regex.c, lib/regex.h
	m4/getcwd-path-max.m4, m4/getcwd.m4, m4/getopt.m4, m4/gnulib.m4
	m4/poll.m4, m4/regex.m4, m4/size_max.m4: Updated from gnulib
	* lib/dup-safer.c, lib/fd-safer.c, lib/fopen-safer.c,
	lib/regcomp.c, lib/regex_internal.c, lib/regex_internal.h,
	lib/regexec.c, lib/size_max.h, lib/stdio-safer.h,
	lib/unistd-safer.h, m4/glibc2.m4, m4/minmax.m4, m4/stdio-safer.m4,
	m4/unistd-safer.m4: Likewise
	* lib/argp-ba.c, lib/argp-eexst.c, lib/argp-fmtstream.c,
	lib/argp-fmtstream.h, lib/argp-fs-xinl.c, lib/argp-help.c,
	lib/argp-namefrob.h, lib/argp-parse.c, lib/argp-pv.c,
	lib/argp-pvh.c, lib/argp-xinl.c, lib/argp.h: Removed unused files.

2005-07-30  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ping/ping.c (main, ping_run): Handle ping intervals with
	millisecond precision.

2005-07-30  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libicmp/libping.c (ping_init): Use PING_DEFAULT_INTERVAL
	* libicmp/ping.h (PING_INTERVAL): Renamed to to
	PING_DEFAULT_INTERVAL
	(PING_PRECISION, PING_SET_INTERVAL): New defines

2005-07-29  Alfred M. Szmidt  <ams@gnu.org>

	* ping/ping_common.h (ping_cvt_number): Prototype restored (but
	with updated types).

	* ping/ping_common.c (ping_cvt_number): Changed return type to
	size_t, changed type of argument maxval to size_t.

	* ping/ping.c (ping_cvt_number): Removed (once again).

2005-07-29  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ping/ping.c (main): Changed types of count and interval
	(ping_cvt_number): Restored function.  atoi should not be used to
	convert to size_t.  According to POSIX "The atoi() function is
	subsumed by strtol() but is retained because it is used
	extensively in existing code.  If the number is not known to be in
	range, strtol() should be used because atoi() is not required to
	perform any error checking.
	* ping/ping_common.h (ping_cvt_number): Remove prototype

2005-07-29  Sergey Poznyakoff  <gray@gnu.org.ua>

	* libicmp/libicmp/libping.c (ping_set_count, ping_set_interval)
	(ping_set_packetsize): Second argument is size_t
	* libicmp/libicmp/ping.h: Likewise

2005-07-29  Sergey Poznyakoff  <gray@gnu.org.ua>

	* ftp/extern.h: Reverted changes made 2005-05-01.  Initializing a
	scalar type (struct cmd *cmdtab) with a vector is an error, which
	leads to coredump when trying to access cmdtab.
	* ftp/cmdtab.c: Likewise

2005-07-29  Sergey Poznyakoff  <gray@gnu.org.ua>

	* configure.ac: Remove AC_AIX, AC_MINIX, these are called by
	gl_USE_SYSTEM_EXTENSIONS, invoked by gl_EARLY
	* lib/Makefile.am: Updated
	* lib/alloca_.h, lib/allocsa.c, lib/allocsa.h, lib/argp-ba.c,
	lib/argp-eexst.c, lib/argp-fmtstream.c, lib/argp-fmtstream.h,
	lib/argp-fs-xinl.c, lib/argp-help.c, lib/argp-namefrob.h,
	lib/argp-parse.c, lib/argp-pv.c, lib/argp-pvh.c, lib/argp-xinl.c,
	lib/argp.h, lib/asnprintf.c, lib/error.c, lib/error.h, lib/exit.h,
	lib/exitfail.c, lib/exitfail.h, lib/getcwd.c, lib/getcwd.h,
	lib/getline.c, lib/getline.h, lib/getndelim2.c, lib/getndelim2.h,
	lib/getopt.c, lib/getopt1.c, lib/getopt_.h, lib/getopt_int.h,
	lib/getpass.c, lib/getpass.h, lib/gettext.h, lib/getusershell.c,
	lib/malloc.c, lib/memcmp.c, lib/memcpy.c, lib/mempcpy.c,
	lib/mempcpy.h, lib/memset.c, lib/minmax.h, lib/obstack.c,
	lib/obstack.h, lib/poll.c, lib/poll_.h, lib/printf-args.c,
	lib/printf-args.h, lib/printf-parse.c, lib/printf-parse.h,
	lib/readutmp.c, lib/readutmp.h, lib/realloc.c, lib/regex.c,
	lib/regex.h, lib/setenv.c, lib/setenv.h, lib/snprintf.c,
	lib/snprintf.h, lib/stdbool_.h, lib/strcase.h, lib/strcasecmp.c,
	lib/strchrnul.c, lib/strchrnul.h, lib/strdup.c, lib/strdup.h,
	lib/strerror.c, lib/strndup.clib/strndup.h, lib/strnlen.c,
	lib/sysexit_.h, lib/unlocked-io.h, lib/unsetenv.c,
	lib/vasnprintf.c, lib/vasnprintf.h, lib/vsnprintf.c,
	lib/vsnprintf.h, lib/xalloc.h, lib/xgetcwd.c, lib/xgetcwd.h,
	lib/xmalloc.c, lib/xsize.h: Updated from the recent gnulib

	* m4/alloca.m4, m4/argp.m4, m4/d-ino.m4, m4/error.m4,
	m4/exitfail.m4, m4/extensions.m4, m4/getcwd-path-max.m4,
	m4/getcwd.m4, m4/getline.m4, m4/getndelim2.m4, m4/getopt.m4,
	m4/getpass.m4, m4/gettext.m4, m4/getusershell.m4, m4/gnulib.m4,
	m4/intdiv0.m4, m4/intmax.m4, m4/inttypes-pri.m4, m4/inttypes.m4,
	m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-link.m4,
	m4/lib-prefix.m4, m4/memcmp.m4, m4/memcpy.m4, m4/memmove.m4,
	m4/memset.m4, m4/nls.m4, m4/obstack.m4, m4/po.m4, m4/poll.m4,
	m4/printf-posix.m4, m4/progtest.m4, m4/readutmp.m4, m4/regex.m4,
	m4/restrict.m4, m4/snprintf.m4, m4/strchrnul.m4, m4/strdup.m4,
	m4/strerror.m4, m4/strerror_r.m4, m4/strndup.m4, m4/strnlen.m4,
	m4/sysexits.m4, m4/unlocked-io.m4, m4/vsnprintf.m4, m4/xalloc.m4,
	m4/xgetcwd.m4: Updated from the recent gnulib

2005-06-19  Jeroen Dekkers  <jeroen@dekkers.cx>

	* telnetd/telnetd.c (telnetd_setup): Add support for IPv6.

2005-06-19  Jeroen Dekkers  <jeroen@dekkers.cx>

	* telnet/commands.c: Include <arpa/telnet.h>.  Remove variable tos
	and _hostname.
	(tn): Rewritten.  Removed support for source routing and added
	support for IPv6.
	(sourceroute): Function removed.
	* telnet/main.c (help): Add "-4" and "-6", remove "-S".
	(long_options): Add "ipv4" and "ipv6", remove "tos".
	(main): New variable family.  Implement "-4" and "-6" options and
	remove "-S" option.

2005-06-19  Jeroen Dekkers  <jeroen@dekkers.cx>

	* ping/Makefile.am: Add ping6.
	(ping_SOURCES): Add ping_common.c and ping_common.h.
	* ping/ping6.c: New file.
	* ping/ping6.h: Likewise.
	* ping/ping_common.c: Likewise.
	* ping/ping_common.h: Likewise.
	* ping/ping.c: Include "ping_common.h".  Remove __P macro in
	prototypes.
	(ping_cvt_number, init_data_buffer, decode_pattern, show_license):
	Move to ...
	* ping/ping_common.c: ... here.
	* ping/ping_echo.c: Include "ping_common.h".
	(tvsub, nabs, nsqrt): Move to ...
	* ping/ping_common.c: ... here.

2005-06-19  Jeroen Dekkers  <jeroen@dekkers.cx>

	* inetd/inetd.c: Move global variable sp to...
	(nextconfig): Here.  Only use the getservbyname code when
	[!IPV6].  Remove unused variable i.
	(struct servtab): Change type of to pid_t.  Add se_family.
	[IPV6] Add se_v4mapped.  Change se_ctrladdr to struct
	sockaddr_storage.
	(setup): Add support for IPv6.
	(INETD_FIELDS_MIN): Define to 6.
	(getconfigent): Add support for IPv6.  Remove unused variable arg.
	(set_proc_title): Add support for IPv6.
	(echo_dg): Likewise.
	(chargen_dg): Likewise.
	(machtime_dg): Likewise.
	(daytime_dg): Likewise.

2005-06-19  Jeroen Dekkers  <jeroen@dekkers.cx>

	* doc/inetd.texi (inetd): Document IPv6 configuration options.

2005-06-19  Jeroen Dekkers  <jeroen@dekkers.cx>

	* acinclude.m4 (IU_ENABLE_FOO): Use AS_HELP_STRING.

	* configure.ac: Add checks for IPv6.

2005-05-01  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/cmdtab.c (cmdtab): Changed type to pointer.
	* ftp/extern.h (cmdtab): Updated extern declaration.

2005-01-31  Alfred M. Szmidt  <ams@gnu.org>

	* Makefile.am (AUTOMAKE_OPTIONS): Require automake 1.9.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* tftpd/tftpd.c (TIMEOUT) [!HAVE_DECL_STRERROR]: Removed extern
	declaration for strerror.

	* tftpd/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* tftp/tftp.c: [!HAVE_DECL_ERRNO]: Removed extern declaration for
	errno.
	[!HAVE_DECL_STRERROR]: Removed extern declaration for strerror.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* telnetd/utility.c (terminaltypeok): Just do tgetent if
	HAVE_LIBREADLINE is defined.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* telnet/telnet.c (init_term): New variable err.  Only do tgetent
	if we HAVE_LIBREADLINE is defined.
	(termbuf) [!TERMCAP]: Removede termbuf and ttytype.

	* telnet/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* talkd/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* syslogd/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* rshd/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* rsh/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* rlogind/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* rlogin/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* rexecd/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* rcp/rcp.c [!HAVE_DECL_STRERROR]: Removed extern declaration for
	strerror.

	* rcp/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* libinetutils/Makefile.am (noinst_HEADERS, EXTRA_DIST): New
	variables.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* inetd/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* headers/Makefile.am (noinst_HEADERS): New variable.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* gwhois/Makefile.am (LDADD): Added `-L../lib -lgnu'.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* ftpd/ftpd.c (retrieve): Don't use ST_BLKSIZE.

	* ftpd/extern.h: Include <sys/types.h>

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/ftp.c (recvrequest): Removed unused variable `st'.  Don't
	use ST_BLKSIZE when setting blksiz, just set blksiz to BUFSIZ
	unconditionally.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* configure.ac: Bump version to 1.4.3.

2005-01-22  Alfred M. Szmidt  <ams@gnu.org>

	* lib/.cvsignore: New file.

	* configure.ac: Don't check for __P.  Removed almost all
	references to AH_BOTTOM, the only one that is left is so that we
	don't have to include <confpaths.h> everywhere.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* uucpd/uucpd.c (doit): Use `crypt' instead of `CRYPT'.

	* uucpd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* tftpd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.  Added `-I$(top_srcdir)/headers'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* tftp/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.  Added `-I$(top_srcdir)/headers' and
	`-I$(top_srcdir)/lib'.
	(LDADD): Added `-L../lib -lgnu'.

	* tftp/main.c: Use "xalloc.h" instead of <xalloc.h> when including
	it.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* telnetd/telnetd.h: Include "xalloc.h"

	* telnetd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include', and `-I$(top_srcdir)'.
	(LDADD): Added `-L../lib -lgnu'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* telnet/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* talkd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* talk/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* syslogd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* rshd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* rsh/Makefile.am (INCLUDES): Removed `-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* rlogind/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* rlogin/Makefile.am (INCLUDES): Variable removed.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* rexecd/rexecd.c (endpwent): Use `crypt' instead of `CRYPT'.

	* rexecd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* rcp/Makefile.am (INCLUDES): Removed `-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* ping/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.
	(LDADD): Added `-L../lib -lgnu'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* logger/Makefile.am (INCLUDES): Variable removed.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* libtelnet/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* libls/Makefile.am (INCLUDES): Variable removed.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* libinetutils/__progname.c, libinetutils/err.c,
	libinetutils/forkpty.c, libinetutils/getopt.c,
	libinetutils/getopt.h, libinetutils/getopt1.c,
	libinetutils/getpass.c, libinetutils/gettext.h,
	libinetutils/getusershell.c, libinetutils/herror.c,
	libinetutils/hstrerror.c, libinetutils/iruserok.c,
	libinetutils/login.c, libinetutils/login_tty.c,
	libinetutils/logout.c, libinetutils/malloc.c,
	libinetutils/memcmp.c, libinetutils/memcpy.c,
	libinetutils/memmove.c, libinetutils/memset.c,
	libinetutils/obstack.c, libinetutils/obstack.h,
	libinetutils/openpty.c, libinetutils/opieclient.c,
	libinetutils/pathmax.h, libinetutils/poll.c,
	libinetutils/readstream.c, libinetutils/realloc.c,
	libinetutils/regex.c, libinetutils/regex.h, libinetutils/revoke.c,
	libinetutils/ruserok.c, libinetutils/setenv.c,
	libinetutils/setenv.h, libinetutils/snprintf.c,
	libinetutils/snprintf.h, libinetutils/strcasecmp.c,
	libinetutils/strdup.c, libinetutils/strerror.c,
	libinetutils/strsignal.c, libinetutils/stub_tgetent.c,
	libinetutils/syslog.c, libinetutils/waitpid.c,
	libinetutils/xalloc.h, libinetutils/xgetcwd.c,
	libinetutils/getcwd.h, libinetutils/xmalloc.c,
	libinetutils/xstrdup.c: Files removed.

	* libinetutils/localhost.c (localhost): Removed extern declaration
	of `xrealloc'.  Use `realloc' instead of `xrealloc'.

	* libinetutils/xalloc_die.c: New file.
	* libinetutils/Makefile.am (libinetutils_a_SOURCES): Added
	`xalloc_die.c'.

	* libinetutils/Makefile.am (libinetutils_a_SOURCES): Removed
	xmalloc.c, xstrdup.c, and xgetcwd.c.
	(libinetutils_a_LIBADD): Removed `@LIBOBJS@'.  Added
	`$(top_builddir)/lib/libgnu.a'.
	(noinst_HEADERS, EXTRA_DIST): Variable removed.
	(INCLUDES): Removed `-I$(top_builddir)/include'.  Added
	`-I$(top_srcdir)/headers', and `-I$(top_srcdir)/lib'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* libicmp/Makefile.am (INCLUDES): Variable removed.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* inetd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* headers/Makefile.am (dist-hook): Target removed.
	(header_dirs): Variable removed.
	(EXTRA_DIST): Variable removed.

	* headers/confpaths.h.in, headers/crypt.h, headers/err.h,
	headers/getopt.h, headers/obstack.h, headers/osockaddr.h,
	headers/paths.h, headers/poll.h, headers/syslog-int.h,
	headers/arpa/DISTFILES, headers/arpa/ftp.h, headers/arpa/telnet.h,
	headers/arpa/tftp.h, headers/protocols/DISTFILES,
	headers/protocols/talkd.h: Files removed.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* gwhois/Makefile.am (INCLUDES): Variable removed.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* glob/Makefile.am (INCLUDES): Variable removed.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* ftpd/auth.c (auth_pass): Use `crypt' instead of `CRYPT'.

	* ftpd/Makefile.am (INCLUDES): Removed
	`-I$(top_builddir)/include'.
	(LDADD): Added `-L../lib -lgnu'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/Makefile.am (INCLUDES): Removed `-I$(top_builddir)/include'.
	(LDADD): Added `-L../lib -lgnu'.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	Imported files from gnulib.

	* lib/Makefile.am, lib/alloca.c, lib/alloca_.h, lib/allocsa.c,
	lib/allocsa.h, lib/allocsa.valgrind, lib/argp-ba.c,
	lib/argp-eexst.c, lib/argp-fmtstream.c, lib/argp-fmtstream.h,
	lib/argp-fs-xinl.c, lib/argp-help.c, lib/argp-namefrob.h,
	lib/argp-parse.c, lib/argp-pv.c, lib/argp-pvh.c, lib/argp-xinl.c,
	lib/argp.h, lib/asnprintf.c, lib/error.c, lib/error.h, lib/exit.h,
	lib/exitfail.c, lib/exitfail.h, lib/getcwd.c, lib/getcwd.h,
	lib/getline.c, lib/getline.h, lib/getndelim2.c, lib/getndelim2.h,
	lib/getopt.c, lib/getopt1.c, lib/getopt_.h, lib/getopt_int.h,
	lib/getpass.c, lib/getpass.h, lib/gettext.h, lib/getusershell.c,
	lib/malloc.c, lib/memcmp.c, lib/memcpy.c, lib/memmove.c,
	lib/mempcpy.c, lib/mempcpy.h, lib/memset.c, lib/minmax.h,
	lib/obstack.c, lib/obstack.h, lib/poll.c, lib/poll_.h,
	lib/printf-args.c, lib/printf-args.h, lib/printf-parse.c,
	lib/printf-parse.h, lib/readutmp.c, lib/readutmp.h, lib/realloc.c,
	lib/regex.c, lib/regex.h, lib/setenv.c, lib/setenv.h,
	lib/snprintf.c, lib/snprintf.h, lib/stdbool_.h, lib/strcase.h,
	lib/strcasecmp.c, lib/strchrnul.c, lib/strchrnul.h, lib/strdup.c,
	lib/strdup.h, lib/strerror.c, lib/strncasecmp.c, lib/strndup.c,
	lib/strndup.h, lib/strnlen.c, lib/sysexit_.h, lib/unlocked-io.h,
	lib/unsetenv.c, lib/vasnprintf.c, lib/vasnprintf.h,
	lib/vsnprintf.c, lib/vsnprintf.h, lib/xalloc.h, lib/xgetcwd.c,
	lib/xgetcwd.h, lib/xmalloc.c, lib/xsize.h, m4/alloca.m4,
	m4/allocsa.m4, m4/argp.m4, m4/codeset.m4, m4/d-ino.m4,
	m4/eealloc.m4, m4/eoverflow.m4, m4/error.m4, m4/exitfail.m4,
	m4/extensions.m4, m4/getcwd-path-max.m4, m4/getcwd.m4,
	m4/getline.m4, m4/getndelim2.m4, m4/getopt.m4, m4/getpass.m4,
	m4/gettext.m4, m4/getusershell.m4, m4/glibc21.m4, m4/gnulib.m4,
	m4/iconv.m4, m4/intdiv0.m4, m4/intmax.m4, m4/intmax_t.m4,
	m4/inttypes-pri.m4, m4/inttypes.m4, m4/inttypes_h.m4,
	m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4,
	m4/lib-prefix.m4, m4/longdouble.m4, m4/longlong.m4, m4/memcmp.m4,
	m4/memcpy.m4, m4/memmove.m4, m4/mempcpy.m4, m4/memset.m4,
	m4/nls.m4, m4/obstack.m4, m4/onceonly_2_57.m4, m4/po.m4,
	m4/poll.m4, m4/printf-posix.m4, m4/progtest.m4, m4/readutmp.m4,
	m4/regex.m4, m4/restrict.m4, m4/setenv.m4, m4/signed.m4,
	m4/size_max.m4, m4/snprintf.m4, m4/ssize_t.m4, m4/stdbool.m4,
	m4/stdint_h.m4, m4/strcase.m4, m4/strchrnul.m4, m4/strdup.m4,
	m4/strerror.m4, m4/strerror_r.m4, m4/strndup.m4, m4/strnlen.m4,
	m4/sysexits.m4, m4/uintmax_t.m4, m4/ulonglong.m4,
	m4/unlocked-io.m4, m4/vasnprintf.m4, m4/vsnprintf.m4,
	m4/wchar_t.m4, m4/wint_t.m4, m4/xalloc.m4, m4/xgetcwd.m4,
	m4/xsize.m4: New files.

2005-01-21  Alfred M. Szmidt  <ams@gnu.org>

	* confpaths.h.in: New file.

	* Makefile.am (ACLOCAL_AMFLAGS): New variable.
	(SUBDIRS): Added lib.

	* configure.ac: Moved AC_PROG_CC check up a bit eariler and added
	gl_EARLY directly after it.  Call gl_MODULES and gl_INIT after
	inital program checks.  Removed all usage of AC_LIBOBJ.  Don't
	check for herror, strcasecmp, strsignal, waitpid, and revoke.
	Removed all references to LINK_POLL_H and LINK_SYSLOG_INIT_H.
	Removed checks for verrx, __progname, login, logout, logwtmp,
	openpty, forkpty, ruserok, iruserok, and login_tty.  Removed check
	for libutil.

	* configure.ac: Use <confpaths.h> instead of
	<include/confpaths.h>.
	(AC_CONFIG_FILES): Added lib/Makefile.  Changed
	`include/confpaths.h:headers/confpaths.h.in' to
	`confpaths.h:confpaths.h.in'.

	* acinclude.m4 (IU_CONFIG_LINKS): Function removed.
	* configure.ac: Removed all references to IU_CONFIG_LINKS.

2005-01-20  Alfred M. Szmidt  <ams@gnu.org>

	* ping/ping.c: Comply with GCS.
	(init_data_buffer): Use xmalloc().
	(show_usage): Print the "report bugs" string as all other GNU
	programs do.

2005-01-20  Alfred M. Szmidt  <ams@gnu.org>

	* ping/ping.c: Include <stdbool.h>
	(ping_cvt_number): Function removed.
	(main): Store the values for -c, -i and -t in variables, and don't
	use `ping_cvt_number' to check if the arguments to an option are
	valid, do it manually.  Set them accordingly after ping_init() is
	done.

	* ping/ping.c (main): Changed type of `is_root' to `bool'.  Update
	all usage accordingly.

	* ping/ping.c (main): Moved ping startup code to after the parsing
	of the command line.  (and no, this should not be done before any
	command line parsing!)

2005-01-20  Alfred M. Szmidt  <ams@gnu.org>

	* libicmp/libping.c: Comply with GCS.
	(_ping_packetsize): Rewritten.

2005-01-13  Alfred M. Szmidt  <ams@gnu.org>

	* ftp/cmds.c (setpeer): Changed type of PORT to `int'.  Check that
	the port number isn't strictly greater than 65535.

2004-12-28  Simon Josefsson  <jas@extundo.com>

	* inetd/Makefile.am (INCLUDES): Fix typo.

2004-12-28  Alfred M. Szmidt  <ams@gnu.org>

	* ftpd/ftpd.c (off_to_str): Don't write out of bounds.  From
	<uchiyama@s-lab.com>.

2004-12-28  Alfred M. Szmidt  <ams@gnu.org>

	* NEWS: Added news entries for 1.4.3.  Based on suggestions from
	Jeff Bailey and Simon Josefsson.

2004-09-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* tftp/Makefile.am (LDADD): Use `$(top_srcdir)' instead of
	relative path.
	(INCLUDES): Search for headers in `$(top_srcdir)/libinetutils'
	instead of `$(top_builddir)/libinetutils'.

2004-09-23  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* tftp/Makefile.am (INCLUDES): Add libinetutils
	* tftp/main.c: Fixed possible memory overruns.
	(setpeer): Fixed coredump on hitting return after '(to)' prompt.
	Fixed indentation.
	* tftp/tftp.c: Fixed indentation.

2004-08-13  Jeff Bailey  <jbailey@raspberryginger.com>

	* syslogd/syslogd.c: Fix disable forwarding option.

	Patch by Anthony Awtrey.

2004-07-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rshd/rshd.c (doit): Use cached copy of hp->h_name, since it may
	be overwritten by local_domain().  Fix proposed by Andrew Klossner
	<andrew@cesa.opbu.xerox.com> and Martin J.  Evans
	<martin@easysoft.com>.

2004-07-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rexecd/rexecd.c (doit): Added support for shadow suite.
	Proposed by Andrew Klossner <andrew@cesa.opbu.xerox.com>

2004-07-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rcp/Makefile.am: Conditional install-exec-hook

2004-06-16  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rsh/rsh.c (short_options): Prefix with '+' to disable reordering
	by getopt_long.  Proposed by Todd R.  Eigenschink
	<todd@tekinteractive.com>
	* rsh/Makefile.am: Conditional install-exec-hook

2004-06-16  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rlogin/rlogin.c: Handle ^S/^Q without using -8:
	(ixon_state): New variable
	(mode): Save and restore ixon state.  Patch by Todd R.
	Eigenschink <todd@tekinteractive.com>
	* rlogin/Makefile.am: Conditional install-exec-hook

2004-03-03  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ping/ping.c (ping_cvt_number): Take an additional parameter
	indicating whether zero value is allowed.
	* ping/Makefile.am: Conditional install-exec-hook

2003-11-10  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ping/ping.c (ping_cvt_number): New function.
	(main): Check numeric options for validity.
	* ping/ping_echo.c: Rewritten diagnostic output.  Use original
	returned IP header.
	* ping/ping_impl.h (PING_MAX_DATALEN): New define.

2003-11-10  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libicmp/libping.c (ping_recv): Check icmp ID only for replies.
	Use more detailed check for other packet types.

2003-11-01  Jeff Bailey  <jbailey@raspberryginger.com>

	* ftp/ftp_var.h (MAXLINE): New define.  Define line and argbuf in
	terms of MAXLINE.

	* ftp/main.c: Make sure line from readline isn't larger than
	MAXLINE.

	Patch from John Hasler.

2003-10-24  Marcus Brinkmann  <marcus@gnu.org>

	* ifconfig/options.c (PARSE_OPT_SET_ADDR): Fix macro for gcc 3.3.
	(PARSE_OPT_SET_INT): Likewise.

2003-09-02  Marcus Brinkmann  <marcus@gnu.org>

	* syslogd/syslogd.c (init): Fix long line support.  Submitted by
	Julian Gilbey <jdg@debian.org>.

2003-08-29  Marcus Brinkmann  <marcus@gnu.org>

	* syslogd/syslogd.c (init): Use strchr instead memchr.  Skip
	whitespace at the beginning of the next part of a continued line.

2003-08-29  Jeff Bailey  <jbailey@raspberryginger.com>

	* inetd/inetd.c: Create a PID file.
	(Patch thanks to Robert Millan)

	* inetd/Makefile.am (INCLUDES): Use PATHDEF_INETDPID

2003-11-11  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* inetd/inetd.c: Signal handling rewritten.

2003-11-11  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* inetd/inetd.c: Use argcv_get to parse configuration files.
	Improved config error diagnostics.  Removed obvious bsdisms.

2003-08-29  Jeff Bailey <jbailey@raspberryginger.com>

	* paths: Support PATH_INETDPID.
	(Patch from Robert Millan)

2004-09-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* acinclude.m4 (IU_LIB_NCURSES): Set LIBNCURSES to "" if we didn't
	find any headers for ncurses.

2004-06-16  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* configure.ac: Check for termcap before checking for readline,
	since the latter might depend on the former.  Patch by Todd R.
	Eigenschink <todd@tekinteractive.com>
	* acinclude.m4 (IU_ENABLE_FOO): Define $1_INSTALL_HOOK
	(IU_CHECK_KRB5): Quote the definition

	* THANKS: Added Todd R. Eigenschink

2004-01-30  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* acinclude.m4 (IU_CONFIG_LINKS): New macro
	* configure.ac: Use IU_CONFIG_LINKS.  Raised autoconf requirement
	to 2.59
	* Makefile.am: Require automake 1.8

	* headers/Makefile.am: Fixed disthook
	* headers/arpa/DISTFILES: Added to the repository
	* headers/protocols/DISTFILES: Likewise

2003-09-28  Alfred M. Szmidt  <ams@kemisten.nu>

	* acinclude.m4 (IU_CONFIG_PATHS): New variables `IU_UCASE' and
	`iu_lcase'.

2003-05-24  Alain Magloire

	* libinetutils/snprintf.c: Change to be under LGPL not GPL.
	(vsnprintf): implement "%lld", "%qd", "%Lg"
	* libinetutils/snprintf.h: New macro LONG_LONG, LONG_DOUBLE
	default to long long, long double.

2003-05-24  Alain Magloire

	* configure.ac: New check AC_CHECK_TYPES(long long, long dougle).

2003-05-21  Sergey Poznyakoff

	* syslogd/syslogd.c (main): Call init before opening the sockets.
	(Thanks Peter Rehley <peter@rehley.net> for the patch)
	(logmsg, cfline): Fixed handling of INTERNAL_NOPRI.

2003-05-21  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libinetutils/libinetutils/ttymsg.c (ttymsg): Bugfix: typecast is
	not a valid lvalue

2003-04-21  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ping/ping.c (ping_run): Bugfix.  Thanks Jim Balter
	<Jim.Balter@cw.com> for the patch.

2003-04-21  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libinetutils/setenv.c: Provide an extern declaration of environ
	if necessary
	* libinetutils/xmalloc.c: Use err() instead of error().

2003-04-21  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libicmp/libping.c (ping_recv): Placed checksum and id test
	before the switch.

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* telnetd/telnetd.c (telnetd_setup): Use socklen_t.

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* talk/display.c (display): Allow use of 8-bit ascii.

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* rshd/Makefile.am: Added AUTHLIBS to LDADD

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* rsh/rsh.c (dst_realm_buf): Typo.
	* rsh/Makefile.am: Added AUTHLIBS to LDADD

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* rlogind/Makefile.am: Added AUTHLIBS to LDADD
	* rlogind/rlogind.c: Use KRB5 instead of KERBEROS_V

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* rlogin/rlogin.c (dst_realm_buf): Typo.
	* rlogin/Makefile.am: Added AUTHLIBS to LDADD

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* rcp/Makefile.am: Added AUTHLIBS to LDADD
	* rcp/rcp.c (dst_realm_buf): Typo.

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* ping/ping.c: Bugfix: ping.ping_count means the maximum number of
	packets to send.
	* ping/ping_echo.c (nabs): New function.

2003-04-05  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* libinetutils/Makefile.am: Added malloc.c and realloc.c
	* libinetutils/xmalloc.c: Removed checks for HAVE_MALLOC and
	HAVE_REALLOC: configure takes care that malloc and realloc be
	always POSIX-compliant.

2003-04-05  Sergey Poznyakoff  <gray@gnu.org>

	* acinclude.m4 (IU_CHECK_KRB5): Check for libresolv.  Minor
	bugfix: LIBS and LDFLAGS were not properly restored.
	* configure.ac: Removed KERBEROS_IV and KERBEROS_V defines.  Added
	check for socklen_t.

2003-02-08  Simon Josefsson  <jas@extundo.com>

	* telnet/commands.c (tn): Don't set hostname to DNS canonicalized
	value.  Attackers may control DNS and fool the Kerberos
	authentication code to use the wrong realm for the server, and
	consequently the wrong KDC for the server, which the attackers
	could also control.  Ultimately the attacker can fool the server
	authentication check in the client.

2003-01-15  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ping/Makefile.am: Removed libm dependency.
	* ping/ping_echo.c: Removed call to sqrt.

2002-12-22  Jeff Bailey  <jbailey@gnu.org>

	* libinetutils/Makefile.am: Include new files in dist rules.

2002-12-22  Jeff Bailey  <jbailey@gnu.org>

	* configure.ac: Bump version to 1.4.2

	* NEWS: Update for inetutils 1.4.2

2002-12-11  Jeff Bailey  <jbailey@gnu.org>

	* libinetutils/getopt.h: New file from Gnulib CVS
	* libinetutils/obstack.h: New file from Gnulib CVS
	* libinetutils/setenv.h: New file from Gnulib CVS
	* libinetutils/gettext.h: New file from Gnulib CVS
	* libinetutils/xalloc.h: New file from Gnulib CVS
	* libinetutils/xgetcwd.h: New file from Gnulib CVS
	* libinetutils/malloc.c: New file from Gnulib CVS
	* libinetutils/realloc.c: New file from Gnulib CVS
	* libinetutils/getopt.c: Update from Gnulib CVS
	* libinetutils/getopt1.c: Update from Gnulib CVS
	* libinetutils/getpass.c: Update from Gnulib CVS
	* libinetutils/getusershell.c: Update from Gnulib CVS
	* libinetutils/memcmp.c: Update from Gnulib CVS
	* libinetutils/memcpy.c: Update from Gnulib CVS
	* libinetutils/memmove.c: Update from Gnulib CVS
	* libinetutils/memset.c: Update from Gnulib CVS
	* libinetutils/obstack.c: Update from Gnulib CVS
	* libinetutils/pathmax.h: Update from Gnulib CVS
	* libinetutils/setenv.c: Update from Gnulib CVS
	* libinetutils/strcasecmp.c: Update from Gnulib CVS
	* libinetutils/strdup.c: Update from Gnulib CVS
	* libinetutils/strerror.c: Update from Gnulib CVS
	* libinetutils/xgetcwd.c: Update from Gnulib CVS
	* libinetutils/xmalloc.c: Update from Gnulib CVS
	* libinetutils/xstrdup.c: Update from Gnulib CVS

2002-12-11  Jeff Bailey  <jbailey@gnu.org>

	* configure.ac: Add AC_FUNC_MALLOC and AC_FUNC_REALLOC calls.

2002-12-06  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* telnetd/state.c: Fixed indentation.

2002-12-06  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ping/ping.c (main): Added spaces between cases in a switch to
	conform to the GCS.

2002-12-06  Sergey Poznyakoff

	* libtelnet/auth-proto.h: Renamed Authenticator to
	TN_Authenticator to avoid name collisions when compiling with
	Heimdal implementation of Kerberos.
	* libtelnet/auth.h: Likewise.
	* libtelnet/kerberos.c: Likewise.

	* libtelnet/kerberos5.c: Likewise.  Improved debugging output
	(patch courtesy of Simon Josefsson <jas@extundo.com>)
	* libtelnet/auth.c: Likewise.

	* libtelnet/misc.c: Removed unused variable.

2002-12-06  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libinetutils/iruserok.c (iruserok): Removed unneded typecasts to
	(void).

2002-11-15  Alfred M. Szmidt  <ams@kemisten.nu>

	* configure.ac (AC_CONFIG_FILES): Removed duplicate entries
	`libicmp/Makefile' and `ping/Makefile' from the list.

2002-10-30  Jeff Bailey  <jbailey@gnu.org>

	* autogen.sh: Just use autoreconf - it's the right tool now.
	* configure.ac: Require autoconf 2.54
	* Makefile.am: Require automake 1.7

2002-09-30  Sergey Poznyakoff

	* syslogd/syslogd.c: Fix processing accumulated messages from
	/proc/kmsg (patch provided by Michael Deutschmann).

2002-09-20 Alain Magloire

	* ftpd/server_mode.c: getservbyname() returns the port number in
	network byte order, use ntohs(sv->s_port) for the conversion.
	Patch From Paul Poh <paul@paulpoh.com>

2002-09-13  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* telnet/telnet/Makefile.am: Add LIBAUTH to the list of libraries.

2002-09-13  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libtelnet/auth.h: Added OPTS_FORWARD.* defines
	* libtelnet/kerberos5.c: Rewritten.

2002-09-13  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* headers/arpa/telnet.h: Added AUTH_ENCRYPT_ defines

2002-09-13  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* acinclude.m4 (IU_CHECK_KRB5): Fixed.
	* configure.ac: Define KRB5 as well as KERBEROS_V.  When kerberos
	support is finally rewritten one of these will disappear.

2002-09-09  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rshd/rshd.c: Change to the user's directory after switching to
	the user privileges.  Thanks to Alex Muntada <alexm@ac.upc.es> for
	the idea.  Removed unneded casts to (void).  Create a local copy
	of hostname, lest it be spoiled by a call to localhost().  Thanks
	to Chris Ulherr for reporting.

2002-09-09  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rexecd/rexecd.c: Change to the user's directory after switching
	to the user privileges.  Thanks to Alex Muntada <alexm@ac.upc.es>
	for the idea.  Removed unneded casts to (void).

2002-09-06  Sergey Poznyakoff  <gray@Noldor.runasimi.org>

	* ping/ping.c (main): Removed duplicate startup introduced
	2002-06-24.  Should have been more careful!

2002-09-02  Sergey Poznyakoff

	* syslogd/syslogd.c: '**' extension (Michael Deutschmann
	<michael@talamasca.ocis.net> allows to catch all facilities not
	specified explicitely in the configuration file.

2002-09-02  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* rshd/rshd.c: We must not seteuid before we setuid.  If we do, we
	don't have priviledges to complete the second operation.  Thanks
	to Chris Ulherr <chris.ulherr@inet.com> for reporting this.

2002-09-02  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* rcp/rcp.c: Add support for rcp -V, Thanks to Chris Ulherr
	<chris.ulherr@inet.com> for reporting this.

2002-09-02  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* doc/doc/syslogd.texi: Documented ** extensions, provided by
	Michael Deutschmann <michael@talamasca.ocis.net>.

2002-09-02  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* configure.ac: Bump version to 1.4.1

2002-09-02  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* THANKS: Added Michael Deutschmann.
	* NEWS: Updated.

2002-09-02  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* ROADMAP: Update

	* NEWS: Update

	* THANKS: Add Chris Ulherr

2002-08-21  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* syslogd/syslogd.c (main): Fixed memory overrun when writing long
	data blocks from /proc/kmsg.  Thanks to Michael Deutschmann
	<michael@talamasca.ocis.net>

2002-08-09  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ping/ping.c (main): Restored ping startup to its right place.

2002-08-04  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* telnetd/Makefile.am (PATHDEF_DEV): Added to INCLUDES.

2002-08-04  Sergey Poznyakoff  <Mirddin.farlep.net>

	* acinclude.m4 (IU_CHECK_MEMBER, IU_CHECK_MEMBERS): added new
	macros to override the autoconf bug noted on 2002-05-14.  The old
	workaround didn't work for some cases (namely, utmp.ut_exit, whose
	members are named differently on different systems).  When the
	autoconf is updated, the need for these macros will disappear.
	* configure.ac: Use IU_CHECK_MEMBER(S) instead of AC_CHECK_MEMBERS
	throughout the file.

2002-07-31  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* configure.ac: Update version to 1.4

	* ROADMAP: New file

2002-07-27  Marcus Brinkmann  <marcus@gnu.org>

	* NEWS: Update to reflect the recent changes, and change its
	format to match current GNU practice.  Add a copyright statement,
	and some emacs local variables to support editing it.

2002-06-26  Alfred M. Szmidt  <ams@kemisten.nu>

	* .cvsignore (config.h.in): Removed.
	(config.hin, autom4te.cache): Added.

	* configure.ac: Removed erroneous #ifdef's in the checks for __P
	and syslog internal macros.

2002-06-24  Alfred M. Szmidt  <ams@kemisten.nu>

	* ping/ping.c (main): Moved ping startup code to after the parsing
	of the command line.
	(is_root): Variable moved into main().

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* tftp/tftp.c: Checks for HAVE_DECL variables must read #if
	!HAVE_DECL_something, since AC_CHECK_DECLS always declares
	HAVE_DECL, either to 0 or to 1.
	* tftpd/tftpd.c: Likewise.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* telnet/authenc.c: Checks for HAVE_DECL variables must read #if
	!HAVE_DECL_something, since AC_CHECK_DECLS always declares
	HAVE_DECL, either to 0 or to 1.
	* telnet/commands.c: Likewise.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* talk/ctl.c: Use HAVE_STRUCT_type_member instead of
	HAVE_type_member.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rexecd/rexecd.c: Use HAVE_STRUCT_type_member instead of
	HAVE_type_member.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* rcp/rcp.c: Checks for HAVE_DECL variables must read #if
	!HAVE_DECL_something, since AC_CHECK_DECLS always declares
	HAVE_DECL, either to 0 or to 1.
	  (tolocal): Removed redefinitions of IP_TOS et al.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libinetutils/herror.c: Checks for HAVE_DECL variables must read
	#if !HAVE_DECL_something, since AC_CHECK_DECLS always declares
	HAVE_DECL, either to 0 or to 1.
	* libinetutils/hstrerror.c: Likewise.
	* libinetutils/logwtmp.c: Likewise.
	* libinetutils/revoke.c: Likewise.
	* libinetutils/setenv.c: Likewise.

	* libinetutils/iruserok.c: Use HAVE_STRUCT_type_member instead of
	HAVE_type_member.
	* libinetutils/logout.c: Likewise.
	* libinetutils/ruserok.c: Likewise.
	* libinetutils/utmp_init.c: Likewise.
	* libinetutils/utmp_logout.c: Likewise.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ifconfig/Makefile.am: Removed obsolete OMIT_DEPENDENCIES.
	* ifconfig/system.h: Use HAVE_STRUCT_type_member instead of
	HAVE_type_member.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* headers/crypt.h: Checks for HAVE_DECL variables must read #if
	!HAVE_DECL_something, since AC_CHECK_DECLS always declares
	HAVE_DECL, either to 0 or to 1.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ftpd/ftp.c: Checks for HAVE_DECL variables must read #if
	!HAVE_DECL_something, since AC_CHECK_DECLS always declares
	HAVE_DECL, either to 0 or to 1.
	* ftpd/extern.h: Likewise.
	* ftpd/ftpd.c: Likewise.

2002-05-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* configure.ac: AC_CHECK_MEMBERS (as of version 2.53 ) fails to
	recognize the presense of a structure member which is itself of an
	aggregate type.  Thus, tests for struct ifreq.ifr_netmask and
	struct ifreq.ifr_broadaddr always fail.  To work around the bug,
	first check for a non-aggregate sub-member of the member in
	question and then create an appropriate HAVE_ define.

	Use AC_CHECK_DECLS on crypt and errno, as AC_CHECK_DECL does not
	generate HAVE_DECL_ define.

	(AH_BOTTOMs): Checks for HAVE_DECL variables must read #if
	!HAVE_DECL_something, since AC_CHECK_DECLS always declares
	HAVE_DECL, either to 0 or to 1.  The only exception is
	HAVE_DECL_HSTRERROR, whose AC_CHECK_DECLS is under a conditional
	expression, so we have to check for !defined(HAVE_DECL_HSTRERROR)
	first.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* whois/main.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* telnetd/telnetd.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* telnet/main.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* talkd/talkd.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* syslogd/syslogd.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* rshd/rshd.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* rsh/rsh.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* rlogind/rlogind.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* rlogin/rlogin.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* ping/ping_timestamp.c, ping_router.c, ping_echo.c,
	ping_address.c <version.h>: Include removed.

	* ping/ping.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* logger/logger.c: <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* inetd/inetd.c: <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* ifconfig/system/solaris.c, system/qnx.c, system/osf.c,
	system/linux.c, system/hpux.c, system/generic.c, printif.c,
	ifconfig.c, changeif.c, options.c <version.h>: Include removed.

	* ifconfig/options.c (inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* headers/Makefile.am (EXTRA_DIST): Removed version.h.in from the
	list.
	* headers/version.h.in: Removed.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* gwhois/whois.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* ftpd/ftpd.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* ftp/main.c <version.h>: Include removed.
	(inetutils_package): Renamed to PACKAGE_NAME.
	(inetutils_version): Renamed to PACKAGE_VERSION.
	(inetutils_bugaddr): Renamed to PACKAGE_BUGREPORT.

2002-04-29  Alfred M. Szmidt  <ams@kemisten.nu>

	* configure.ac (VERSION): Variable removed.
	(AC_OUTPUT): Removed headers/version.h and headers/version.h.in
	from the list.

2002-04-28  Alfred M. Szmidt  <ams@kemisten.nu>

	* configure.ac: Removed form feeds.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* whois/Makefile.am (bin_PROGRAMS): Use whois_BUILD instead of
	BUILD_WHOIS.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* uucpd/Makefile.am (inetdaemon_PROGRAMS): Use uucpd_BUILD instead
	of BUILD_UUCPD.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* tftpd/Makefile.am (inetdaemon_PROGRAMS): Use tftpd_BUILD instead
	of BUILD_TFTPD.
	* tftpd/tftpd.c [HAVE_STRERROR_DECL]: Renamed to
	HAVE_DECL_STRERROR.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* tftp/Makefile.am (inetdaemon_PROGRAMS): Use tftpd_BUILD instead
	of BUILD_TFTPD.
	* tftp/tftp.c [HAVE_STRERROR_DECL]: Renamed to HAVE_DECL_STRERROR.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* telnet/Makefile.am (bin_PROGRAMS): Use telnet_BUILD instead of
	BUILD_TELNET.
	* telnet/authenc.c [HAVE_GETPASS_DECL]: Renamed to
	HAVE_DECL_GETPASS.
	* telnet/commands.c [HAVE_HTONS_DECL]: Renamed to HAVE_DECL_HTONS.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* talkd/Makefile.am (inetdaemon_PROGRAMS): Use talkd_BUILD instead
	of BUILD_TALKD.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* talk/Makefile.am (bin_PROGRAMS): Use talk_BUILD instead of
	BUILD_TALK.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* syslogd/Makefile.am (inetdaemon_PROGRAMS): Use syslogd_BUILD
	instead of BUILD_SYSLOGD.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* rshd/Makefile.am (inetdaemon_PROGRAMS): Use rshd_BUILD instead
	of BUILD_RSHD.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* rsh/Makefile.am (bin_PROGRAMS): Use rsh_BUILD instead of
	BUILD_RSH.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* rlogind/Makefile.am (inetdaemon_PROGRAMS): Use rlogind_BUILD
	instead of BUILD_RLOGIND.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* rlogin/Makefile.am (bin_PROGRAMS): Use rlogin_BUILD instead of
	BUILD_RLOGIN.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* rexecd/Makefile.am (inetdaemon_PROGRAMS): Use rexecd_BUILD
	instead of BUILD_REXECD.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* rcp/Makefile.am (bin_PROGRAMS): Use rcp_BUILD instead of
	BUILD_RCP.
	* rcp/rcp.c [HAVE_STRERROR_DECL]: Renamed to HAVE_DECL_STRERROR.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* ping/Makefile.am (bin_PROGRAMS): Use ping_BUILD instead of
	BUILD_PING.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* logger/Makefile.am (bin_PROGRAMS): Use logger_BUILD instead of
	BUILD_LOGGER.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* libls/Makefile.am (noinst_LIBRARIES): Use libls_BUILD instead of
	BUILD_LIBLS.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* libinetutils/herror.c [HAVE_H_ERRNO_DECL]: Renamed to
	HAVE_DECL_H_ERRNO.
	* libinetutils/hstrerror.c [HAVE_H_ERRLIST_DECL]: Renamed to
	HAVE_DECL_H_ERRLIST.
	* libinetutils/logwtmp.c [HAVE_ERRNO_DECL]: Renamed to
	HAVE_DECL_ERRNO.
	* libinetutils/revoke: Likewise.
	* libinetutils/setenv.c: Likewise.
	[HAVE_ENVIRON_DECL]: Renamed to HAVE_DECL_ENVIRON.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* inetd/Makefile.am (inetdaemon_PROGRAMS): Use inetd_BUILD instead
	of BUILD_INETD.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* ifconfig/Makefile.am (bin_PROGRAMS): Use ifconfig_BUILD instead
	of BUILD_IFCONFIG.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* headers/crypt.h [HAVE_CRYPT_DECL]: Renamed to HAVE_DECL_CRYPT.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* gwhois/Makefile.am (bin_PROGRAMS): Use whois_BUILD instead of
	BUILD_WHOIS.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* glob/Makefile.am (noinst_LIBRARIES) Use libglob_BUILD instead of
	BUILD_LIBGLOB.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* ftpd/Makefile.am (inetdaemon_PROGRAMS): Use ftpd_BUILD instead
	of BUILD_FTPD.
	* ftpd/extern.h [HAVE_GETUSERSHELL_DECL]: Renamed to
	HAVE_DECL_GETUSERSHELL.
	* ftpd/ftpd.c [HAVE_FCLOSE_DECL]: Renamed to HAVE_DECL_FCLOSE.

2002-04-21  Alfred M. Szmidt <ams@kemisten.nu>

	* ftp/Makefile.am (bin_PROGRAMS): Use ftp_BUILD instead of
	BUILD_FTP.
	* ftp/ftp.c [HAVE_FCLOSE_DECL]: Renamed to HAVE_DECL_FCLOSE.
	[HAVE_PCLOSE_DECL]: Renamed to HAVE_DECL_PCLOSE.

2002-04-21  Alfred M. Szmidt  <ams@kemisten.nu>

	* Makefile.am (AUTOMAKE_OPTIONS): Require GNU Automake 1.6.

	* acinclude.m4 (IU_UCASE, iu_lcase): Variables removed.
	(IU_RESULT_ACTIONS, IU_CHECK_WEAK_REFS): Use the new AC_DEFINE
	syntax.
	(IU_CHECK_DECL, IU_CHECK_TYPE, IU_CHECK_STRUCT_FIELD): Functions
	removed.
	(IU_ENABLE_FOO): Use name_BUILD instead of BUILD_NAME.
	(IU_INCLUDED_REGEX): Replaced with..
	(jm_INCLUDED_REGEX): this.
	* acconfig.h: Removed.
	* configure.ac: Rewrite.

2002-04-08  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* telnetd/Makefile.am: Added @INCAUTH@ and @LIBAUTH@.

	* telnetd/telnetd.c: Fixed to compile with
	AUTHENTICATION/ENCRYPTION on.
	* telnetd/telnetd.h: Likewise.
	* telnetd/utility.c: Likewise.

2002-04-08  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libtelnet/Makefile.am: Added @INCAUTH@ to INCLUDES list

2002-04-08  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* acconfig.h: #undef's for KERBEROS_IV and KERBEROS_V
	* acinclude.m4 (IU_CHECK_KRB5): New macro: check for the presense
	of kerberos v.5
	* configure.ac: New options: --with-krb4[=PATH],
	--with-krb5[=PATH]

2002-04-07  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* telnetd/telnetd.c (print_hostinfo): Print local host name.
	* telnetd/utility.c: Include <termio.h>

2002-04-07  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* telnetd/telnetd.c: Initialize login_invocation.  Fixed calls to
	inet_ntoa.
	(print_hostinfo): Implemented.
	* telnetd/pty.c: Use new expand_line to create login command line.
	* telnetd/telnetd.h: Added missing prototypes.
	* telnetd/utility.c: Added line expansion code.
	(io_setup): Initialize ptyip.
	(pty_input_putback): new function.

2002-04-07  Sergey Poznyakoff

	* rlogind/rlogind.c: Updated for use with Kerberos V.

2002-04-07  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libinetutils/utmp_logout.c (utmp_logout): Bugfix: gettimeofday()
	(and time()) was used over a member of utx, instead of ut.
	Consequently, all sessions were recorded in wtmp as having zero
	duration.

2002-04-05  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	Major rewrite of telnetd.

	* telnetd/defs.h: Removed.
	* telnetd/ext.h: Removed.
	* telnetd/global.c: Removed.
	* telnetd/authenc.c: Removed.
	* telnetd/sys_term.c: Removed
	* telnetd/term.c: (new) Terminal-specific functions.
	* telnetd/Makefile.am: Modified.
	* telnetd/telnetd.c: Rewritten.
	* telnetd/telnetd.h: Rewritten.
	* telnetd/utility.c: Rewritten.

	* telnetd/pty.c: Use obstack instead of manually allocating
	memory.

	* telnetd/slc.c: Lots of fixes: Removed conditional dependencies
	on LINEMODE, reduced number of global variables.
	* telnetd/state.c: Likewise.
	* telnetd/termstat.c: Likewise.

2002-04-05  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* libinetutils/libinetutils/obstack.c: new
	* libinetutils/libinetutils/Makefile.am: Added obstack.c

	* libinetutils/libinetutils/utmp_init.c: Use ifdef UTMPX, instead
	of HAVE_UTMPX_H.
	* libinetutils/libinetutils/utmp_logout.c: Likewise.
	(utmp_logout): fallback to logwtmp() if updwtmp() is not
	available.

2002-04-05  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* headers/obstack.h: (new)
	* headers/Makefile.am: Added obstack.h

2002-04-05  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* ftp/Makefile.am: Add READLINE variable.

2002-04-05  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* acconfig.h: Removed extra HAVE_UTMPX_H.  Added HAVE_CC_T and
	HAVE_LIBREADLINE.
	* configure.ac: Check for obstack functions.  Modified readline
	check: assign -lreadline to the separate AC_SUBST variable,
	instead of appending it to LIBS.  Check for cc_t type.  Raised
	patchlevel.

2002-03-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	Started fixing horrible mess in telnetd.  To begin with,
	segregated pty-related functions from tty-related ones.  Use
	forkpty instead of manually fiddling with lots of ifdefs.  The
	stuff has been tested on GNU/Linux and Solaris.

	* telnetd/pty.c (new): PTY-related functions.
	* telnetd/Makefile.am: Added pty.c
	* telnetd/ext.h: Changed definition of line.
	* telnetd/sys_term.c: Removed unneeded functions.  Some of them
	are re-implemented in pty.c
	* telnetd/telnetd.c (doit, telnet, readstream): Reorganized.

2002-03-14  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* configure.ac: Added AC_CANONICAL_SYSTEM to set $host properly.
	Additional AC_DEFINEs for Solaris.

2002-03-05  Marcus Brinkmann  <marcus@gnu.org>

	* syslogd/syslogd.c (main): New variables KLINE and KLINE_LEN, to
	store partial lines from the kernel log device.  Collect partial
	lines until we either have a maximum partial line or a full line.
	Log that, and all following lines collected so far, and in the
	case of the maximum partial line skip the remainder of the current
	line.  Reported by Davin McCall <davmac@iname.com>.

2002-02-13  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* glob/Makefile.am (INCLUDES): Added -I$(top_builddir)/include
	(needed for fnmatch.h and confpaths.h)

2002-02-12  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* TODO: Remove ping

	* THANKS: Update

	* README-alpha: *Wow* this file was really inaccurate.

	* NEWS: Mention talkd, and ping

	* AUTHORS: Update

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* uucpd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* tftpd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* tftp/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* telnetd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* telnet/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* talkd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* talk/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* syslogd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* rshd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* rsh/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* rlogind/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* rlogin/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* rexecd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* rcp/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* ping/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* logger/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* libtelnet/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* libls/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* libinetutils/Makefile.am: Add -I$(top_builddir)/include to
	INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* libicmp/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* inetd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* headers/Makefile.am: Don't refer to config.h.in anymore

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* gwhois/.cvsignore: Add Generated headers

	* gwhois/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* ftpd/Makefile.am: Add -I$(top_builddir)/include to INCLUDES

	* ftpd/.cvsignore: Add ftpcmd.c

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* ftp/Makefile.am: Add $(top_builddir)/include to INCLUDES

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* doc/rfc/.cvsignore: New file

	* doc/.cvsignore: New file

2002-02-10  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* configure.in: Reworked for autoconf 2.52 and renamed to
	* configure.ac: this.

	* autogen.sh: Don't point autoheader to headers/

	* headers/acconfig.h: Move to ...
	* acconfig.h: Here

	* Makefile.am: Require Automake 1.5.  Add doc and doc/rfc to build
	tree.  Don't tell autoheader to look in headers/

	I moved config.h to the top_builddir to overcome a bug in autoconf
	that requires the config.h to be in the same directory as
	aclocal.m4

	This meant that I also had to add
	INCLUDES=-I$(top_builddir)/include.  The upshot is that make
	distcheck now passes, even for $(srcdir)!=$(builddir)

	* .cvsignore: Add files relating moving config.h to
	$(top_builddir)

2001-12-25  Alain Magloire

	* libinetutils/poll.c: Added <time.h>
	* libinetutils/getpass.c: New file, getpass().  Bert De Knuydt
	<Bert.Deknuydt@esat.kuleuven.ac.be>.

2001-12-25  Alain Magloire

	* ftp/cmds.c: Guard HAVE_MKSTEMP and use mktemp() has a fallback
	Note from Bert De Knuydt <Bert.Deknuydt@esat.kuleuven.ac.be>

2001-12-25  Alain Magloire

	* configure.in: Add check for mkstemp ().  Check for getpass().
	Note from Bert De Knuydt <Bert.Deknuydt@esat.kuleuven.ac.be>.

2001-11-22  Sergey Poznyakoff

	* rlogin/rlogin.c: Fixed syntax error: sizeof int.  Should be:
	sizeof(int).

2001-11-22  Sergey Poznyakoff

	* rcp/rcp.c: Fixed syntax error: sizeof int.  Should be:
	sizeof(int).

2001-11-21  Sergey Poznyakoff

	* syslogd/syslogd.c: Removed redeclaration of hstrerror: it is
	provided in include/config.h when missing.

2001-11-21  Sergey Poznyakoff  <gray@farlep.net>

	* ping/Makefile.am: Added $(man_MANS) to EXTRA_DIST.
	* ping/ping.8: Fixed permissions

2001-11-21  Sergey Poznyakoff

	* configure.in: Removed poll.h, sys/poll.h from AC_CHECK_HEADERS.
	Added individual check for poll.h, since syslogd uses it
	unconditionally.

2001-11-10  Alain Magloire

	* rcp/rcp.c (help): New function.  Convert to getopt_long () for
	long options support.

2001-11-10  Alain Magloire

	* doc/ftp.texi: New file.
	* doc/Makefile.am: Added ftp.texi.
	* doc/inetutils.texi: Enable ftp.texi.

	* doc/tftp.texi: New file.
	* doc/Makefile.am: Added tftp.texi.
	* doc/inetutils.texi: Enable tftp.texi.

	* doc/ping.texi: New file.
	* doc/Makefile.am: Added ping.texi.
	* doc/inetutils.texi: Enable ping.texi.

	* doc/talkd.texi: New file.
	* doc/Makefile.am: Added talkd.texi.
	* doc/inetutils.texi: Enable talkd.texi.

	* doc/talk.texi: New file.
	* doc/Makefile.am: Added talk.texi.
	* doc/inetutils.texi: Enable talk.texi.

	* doc/ftpd.texi: New file.
	* doc/Makefile.am: Added ftpd.texi.
	* doc/inetutils.texi: Enable ftpd.texi.

	* doc/inetd.texi: New file.
	* doc/Makefile.am: Added inetd.texi.
	* doc/inetutils.texi: Enable inetd.texi.

	* doc/rexecd.texi: New file.
	* doc/Makefile.am: Added rexecd.texi.
	* doc/inetutils.texi: Enable rexecd.texi.

	* doc/rcp.texi: New file.
	* doc/Makefile.am: Added rcp.texi.
	* doc/inetutils.texi: Enable rcp.texi.

	* doc/rsh.texi: New file.
	* doc/Makefile.am: Added rsh.texi.
	* doc/inetutils.texi: Enable rsh.texi.

2001-11-06  Alain Magloire

	* doc/rshd.texi: New file.
	* doc/Makefile.am: Added rshd.texi.
	* doc/inetutils.texi: Enable rshd.texi.

2001-11-04  Sergey Poznyakoff

	* rlogind/rlogind.c: The second argument for daemon() should be 0:
	close all descriptors and reserve first three ones.  Otherwise
	master/slave ptys could get all messed up.  Also changed first
	argument to 0, i.e. perform chdir("/"), so we don't keep cwd
	used.

2001-11-03  Alain Magloire

	* rsh/rsh.c: Removed copyright and sccsid variable.  Changes to
	follow GNU coding style.  #include <version.h>.  In long_options
	add options from rlogin.
	(help): Put info about rlogin options.
	(main): Change the code to use getop_long() correctly.  Added
	option -V and -h.

2001-11-03  Alain Magloire

	* rlogind/rlogind.c: A little indentation work 8-).
	(rlogin_daemon): Use function daemon(1, 1) to daemonize.  More
	portable and any bug fix will benefit all.

2001-11-03  Alain Magloire

	* rlogin/rlogin.c: Removed copyryght and sccsid.  #include
	<err.h>.  short_options add -V.
	(main): Check if we are setuid root, if not bail out early.
	(usage): Add -l, -V and -h info.

2001-11-03  Alain Magloire

	* rlogin/rlogin.c: #include <version.h> Reindent to comply to GNU
	coding style.  Implemented long version options.  Call seteeuid()
	not only setuid() when rcmd is finish.  Get rid of __STDC__ for
	function prototype, it was not use consistently anyways.  Nuked -L
	option 'litout' the code was commented out and nowadays nobody
	cares.
	(usage): Changed for long option output.

2001-11-03  Alain Magloire

	* libinetutils/daemon.c: GNU coding style changes.
	(waitdaemon): Try to find the number of file descriptor, check
	_SC_OPEN_MAX, getdtablsize() before falling to the default.

2001-11-03  Alain Magloire

	* ftpd/server_mode.c: [DEFPORT] defiine to 21.  Fallback to
	DEFPORT if getservbyname() failed.  Lots of site does not
	configure the /etc/services correctly.

2001-11-03  Alain Magloire

	* doc/rlogind.texi: New file.
	* doc/rlogin.texi: New file.
	* doc/Makefile.am: Add rlogin.texi and rlogind.texi in
	dependencies.  SUBDIRS added rfc.
	* doc/inetutils.texi: Enable rlogin and rlogind.
	* doc/rfc/1282.txt: New file.

2001-11-03  Alain Magloire

	* configure.in: Added doc/rfc/Makefile.

2001-11-02  Marcus Brinkmann  <marcus@212.23.136.22>

	* tftpd/tftpd.c: Prototype send_file, not sendfile.
	(formats): Use send_file, not sendfile.
	(sendfile): Rename to ...
	(send_file): ... this.

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	There is a function sendfile() in the FreeBSD system headers, so:
	* tftp/tftp.c (sendfile): Rename to...
	(send_file): ... this.
	* tftp/main.c (put): Call send_file, not sendfile.
	* tftp/extern.h: Prototype send_file, not sendfile.

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	* libtelnet/getent.c (getent): Move variable declaration to the
	beginning of the function.
	(getstr): Likewise.

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	* libinetutils/utmp_logout.c (utmp_logout): Add a horde of
	conditionals to get it working on FreeBSD.
	* libinetutils/utmp_init.c (utmp_init): Likewise.

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	* headers/acconfig.h: Add macros for HAVE_UTMP_UT_PID,
	HAVE_UTMP_UT_ID, HAVE_UTMP_UT_USER.

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	* ftpd/ftpd.c (complete_login): Add missing `;'.

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	* doc/inetutils.texi: Fix dir entries and the menu.  Remove all
	those nonexisting nodes, and replace them by include directives.
	Comment out missing nodes.  Fix some minor formatting.
	* doc/syslogd.texi: Add node and chapter directives.
	* doc/logger.texi: Likewise.
	* doc/Makefile.am: New file.
	* doc/version.texi: Remove file (will be generated by automake).

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	* doc/syslogd.texi: A lot of small formatting fixes.
	* doc/logger.texi: New file.
	* doc/inetutils.texi: Rename syslog to logger and add entry for
	it.

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	* configure.in: When checking for utmp structure fields, always
	include sys/types.h [HAVE_SYS_TYPES_H] before utmp.h (for time_t)
	to get it working on FreeBSD.  Add checks for fields pid, id and
	user.

2001-11-02  Marcus Brinkmann  <marcus@gnu.org>

	* configure.in: Add doc/Makefile as output file.

2001-11-01  Alain Magloire

	* ping/ping.8: New file.
	* ping/Makefile.am: man_MANS = ping.8.

2001-11-01  Sergey Poznyakoff

	* libinetutils/ttymsg.c: Added missing %s to format spec

2001-10-30  Alain Magloire

	* talkd/Makefile.am: Add -I ../libinetutils to have the argvc_xx()
	prototypes.
	* talkd/acl.c: Add <ctype.h> we use isdigit().  Add "argv.h" we
	use argv_xx() functions.
	(read_address): Declared static and variable addr unused nuked.
	(netdef_parse): Declared static.
	(open_users_acl): Declared static.
	(netdef_free): Declared static.
	(acl_free): Declared static.
	(discard_acl): Declared static.
	* talkd/announce.c (init_line format_line finish_line print_mesg):
	Declared static.
